@echo off
REM Name: PatchMDB.bat 
REM
REM Description: 
REM         Patch an MDB instance
REM 
REM Syntax:
REM     It passes all arguments to setupmdb.bat.  Please see setupmdb.bat for
REM     		details
REM
REM Expects:
REM     The patch will be copied into the CCD folder, and setupmdb.bat will be called
REM					to apply the patch.
REM
REM History:
REM  15-feb-2008  liama01  created
REM  28-fed-2008	liama01	 MDB104 patches is copied into the main CumulativePatch area.
REM


REM call finacommon to find the CCD location
set MDB_PATCH=yes
set DBDRIVER=
set MDB_TARGET_DIR=


:PARSE_ARGS

IF "%~1" == ""   GOTO NO_MORE_ARGS

IF NOT "%~1" == "-DBDRIVER" GOTO MANI_ARG
SHIFT
set DBDRIVER=%~1
SHIFT
GOTO PARSE_ARGS

:MANI_ARG
IF NOT "%~1" == "-MANIFEST" GOTO TARGET_ARG
SHIFT
set DBDRIVER=%~1
SHIFT
GOTO PARSE_ARGS

:TARGET_ARG
IF NOT "%~1" == "-MDB_TARGET_DIR" GOTO NEXT_ARG
SHIFT
set MDB_TARGET_DIR=%~1
SHIFT
GOTO PARSE_ARGS

:NEXT_ARG
SHIFT
GOTO PARSE_ARGS

:NO_MORE_ARGS
IF (%DBDRIVER%) NEQ () GOTO DONE_PARSE_ARGS
set ERR_MESSAGE=Missing required argument: DBDRIVER 
GOTO :PRINT_ERROR

:DONE_PARSE_ARGS
echo MDB_TARGET_DIR=%MDB_TARGET_DIR%
echo DBDRIVER=%DBDRIVER%
call findcommon.bat MDB_COMMON

if ("%MDB_COMMON%") NEQ ("") GOTO FOUND_MDB_COMMON
set ERR_MESSAGE=CCD location is missing. Please download and install CCD before running PatchMDB. 
GOTO PRINT_ERROR
:FOUND_MDB_COMMON
IF EXIST "%MDB_COMMON%\Windows\setupmdb.bat" GOTO FOUND_SETUPMDB.bat
set ERR_MESSAGE=Setupmdb.bat is missing in path: "%MDB_COMMON%"
GOTO :PRINT_ERROR
:FOUND_SETUPMDB.bat
rem
rem Parse the command line parameters
rem
REM copy into CCD

IF EXIST "%MDB_COMMON%\Windows\patches\%DBDRIVER%" GOTO :BACKUP_PATCH
GOTO CREATE_PATCHES

:BACKUP_PATCH
IF NOT EXIST "%MDB_COMMON%\Windows\patches\%DBDRIVER%_"  GOTO :BACKUP
rmdir "%MDB_COMMON%\Windows\patches\%DBDRIVER%_" /S /Q

:BACKUP
move "%MDB_COMMON%\Windows\patches\%DBDRIVER%" "%MDB_COMMON%\Windows\patches\%DBDRIVER%_"

:CREATE_PATCHES
mkdir "%MDB_COMMON%\Windows\patches\%DBDRIVER%"
xcopy . "%MDB_COMMON%\Windows\patches\%DBDRIVER%"  /E /Q /I /Y
IF NOT EXIST mssql\CumulativePatch\Windows GOTO :SKIP_MSSQL
xcopy mssql\CumulativePatch\Windows "%MDB_COMMON%\Windows\mssql\CumulativePatch"  /E /Q /I /Y
:SKIP_MSSQL
IF NOT EXIST oracle\CumulativePatch\Windows GOTO :SKIP_ORACLE
xcopy oracle\CumulativePatch\Windows "%MDB_COMMON%\Windows\oracle\CumulativePatch"  /E /Q /I /Y
:SKIP_ORACLE

REM call setupmdb.bat 
chdir /D "%MDB_COMMON%\Windows"
call "%MDB_COMMON%\Windows\setupmdb.bat" %*

GOTO :EOF

:PRINT_ERROR
echo.
echo.
echo ERROR: 
echo        %ERR_MESSAGE%
echo        For usage, please see details on setupmdb.bat.
echo.
GOTO :EOF
