SET LOCK_TIMEOUT 300000
GO
SET DEADLOCK_PRIORITY LOW
GO
SET XACT_ABORT ON
GO
SET TRANSACTION ISOLATION LEVEL SERIALIZABLE
GO
BEGIN TRANSACTION 
GO

/****************************************************************************************/
/*                                                                                      */
/* Star 15685758 Autosys: synonyms							*/
/*                                                                                      */
/****************************************************************************************/

/* lock objects...  */
 
/* Start of lines added to convert to online lock */
 
 
Select top 1 1 from mdb_patch with (tablockx)
GO
 
/* Start of locks for dependent tables */
 
Select top 1 1 from ujo_alamode with (tablockx)
GO
 
Select top 1 1 from mdb_service_pack with (tablockx)
GO
 
Select top 1 1 from mdb with (tablockx)
GO
 
Select top 1 1 from mdb_checkpoint with (tablockx)
GO
 
/* End of lines added to convert to online lock */

/* 15685758 - support legacy agent */
update ujo_alamode set str_val = '11.0.0' where type = 'VERSION'
go

if exists (select * from sysobjects where name = "alamode" and type = 'V')
begin
	drop view alamode
end
go
create view alamode as
select * from ujo_alamode
go
grant select on alamode to ujoadmin
go

if exists (select * from sysobjects where name = "intcodes" and type = 'V')
begin
	drop view intcodes
end
go
create view intcodes as
select * from ujo_intcodes
go
grant select on intcodes to ujoadmin
go

if exists (select * from sysobjects where name = "timezones" and type = 'V')
begin
	drop view timezones
end
go
create view timezones as
select * from ujo_timezones
go
grant select on timezones to ujoadmin
go

/****************************************************************************************/
/*                                                                                      */
/* Register patch                                                               	*/
/*                                                                                      */
/****************************************************************************************/
insert into mdb_patch ( patchnumber, installdate,  mdbmajorversion, mdbminorversion, description)
 values ( 15685758, getdate(), 1, 4, 'Star 15685758 Autosys: synonyms' )
GO

COMMIT TRANSACTION 
GO

