SET LOCK_TIMEOUT 300000
GO
SET DEADLOCK_PRIORITY LOW
GO
SET XACT_ABORT ON
GO
SET TRANSACTION ISOLATION LEVEL SERIALIZABLE
GO
BEGIN TRANSACTION 
GO

/****************************************************************************************/
/*                                                                                      */
/* Star 16037132 DSM: add ca_link_sw_domain_enterprise table				*/
/*                                                                                      */
/****************************************************************************************/

/* lock objects...  */
 
/* Start of lines added to convert to online lock */
 
 
Select top 1 1 from mdb_patch with (tablockx)
GO
 
/* Start of locks for dependent tables */
 
Select top 1 1 from mdb_service_pack with (tablockx)
GO
 
Select top 1 1 from mdb with (tablockx)
GO
 
Select top 1 1 from mdb_checkpoint with (tablockx)
GO
 
/* End of lines added to convert to online lock */

/* ca_link_sw_def_domain_enterprise
Description: This table defines the link between the Domain created 
		Heuristic Software definition and the corresponding definition on Enterprise. 
		This table is only updated/maintained on Domain level by the Manager processes.

	Fields:
	sw_def_uuid_domain binary(16) NOT NULL
	sw_def_uuid_enterprise binary(16) NOT NULL
	domain_uuid binary(16)

	Primary Key:
	sw_def_uuid_domain
	sw_def_uuid_enterprise

*/
CREATE TABLE [dbo].[ca_link_sw_domain_enterprise](
	[sw_def_uuid_domain] [binary](16) NOT NULL,
	[sw_def_uuid_enterprise] [binary](16) NOT NULL,
	[domain_uuid] [binary](16)
) ON [PRIMARY]
go

ALTER TABLE [dbo].[ca_link_sw_domain_enterprise] WITH NOCHECK ADD 
	CONSTRAINT [XPKca_link_sw_dom_enterp] PRIMARY KEY  CLUSTERED 
	(
		[sw_def_uuid_domain] ASC,
		[sw_def_uuid_enterprise] ASC
	)  ON [PRIMARY] 
GO


GRANT  SELECT ,  UPDATE ,  INSERT ,  DELETE  ON [dbo].[ca_link_sw_domain_enterprise]  TO [ca_itrm_group]
GO
GRANT  SELECT ,  UPDATE ,  INSERT ,  DELETE  ON [dbo].[ca_link_sw_domain_enterprise]  TO [ca_itrm_group_ams]
GO


/****************************************************************************************/
/*                                                                                      */
/* Register patch                                                               	*/
/*                                                                                      */
/****************************************************************************************/
insert into mdb_patch ( patchnumber, installdate,  mdbmajorversion, mdbminorversion, description)
 values ( 16037132, getdate(), 1, 4, 'Star 16037132 DSM: add ca_link_sw_domain_enterprise table' )
GO

COMMIT TRANSACTION 
GO

