SET LOCK_TIMEOUT 300000
GO
SET DEADLOCK_PRIORITY LOW
GO
SET XACT_ABORT ON
GO
SET TRANSACTION ISOLATION LEVEL SERIALIZABLE
GO
BEGIN TRANSACTION 
GO

/****************************************************************************************/
/*                                                                                      */
/* Star 16460686 DSM CMO remove sorting on usd_jcappgr_nosort_cltn			*/
/*                                                                                      */
/****************************************************************************************/

/* lock objects...  */
 
/* Start of lines added to convert to online lock */
 
 
Select top 1 1 from mdb_patch with (tablockx)
GO
 
/* Start of locks for dependent tables */
 
Select top 1 1 from mdb_service_pack with (tablockx)
GO
 
Select top 1 1 from mdb with (tablockx)
GO
 
Select top 1 1 from mdb_checkpoint with (tablockx)
GO
 
/* End of lines added to convert to online lock */
/*

Remove the sorting on the SP usd_jcappgr_appl_nosort_cltn.
Description   
This SP is still sorted but the source code specifies this as unsorted, we should change the procedure too, to aviod this sorting.


ALTER procedure usd_jcappgr_appl_nosort_cltn(@key_value as binary(16)) as
begin
select ap.objectid
from usd_applic ap, usd_activity ac
where ac.objectid = ap.activity
and ap.applicationgroup = @key_value
end 	

*/

alter procedure usd_jcappgr_appl_nosort_cltn(@key_value as binary(16)) as
begin
select ap.objectid
from usd_applic ap, usd_activity ac
where ac.objectid = ap.activity
and ap.applicationgroup = @key_value;
end
GO


/****************************************************************************************/
/*                                                                                      */
/* Register patch                                                               	*/
/*                                                                                      */
/****************************************************************************************/
insert into mdb_patch ( patchnumber, installdate,  mdbmajorversion, mdbminorversion, description)
 values ( 16460686, getdate(), 1, 4, 'Star 16460686 DSM CMO remove sorting on usd_jcappgr_nosort_cltn' )
GO

COMMIT TRANSACTION 
GO

