SET LOCK_TIMEOUT 300000
GO
SET DEADLOCK_PRIORITY LOW
GO
SET XACT_ABORT ON
GO
SET TRANSACTION ISOLATION LEVEL SERIALIZABLE
GO
BEGIN TRANSACTION 
GO

/****************************************************************************************/
/*                                                                                      */
/* Star 16513266 DSM cadsmupdate performance						*/
/*                                                                                      */
/****************************************************************************************/

/* lock objects...  */
 
/* Start of lines added to convert to online lock */
 
 
Select top 1 1 from mdb_patch with (tablockx)
GO
 
/* Start of locks for dependent tables */
 
Select top 1 1 from mdb_service_pack with (tablockx)
GO
 
Select top 1 1 from mdb with (tablockx)
GO
 
Select top 1 1 from mdb_checkpoint with (tablockx)
GO
 
Select top 1 1 from ca_object_ace with (tablockx)
GO
 
Select top 1 1 from ca_link_dis_user_sec_profile with (tablockx)
GO
 
Select top 1 1 from ca_discovered_user with (tablockx)
GO
 
Select top 1 1 from ca_link_object_owner with (tablockx)
GO
 
if exists (select * from dbo.sysobjects where id = object_id('usd_v_user_dhw_sec_v2') and OBJECTPROPERTY(id, 'IsView') = 1)
Select top 1 1 from usd_v_user_dhw_sec_v2 with (tablockx)
GO
 
Select top 1 1 from usd_v_sserver_clients with (tablockx)
GO

if exists (select * from dbo.sysobjects where id = object_id('usd_v_user_dhw_area_sec_v2') and OBJECTPROPERTY(id, 'IsView') = 1)
Select top 1 1 from usd_v_user_dhw_area_sec_v2 with (tablockx)
GO
 
 
/* End of lines added to convert to online lock */
/************************************************************************
	view 	usd_v_user_dhw_sec
	displays the user along its user_uuid 
	and the object_uuid of the accessable (readable) objects.

	This view is used in the usd_v_.._s views for security checks
************************************************************************/

/* Table: uuid  + column name
	usd_job_cont 	objectid
	usd_actproc 	objectid
	usd_activity 	objectid
	usd_rsw 	objectid
	ca_group_def 	group_uuid
	ca_discovered_hardware 	dis_hw_uuid
	ca_server 	server_uuid
	ca_link_dis_hw_user 	user_uuid
	csm_object 	uuid
	ca_agent 	object_uuid
*/



if exists (select * from dbo.sysobjects where id = object_id('usd_v_user_dhw_sec_v2') and OBJECTPROPERTY(id, 'IsView') = 1)
drop view usd_v_user_dhw_sec_v2
GO

Create view usd_v_user_dhw_sec_v2
(uri, user_uuid, domain_uuid, dhw_uuid
)

as
select ca_discovered_user.uri, 
	ca_discovered_user.user_uuid,
	ca_discovered_user.domain_uuid,
	ca_object_ace.object_def_uuid

from    ca_object_ace,	
				ca_link_dis_user_sec_profile, ca_discovered_user

where (ca_object_ace.ace & 64) = 64 
	AND ca_link_dis_user_sec_profile.security_profile_uuid = ca_object_ace.security_profile_uuid
					AND  ca_discovered_user.user_uuid = ca_link_dis_user_sec_profile.user_uuid
union
	select ca_discovered_user.uri, 
			ca_discovered_user.user_uuid, 
			ca_discovered_user.domain_uuid, 
			ca_link_object_owner.object_uuid
		from  	ca_link_object_owner, ca_discovered_user
		where 
			ca_discovered_user.user_uuid= ca_link_object_owner.owner_uuid
GO

grant select,insert,update,delete  on usd_v_user_dhw_sec_v2 to  ca_itrm_group 
go



if exists (select * from dbo.sysobjects where id = object_id('usd_v_user_dhw_area_sec_v2') and OBJECTPROPERTY(id, 'IsView') = 1)
drop view usd_v_user_dhw_area_sec_v2
GO

Create view usd_v_user_dhw_area_sec_v2
(uri, user_uuid, domain_uuid, dhw_uuid
)

as
select uri, user_uuid, domain_uuid, dhw_uuid
from  usd_v_user_dhw_sec_v2 
where
		 ( dhw_uuid IN  
			 ( select object_def_uuid 
				from ols_area_ace 
					where ( area_ace & area_mask 
								& [dbo].ols_fn_getAreaAceByUserUuid( usd_v_user_dhw_sec_v2.user_uuid   )) != 0 
			 )  
		 )  

go

grant select,insert,update,delete on usd_v_user_dhw_area_sec_v2 to  ca_itrm_group 
go




/************************************************************************
	view 

************************************************************************/


if exists (select * from dbo.sysobjects where id = object_id('usd_v_sserver_clients_s_v2') and OBJECTPROPERTY(id, 'IsView') = 1)
drop view usd_v_sserver_clients_s_v2
GO



Create view usd_v_sserver_clients_s_v2
( uri, user_uuid, server_name, agent_name, object_uuid )	
as
select 	uri, user_uuid, server_name, agent_name, object_uuid

from 	usd_v_user_dhw_sec_v2, usd_v_sserver_clients

where	usd_v_user_dhw_sec_v2.dhw_uuid
		= usd_v_sserver_clients.object_uuid
go

grant select,insert,update,delete on usd_v_sserver_clients_s_v2 to  ca_itrm_group  
go

if exists (select * from dbo.sysobjects where id = object_id('usd_v_sserver_clients_a_s_v2') and OBJECTPROPERTY(id, 'IsView') = 1)
drop view usd_v_sserver_clients_a_s_v2
GO



Create view usd_v_sserver_clients_a_s_v2
( uri, user_uuid, server_name, agent_name, object_uuid )	
as
select 	uri, user_uuid, server_name, agent_name, object_uuid

from 	usd_v_user_dhw_area_sec_v2, usd_v_sserver_clients

where	usd_v_user_dhw_area_sec_v2.dhw_uuid
		= usd_v_sserver_clients.object_uuid
go

grant select,insert,update,delete on usd_v_sserver_clients_a_s_v2 to  ca_itrm_group  
go




/************************************************************************
	procedure

************************************************************************/

IF EXISTS (SELECT name FROM sysobjects 
         WHERE name = 'usd_p_sserver_clients_s' AND type = 'P')
   DROP PROCEDURE usd_p_sserver_clients_s
GO

Create procedure usd_p_sserver_clients_s
(	@__uri nvarchar(255), @__server_name nvarchar(129) )


as 
begin
declare @__is_area_enabled integer;
declare @__user_uuid binary(16);


	SELECT @__user_uuid=user_uuid, @__is_area_enabled=is_area_enabled FROM ols_v_user WHERE  uri = @__uri;

	if ( @__is_area_enabled = 0 )
	
		select 	
			agent_name
		
		from usd_v_sserver_clients_s_v2

		where  	user_uuid=@__user_uuid and 
			server_name like @__server_name 

		order by agent_name
	     
	else 
	
		select 	
			agent_name
		
		from usd_v_sserver_clients_a_s_v2

		where  	user_uuid=@__user_uuid and 
			server_name like @__server_name 

		order by agent_name
	     


end
go
grant execute on  usd_p_sserver_clients_s to  ca_itrm_group  
go

/****************************************************************************************/
/*                                                                                      */
/* Register patch                                                               	*/
/*                                                                                      */
/****************************************************************************************/
insert into mdb_patch ( patchnumber, installdate,  mdbmajorversion, mdbminorversion, description)
 values ( 16513266, getdate(), 1, 4, 'Star 16513266 DSM cadsmupdate performance' )
GO

COMMIT TRANSACTION 
GO

