
-- start of iTrack 31644 fix
/*
 * STEP1: before schema installation 		
 */
 
if EXISTS (select * from information_schema.tables 
where table_name = 'inv_protection_item' and table_schema = 'ca_itrm')
begin
	-- create the new tables for back up
	-- NOTE: primary key, index, constraints not created
	-- 		but need on the new tables
	
	select * into dbo.bk_inv_protection_item from ca_itrm.inv_protection_item;
	
	drop table ca_itrm.inv_protection_item;
	
end
go


if EXISTS (select * from information_schema.tables 
where table_name = 'inv_protection_tree' and table_schema = 'ca_itrm')
begin
	-- create the new tables for back up
	-- NOTE: primary key, index, constraints not created
	-- 		but need on the new tables

	select * into dbo.bk_inv_protection_tree from ca_itrm.inv_protection_tree;
	
	-- drop the old tables  making trouble
	drop table ca_itrm.inv_protection_tree;

end
go

delete from dbo.inv_table_map 
where table_name_tree = 'inv_protection_tree'
and tbl_owner = 'ca_itrm'
go

-- end of iTrack 31644 fix


--start of QC Defect 1757
if EXISTS (SELECT * FROM dbo.sysobjects WHERE name = 'dsm_automation_sw_job_cont_tg' AND xtype = 'U')
begin
	if EXISTS (select * from INFORMATION_SCHEMA.TABLE_CONSTRAINTS where constraint_name='FK_dsm_automation_sw_job_cont_tg_dsm_automation_sw_job_cont_def' and table_schema='dbo' and table_catalog='mdb')
	begin
		--drop FK created by Automated Migration patch and create new FK with shorter name
	
		alter table dsm_automation_sw_job_cont_tg drop FK_dsm_automation_sw_job_cont_tg_dsm_automation_sw_job_cont_def
		--Dropped FK with long name

		ALTER TABLE [dbo].[dsm_automation_sw_job_cont_tg]  WITH CHECK ADD  CONSTRAINT [FK_dsm_auto_sw_job_cont_tg_dsm_auto_sw_job_cont_def] FOREIGN KEY([	auto_sw_job_cont_def_uuid])
		REFERENCES [dbo].[dsm_automation_sw_job_cont_def] ([auto_sw_job_cont_def_uuid])
		ON DELETE CASCADE
		--created FK with shorter name
	end

end
go

if EXISTS (SELECT * FROM dbo.sysobjects WHERE name = 'dsm_automation_sw_job_cont_tg' AND xtype = 'U')
begin
	if EXISTS (select * from INFORMATION_SCHEMA.TABLE_CONSTRAINTS where constraint_name='FK_dsm_automation_sw_job_target_dsm_automation_sw_job_cont_tg' and table_schema='dbo' and table_catalog='mdb')
	begin
		--drop FK created by Automated Migration patch and create new FK with shorter name
		alter table dsm_automation_sw_job_target drop FK_dsm_automation_sw_job_target_dsm_automation_sw_job_cont_tg
		--Dropped FK with long name
	
		ALTER TABLE [dbo].[dsm_automation_sw_job_target]  WITH CHECK ADD  CONSTRAINT [FK_dsm_auto_sw_job_target_dsm_auto_sw_job_cont_tg] FOREIGN KEY([auto_sw_job_cont_target_uuid])
		REFERENCES [dbo].[dsm_automation_sw_job_cont_tg] ([auto_sw_job_cont_target_uuid])
		--created FK with shorter name
	end
end
go

--end of QC Defect 1757


