SET ECHO ON;
WHENEVER OSERROR EXIT FAILURE;
WHENEVER SQLERROR EXIT SQL.SQLCODE;

SET AUTOCOMMIT OFF;


/****************************************************************************************/
/*                                                                                      */
/* Star 15592233 UPDATES FOR UPM R11.2 							*/
/*                                                                                      */
/****************************************************************************************/

/* ca_install_package.pmode -- NEW COLUMN & INDEX */
alter table ca_install_package
    add (pmode number default 0 not null);

create index xie5ca_install_package 
    on ca_install_package (pmode)
    tablespace &2;

/* upm_baseline_sw.pmode -- NEW COLUMN & INDEX */
alter table upm_baseline_sw
    add (pmode number default 0 not null);

create index xie3upm_baseline_sw 
    on upm_baseline_sw (pmode)
    tablespace &2;

/* ca_install_package.distribution_uuid -- NEW COLUMN */
alter table ca_install_package
    add (distribution_uuid raw(16));

/* upm_baseline_sw.name -- widen column for sev. 1 issue */
alter table upm_baseline_sw
  modify name nvarchar2(450);

/* upm_baseline_sw -- NEW COLUMN */
alter table upm_baseline_sw
    add (properties nclob);

/* upm_baseline_sw -- NEW INDEX FOR PERFORMANCE */
create index xie1upm_baseline_sw 
    on upm_baseline_sw (status)
    tablespace &2;

/* upm_baseline_sw -- NEW INDEX FOR PERFORMANCE */
create index xie2upm_baseline_sw 
    on upm_baseline_sw (name)
    tablespace &2;

/* upm_deployment -- NEW COLUMN */
alter table upm_deployment
    add (properties nclob);

/* upm_deployment -- NEW COLUMN & INDEX */
alter table upm_deployment
    add (name nvarchar2(450));

create index xie2upm_deployment 
    on upm_deployment ( name )
    tablespace &2;

/****************************************************************************************/
/*                                                                                      */
/* Register patch                                                                       */
/*                                                                                      */
/****************************************************************************************/
INSERT INTO mdb_patch ( patchnumber, installdate,  mdbmajorversion, mdbminorversion, description)
 VALUES ( 15592233, systimestamp, 1, 4, 'Star 15592233 MODIFIED Updates for UPM R11.2' );

COMMIT;

EXIT SUCCESS;
