SET ECHO ON;
WHENEVER OSERROR EXIT FAILURE;
WHENEVER SQLERROR EXIT SQL.SQLCODE;

SET AUTOCOMMIT OFF;


/****************************************************************************************/
/*                                                                                      */
/* Star 15999789 Autosys: update ujo stored procedures					*/
/*                                                                                      */
/****************************************************************************************/

/* alter session set current_schema = mdbadmin */

CREATE OR REPLACE FUNCTION ujo_event_state (
    i_eoid VARCHAR2 ,
    i_que_status NUMBER ,
    i_evt_num NUMBER)
RETURN INTEGER AS

    l_evt_num INTEGER;

BEGIN

	/* If i_que_status > 1 (EVENT_DONE, HDLR_ERROR, UN_SENT), move to proc_event */
    IF (i_que_status > 1 AND i_que_status < 5) THEN
        UPDATE ujo_next_oid set oid = oid + 1 where field = 'evt_proc_num'
        RETURNING oid INTO l_evt_num;

        IF SQL%ROWCOUNT = 0 THEN
            INSERT INTO ujo_next_oid (oid, field) values (1, 'evt_proc_num');
            l_evt_num := 1;
    	END IF;
        COMMIT;
		    	    
    	INSERT INTO ujo_proc_event(eoid, joid, job_name, box_name, AUTOSERV, priority,
                               event, status, alarm, event_time_gmt, exit_code, machine,
                               pid, jc_pid, run_num, ntry, text, que_priority, stamp,
							   evt_num, que_status, que_status_stamp)
     		SELECT e.eoid, e.joid, e.job_name, e.box_name, e.AUTOSERV,
		  		e.priority, e.event, e.status, e.alarm, e.event_time_gmt, e.exit_code, e.machine, 
	      		e.pid, e.jc_pid, e.run_num, e.ntry, e.text, e.que_priority, e.stamp,
		  		l_evt_num, i_que_status, SYSDATE
      		FROM ujo_event e
      		WHERE eoid = i_eoid;

		IF SQL%ROWCOUNT = 1 THEN
			DELETE FROM ujo_event WHERE eoid = i_eoid;
		ELSE
		    raise_application_error(-20000, 'Multiple event (' || i_eoid || ')');
			ROLLBACK;
			RETURN 0;
		END IF;

    ELSE 
    	UPDATE ujo_event
    	SET que_status = i_que_status,
        	que_status_stamp = SYSDATE
    	WHERE eoid = i_eoid;

    	IF SQL%ROWCOUNT != 1 THEN
        	raise_application_error(-20000, 'Invalid event (' || i_eoid || ')');
        	ROLLBACK;
        	RETURN 0;
    	END IF;
    	COMMIT;
	END IF;

    RETURN 1;

END;
/

/****************************************************************************************/
/*                                                                                      */
/* Register patch                                                                       */
/*                                                                                      */
/****************************************************************************************/
INSERT INTO mdb_patch ( patchnumber, installdate,  mdbmajorversion, mdbminorversion, description)
 VALUES ( 15999789, systimestamp, 1, 4, 'Star 15999789 Autosys: update ujo stored procedures' );

COMMIT;

EXIT SUCCESS;
