SET ECHO ON;
WHENEVER OSERROR EXIT FAILURE;
WHENEVER SQLERROR EXIT SQL.SQLCODE;

SET AUTOCOMMIT OFF;


/****************************************************************************************/
/*                                                                                      */
/* Star 16204701 DSM: add tables bckdef, bckbin, bckfile 				*/
/*                                                                                      */
/****************************************************************************************/
SET ESCAPE ON;


CREATE TABLE MDBADMIN.bckdef (
 domainid NUMBER NOT NULL ,
 bckid NUMBER NOT NULL ,
 dbname nvarchar2 (50) NULL ,
 filename nvarchar2 (127) NULL ,
 version NUMBER NULL ,
 bckflag NUMBER NULL ,
 editor nvarchar2 (50) NULL ,
 revnr NUMBER NULL ,
 auto_server_version NUMBER DEFAULT 0 NULL,
 auto_rep_version timestamp NULL
);

ALTER TABLE MDBADMIN.bckdef ADD
 CONSTRAINT XPKbckdef PRIMARY KEY  
 (
  bckid,
  domainid
 );
GRANT  SELECT, update, insert, delete  ON MDBADMIN.bckdef  to ca_itrm_group;
GRANT  SELECT  ON MDBADMIN.bckdef  to ca_itrm_group_ams;



CREATE TABLE MDBADMIN.bckbin (
 object_uuid raw (16) NOT NULL ,
 object_type NUMBER NULL ,
 object_domain_uuid raw (16) NULL ,
 bdomid NUMBER NOT NULL ,
 bkver NUMBER NOT NULL ,
 bknr NUMBER NOT NULL ,
 bkdate NUMBER NULL ,
 bkfile NCLOB NULL ,
 bckid NUMBER NOT NULL
);


ALTER TABLE MDBADMIN.bckbin ADD
 CONSTRAINT XPKbckbin PRIMARY KEY  
 (
  object_uuid,
  bckid,
  bdomid,
  bknr
 );
GRANT  SELECT, update, insert, delete  ON MDBADMIN.bckbin  to ca_itrm_group;
GRANT  SELECT  ON MDBADMIN.bckbin  to ca_itrm_group_ams;


CREATE TABLE MDBADMIN.bckfile (
 object_uuid raw (16) NOT NULL ,
 object_type NUMBER NULL ,
 object_domain_uuid raw (16) NULL ,
 bdomid NUMBER NOT NULL ,
 bkver NUMBER NOT NULL ,
 bknr NUMBER NOT NULL ,
 bkdate NUMBER NULL ,
 bkfile NCLOB NULL ,
 bckid NUMBER NOT NULL ,
 auto_rep_version timestamp NULL
);

ALTER TABLE MDBADMIN.bckfile ADD
 CONSTRAINT XPKbckfile PRIMARY KEY  
 (
  object_uuid,
  bckid,
  bdomid,
  bkver,
  bknr
 );
GRANT  SELECT, update, insert, delete  ON MDBADMIN.bckfile  to ca_itrm_group;
GRANT  SELECT  ON MDBADMIN.bckfile  to ca_itrm_group_ams;


/****************************************************************************************/
/*                                                                                      */
/* Register patch                                                                       */
/*                                                                                      */
/****************************************************************************************/
INSERT INTO mdb_patch ( patchnumber, installdate,  mdbmajorversion, mdbminorversion, description)
 VALUES ( 16204701, systimestamp, 1, 4, 'Star 16204701 DSM: add tables bckdef, bckbin, bckfile' );

COMMIT;

EXIT SUCCESS;
