SET ECHO ON;
WHENEVER OSERROR EXIT FAILURE;
WHENEVER SQLERROR EXIT SQL.SQLCODE;

SET AUTOCOMMIT OFF;


/****************************************************************************************/
/*                                                                                      */
/* Star 16209413 USD : redefine persistent invalid views, version 1 not version 0	*/
/*                                                                                      */
/****************************************************************************************/

CREATE OR REPLACE FORCE 
VIEW VIEW_REQUEST ( ID, PERSID, REF_NUM, SUMMARY, DESCRIPTION, STATUS, ACTIVE_FLAG, 
    OPEN_DATE, TIME_SPENT_SUM, LAST_MOD_DT, LAST_MOD_BY, CLOSE_DATE, RESOLVE_DATE, 
    ROOTCAUSE, LOG_AGENT, ASSIGNEE, GROUP_ID, CUSTOMER, CHARGE_BACK_ID, AFFECTED_RC, 
    SUPPORT_LEV, CATEGORY, SOLUTION, IMPACT, PRIORITY, URGENCY, SEVERITY, EXTERN_REF,  
    LAST_ACT_ID, CR_TTICKET, PARENT, TEMPLATE_NAME, SLA_VIOLATION, PREDICTED_SLA_VIOL,  
    MACRO_PREDICT_VIOL, CREATED_VIA, CALL_BACK_DATE, CALL_BACK_FLAG, EVENT_TOKEN,  
    SCHED_TOKEN, TYPE, STRING1, STRING2, STRING3, STRING4, STRING5, STRING6, PROBLEM,  
    INCIDENT_PRIORITY, CHANGE, SERVICE_TYPE, SEVERITY_NUM, URGENCY_NUM, CATEGORY_NAME,  
    ASSET, IMPACT_NUM, ASSIGNEE_LASTNAME, ASSIGNEE_FIRSTNAME, ASSIGNEE_MIDDLENAME,  
    CUSTOMER_LASTNAME, CUSTOMER_FIRSTNAME, CUSTOMER_MIDDLENAME, GROUP_NAME, GROUPID,  
    STATUS_NAME, PRIORITY_NUM ) AS
SELECT call_req.ID, 
    call_req.PERSID,  
    call_req.REF_NUM,  
    call_req.SUMMARY,  
    call_req.DESCRIPTION,  
    call_req.STATUS,  
    call_req.ACTIVE_FLAG,  
    call_req.OPEN_DATE,  
    call_req.TIME_SPENT_SUM,  
    call_req.LAST_MOD_DT,  
    call_req.LAST_MOD_BY,  
    call_req.CLOSE_DATE,  
    call_req.RESOLVE_DATE,  
    call_req.ROOTCAUSE,  
    call_req.LOG_AGENT,  
    call_req.ASSIGNEE,  
    call_req.GROUP_ID,  
    call_req.CUSTOMER,  
    call_req.CHARGE_BACK_ID,  
    call_req.AFFECTED_RC,  
    call_req.SUPPORT_LEV,  
    call_req.CATEGORY,  
    call_req.SOLUTION,  
    call_req.IMPACT,  
    call_req.PRIORITY,  
    call_req.URGENCY,  
    call_req.SEVERITY,  
    call_req.EXTERN_REF,  
    call_req.LAST_ACT_ID,  
    call_req.CR_TTICKET,  
    call_req.PARENT,  
    call_req.TEMPLATE_NAME,  
    call_req.SLA_VIOLATION,  
    call_req.PREDICTED_SLA_VIOL,  
    call_req.MACRO_PREDICT_VIOL,  
    call_req.CREATED_VIA,  
    call_req.CALL_BACK_DATE,  
    call_req.CALL_BACK_FLAG,  
    call_req.EVENT_TOKEN,  
    call_req.SCHED_TOKEN,  
    call_req.TYPE,  
    call_req.STRING1,  
    call_req.STRING2,  
    call_req.STRING3,  
    call_req.STRING4,  
    call_req.STRING5,  
    call_req.STRING6,  
    call_req.PROBLEM,  
    call_req.INCIDENT_PRIORITY,  
    call_req.CHANGE,
    srv_desc.sym service_type,
    sevrty.sym severity_num,
    urgncy.sym urgency_num,
    prob_ctg.sym category_name,
    net_res.resource_name asset,
    impact.sym impact_num,
    assignee.last_name assignee_lastname,
    assignee.first_name assignee_firstname,
    assignee.middle_name assignee_middlename,
    customer.last_name customer_lastname,
    customer.first_name customer_firstname,
    customer.middle_name customer_middlename,
    View_Group.last_name group_name,
    View_Group.contact_uuid groupID,
    cr_stat.sym status_name,
    pri.sym priority_num
FROM (((((((((((
    call_req inner join pri ON call_req.priority = pri.enum)
    inner join ca_contact customer ON call_req.customer = customer.contact_uuid)
    left join srv_desc ON call_req.support_lev = srv_desc.code)
    left join sevrty ON call_req.severity = sevrty.enum)
    left join urgncy ON call_req.urgency = urgncy.enum)
    left join impact ON call_req.impact = impact.enum)
    left join ca_owned_resource net_res ON call_req.affected_rc = net_res.own_resource_uuid)
    left join prob_ctg ON call_req.category = prob_ctg.persid)
    left join View_Group ON call_req.group_id = View_Group.contact_uuid)
    left join ca_contact assignee ON call_req.assignee = assignee.contact_uuid)
    left join cr_stat ON call_req.status = cr_stat.code)
;


CREATE OR REPLACE FORCE
VIEW VIEW_REQUEST_TO_ACT_LOG ( ID, PERSID, REF_NUM, SUMMARY, DESCRIPTION, STATUS, ACTIVE_FLAG, 
    OPEN_DATE, TIME_SPENT_SUM, LAST_MOD_DT, LAST_MOD_BY, CLOSE_DATE, RESOLVE_DATE, ROOTCAUSE,
    LOG_AGENT, ASSIGNEE, GROUP_ID, CUSTOMER, CHARGE_BACK_ID, AFFECTED_RC,  SUPPORT_LEV, CATEGORY,
    SOLUTION, IMPACT, PRIORITY, URGENCY, SEVERITY, EXTERN_REF, LAST_ACT_ID, CR_TTICKET, PARENT,
    TEMPLATE_NAME, SLA_VIOLATION, PREDICTED_SLA_VIOL, MACRO_PREDICT_VIOL, CREATED_VIA, CALL_BACK_DATE,
    CALL_BACK_FLAG, EVENT_TOKEN, SCHED_TOKEN, TYPE, STRING1, STRING2, STRING3, STRING4, STRING5,STRING6,
    PROBLEM, INCIDENT_PRIORITY, CHANGE, SERVICE_TYPE, SEVERITY_NUM, URGENCY_NUM, CATEGORY_NAME, ASSET,
    IMPACT_NUM, ASSIGNEE_LASTNAME, ASSIGNEE_FIRSTNAME, ASSIGNEE_MIDDLENAME, CUSTOMER_LASTNAME,
    CUSTOMER_FIRSTNAME, CUSTOMER_MIDDLENAME, GROUP_NAME, GROUPID, STATUS_NAME, PRIORITY_NUM, 
    ACTLOG_ID, ACTLOG_PERSID, CALL_REQ_ID, ACTLOG_LAST_MOD_DT, TIME_SPENT, TIME_STAMP, SYSTEM_TIME, 
    ANALYST, "DESCRIPTION ACTLOG_DESC", ACTION_DESC, "TYPE ACTLOG_TYPE", KNOWLEDGE_SESSION, KNOWLEDGE_TOOL, 
    INTERNAL, ACTIVITY_TYPE, ANALYST_LASTNAME, ANALYST_FIRSTNAME, ANALYST_MIDDLENAME ) AS
SELECT VIEW_REQUEST.ID,
       VIEW_REQUEST.PERSID,
       VIEW_REQUEST.REF_NUM,
       VIEW_REQUEST.SUMMARY,
       VIEW_REQUEST.DESCRIPTION,
       VIEW_REQUEST.STATUS,
       VIEW_REQUEST.ACTIVE_FLAG, 
       VIEW_REQUEST.OPEN_DATE,
       VIEW_REQUEST.TIME_SPENT_SUM,
       VIEW_REQUEST.LAST_MOD_DT,
       VIEW_REQUEST.LAST_MOD_BY,
       VIEW_REQUEST.CLOSE_DATE,
       VIEW_REQUEST.RESOLVE_DATE, 
       VIEW_REQUEST.ROOTCAUSE,
       VIEW_REQUEST.LOG_AGENT,
       VIEW_REQUEST.ASSIGNEE,
       VIEW_REQUEST.GROUP_ID,
       VIEW_REQUEST.CUSTOMER,
       VIEW_REQUEST.CHARGE_BACK_ID,
       VIEW_REQUEST.AFFECTED_RC, 
       VIEW_REQUEST.SUPPORT_LEV,
       VIEW_REQUEST.CATEGORY,
       VIEW_REQUEST.SOLUTION,
       VIEW_REQUEST.IMPACT,
       VIEW_REQUEST.PRIORITY,
       VIEW_REQUEST.URGENCY,
       VIEW_REQUEST.SEVERITY,
       VIEW_REQUEST.EXTERN_REF,  
       VIEW_REQUEST.LAST_ACT_ID,
       VIEW_REQUEST.CR_TTICKET,
       VIEW_REQUEST.PARENT,
       VIEW_REQUEST.TEMPLATE_NAME,
       VIEW_REQUEST.SLA_VIOLATION,
       VIEW_REQUEST.PREDICTED_SLA_VIOL,  
       VIEW_REQUEST.MACRO_PREDICT_VIOL,
       VIEW_REQUEST.CREATED_VIA,
       VIEW_REQUEST.CALL_BACK_DATE,
       VIEW_REQUEST.CALL_BACK_FLAG,
       VIEW_REQUEST.EVENT_TOKEN,  
       VIEW_REQUEST.SCHED_TOKEN,
       VIEW_REQUEST.TYPE,
       VIEW_REQUEST.STRING1,
       VIEW_REQUEST.STRING2,
       VIEW_REQUEST.STRING3,
       VIEW_REQUEST.STRING4,
       VIEW_REQUEST.STRING5,
       VIEW_REQUEST.STRING6,
       VIEW_REQUEST.PROBLEM,  
       VIEW_REQUEST.INCIDENT_PRIORITY,
       VIEW_REQUEST.CHANGE,
       VIEW_REQUEST.SERVICE_TYPE,
       VIEW_REQUEST.SEVERITY_NUM,
       VIEW_REQUEST.URGENCY_NUM,
       VIEW_REQUEST.CATEGORY_NAME,  
       VIEW_REQUEST.ASSET,
       VIEW_REQUEST.IMPACT_NUM,
       VIEW_REQUEST.ASSIGNEE_LASTNAME,
       VIEW_REQUEST.ASSIGNEE_FIRSTNAME,
       VIEW_REQUEST.ASSIGNEE_MIDDLENAME,  
       VIEW_REQUEST.CUSTOMER_LASTNAME,
       VIEW_REQUEST.CUSTOMER_FIRSTNAME,
       VIEW_REQUEST.CUSTOMER_MIDDLENAME,
       VIEW_REQUEST.GROUP_NAME,
       VIEW_REQUEST.GROUPID,  
       VIEW_REQUEST.STATUS_NAME,
       VIEW_REQUEST.PRIORITY_NUM, 
       View_Act_Log.id actlog_id, 
       View_Act_Log.persid actlog_persid, 
       View_Act_Log.call_req_id, 
       View_Act_Log.last_mod_dt actlog_last_mod_dt, 
       View_Act_Log.time_spent, 
       View_Act_Log.time_stamp, 
       View_Act_Log.system_time, 
       View_Act_Log.analyst, 
       View_Act_Log.description actlog_desc, 
       View_Act_Log.action_desc, 
       View_Act_Log.type actlog_type, 
       View_Act_Log.knowledge_session, 
       View_Act_Log.knowledge_tool, 
       View_Act_Log.internal,
       View_Act_Log.activity_type, 
       View_Act_Log.analyst_lastname, 
       View_Act_Log.analyst_firstname, 
       View_Act_Log.analyst_middlename
FROM (View_Request inner join View_Act_Log ON View_Request.persid = View_Act_Log.call_req_id)
;

CREATE OR REPLACE FORCE 
VIEW VIEW_REQUEST_TO_PROPERTIES ( ID, PERSID, REF_NUM, SUMMARY, DESCRIPTION, STATUS, ACTIVE_FLAG, 
     OPEN_DATE, TIME_SPENT_SUM, LAST_MOD_DT, LAST_MOD_BY, CLOSE_DATE, RESOLVE_DATE, ROOTCAUSE,
     LOG_AGENT, ASSIGNEE, GROUP_ID, CUSTOMER, CHARGE_BACK_ID, AFFECTED_RC, SUPPORT_LEV, CATEGORY,
     SOLUTION, IMPACT, PRIORITY, URGENCY, SEVERITY, EXTERN_REF, LAST_ACT_ID, CR_TTICKET, PARENT,
     TEMPLATE_NAME, SLA_VIOLATION, PREDICTED_SLA_VIOL, MACRO_PREDICT_VIOL, CREATED_VIA, CALL_BACK_DATE,
     CALL_BACK_FLAG, EVENT_TOKEN, SCHED_TOKEN, TYPE, STRING1, STRING2, STRING3, STRING4, STRING5,
     STRING6, PROBLEM, INCIDENT_PRIORITY, CHANGE, SERVICE_TYPE, SEVERITY_NUM, URGENCY_NUM, CATEGORY_NAME,  
     ASSET, IMPACT_NUM, ASSIGNEE_LASTNAME, ASSIGNEE_FIRSTNAME, ASSIGNEE_MIDDLENAME, CUSTOMER_LASTNAME,
     CUSTOMER_FIRSTNAME, CUSTOMER_MIDDLENAME, GROUP_NAME, GROUPID, STATUS_NAME, PRIORITY_NUM, CRPRP_ID, 
     CRPRP_PERSID, SEQUENCE, LABEL, CRPRP_DESCRIPTION, VALUE, REQUIRED, SAMPLE, OWNING_CR, CRPRP_LAST_MOD_DT, 
     CRPRP_LAST_MOD_BY ) AS
SELECT VIEW_REQUEST.ID,
       VIEW_REQUEST.PERSID,
       VIEW_REQUEST.REF_NUM,
       VIEW_REQUEST.SUMMARY,
       VIEW_REQUEST.DESCRIPTION,
       VIEW_REQUEST.STATUS,
       VIEW_REQUEST.ACTIVE_FLAG, 
       VIEW_REQUEST.OPEN_DATE,
       VIEW_REQUEST.TIME_SPENT_SUM,
       VIEW_REQUEST.LAST_MOD_DT,
       VIEW_REQUEST.LAST_MOD_BY,
       VIEW_REQUEST.CLOSE_DATE,
       VIEW_REQUEST.RESOLVE_DATE, 
       VIEW_REQUEST.ROOTCAUSE,
       VIEW_REQUEST.LOG_AGENT,
       VIEW_REQUEST.ASSIGNEE,
       VIEW_REQUEST.GROUP_ID,
       VIEW_REQUEST.CUSTOMER,
       VIEW_REQUEST.CHARGE_BACK_ID,
       VIEW_REQUEST.AFFECTED_RC, 
       VIEW_REQUEST.SUPPORT_LEV,
       VIEW_REQUEST.CATEGORY,
       VIEW_REQUEST.SOLUTION,
       VIEW_REQUEST.IMPACT,
       VIEW_REQUEST.PRIORITY,
       VIEW_REQUEST.URGENCY,
       VIEW_REQUEST.SEVERITY,
       VIEW_REQUEST.EXTERN_REF,  
       VIEW_REQUEST.LAST_ACT_ID,
       VIEW_REQUEST.CR_TTICKET,
       VIEW_REQUEST.PARENT,
       VIEW_REQUEST.TEMPLATE_NAME,
       VIEW_REQUEST.SLA_VIOLATION,
       VIEW_REQUEST.PREDICTED_SLA_VIOL,  
       VIEW_REQUEST.MACRO_PREDICT_VIOL,
       VIEW_REQUEST.CREATED_VIA,
       VIEW_REQUEST.CALL_BACK_DATE,
       VIEW_REQUEST.CALL_BACK_FLAG,
       VIEW_REQUEST.EVENT_TOKEN,  
       VIEW_REQUEST.SCHED_TOKEN,
       VIEW_REQUEST.TYPE,
       VIEW_REQUEST.STRING1,
       VIEW_REQUEST.STRING2,
       VIEW_REQUEST.STRING3,
       VIEW_REQUEST.STRING4,
       VIEW_REQUEST.STRING5,
       VIEW_REQUEST.STRING6,
       VIEW_REQUEST.PROBLEM,  
       VIEW_REQUEST.INCIDENT_PRIORITY,
       VIEW_REQUEST.CHANGE,
       VIEW_REQUEST.SERVICE_TYPE,
       VIEW_REQUEST.SEVERITY_NUM,
       VIEW_REQUEST.URGENCY_NUM,
       VIEW_REQUEST.CATEGORY_NAME,  
       VIEW_REQUEST.ASSET,
       VIEW_REQUEST.IMPACT_NUM,
       VIEW_REQUEST.ASSIGNEE_LASTNAME,
       VIEW_REQUEST.ASSIGNEE_FIRSTNAME,
       VIEW_REQUEST.ASSIGNEE_MIDDLENAME,  
       VIEW_REQUEST.CUSTOMER_LASTNAME,
       VIEW_REQUEST.CUSTOMER_FIRSTNAME,
       VIEW_REQUEST.CUSTOMER_MIDDLENAME,
       VIEW_REQUEST.GROUP_NAME,
       VIEW_REQUEST.GROUPID,  
       VIEW_REQUEST.STATUS_NAME,
       VIEW_REQUEST.PRIORITY_NUM,
       cr_prp.id crprp_id, 
       cr_prp.persid crprp_persid, 
       cr_prp.sequence, 
       cr_prp.label, 
       cr_prp.description crprp_description, 
       cr_prp.value, 
       cr_prp.required, 
       cr_prp.sample, 
       cr_prp.owning_cr, 
       cr_prp.last_mod_dt crprp_last_mod_dt, 
       cr_prp.last_mod_by crprp_last_mod_by
FROM (View_Request inner join cr_prp ON View_Request.persid = cr_prp.owning_cr)
;


CREATE OR REPLACE FORCE 
VIEW VIEW_CHANGE ( ID, PERSID, CHG_REF_NUM, SUMMARY, DESCRIPTION, STATUS, ACTIVE_FLAG, 
START_DATE, OPEN_DATE, LAST_MOD_DT, LAST_MOD_BY, CLOSE_DATE, RESOLVE_DATE, ROOTCAUSE, 
EST_TOTAL_TIME, ACTUAL_TOTAL_TIME, LOG_AGENT, ASSIGNEE, ORGANIZATION, GROUP_ID, 
AFFECTED_CONTACT, REQUESTOR, CATEGORY, PRIORITY, NEED_BY, EST_COMP_DATE, ACTUAL_COMP_DATE, 
EST_COST, ACTUAL_COST, JUSTIFICATION, BACKOUT_PLAN, IMPACT, PARENT, EFFORT, SUPPORT_LEV, 
TEMPLATE_NAME, SLA_VIOLATION, PREDICTED_SLA_VIOL, MACRO_PREDICT_VIOL, CREATED_VIA, 
CALL_BACK_DATE, CALL_BACK_FLAG, STRING1, STRING2, STRING3, STRING4, STRING5, STRING6, 
SERVICE_DATE, SERVICE_NUM, PRODUCT, ACTIONS, TYPE_OF_CONTACT, REPORTING_METHOD, 
PERSON_CONTACTING, FLAG1, FLAG2, FLAG3, FLAG4, FLAG5, FLAG6, USER1, USER2, USER3, 
CAWF_PROCID, PROJECT, STATUS_NAME, PRIORITY_NUM, CATEGORY_NAME, ORGANIZATION_NAME, AFFECTED_END_USER_LASTNAME, AFFECTED_END_USER_FIRSTNAME, AFFECTED_END_USER_MIDDLENAME, 
REQUESTER_LASTNAME, REQUESTER_FIRSTNAME, REQUESTER_MIDDLENAME, BUSINESS, ASSIGNEE_LASTNAME, ASSIGNEE_FIRSTNAME, ASSIGNEE_MIDDLENAME, GROUPID, GROUP_NAME, SERVICE_TYPE, IMPACT_NUM, 
PRODUCT_SYM, TYPE_OF_CONTACT_SYM, RPTING_METHOD_SYM, PERSON_CONTACTING_SYM ) AS
SELECT 
    chg.ID, 
    chg.PERSID,
    chg.CHG_REF_NUM, 
    chg.SUMMARY, 
    chg.DESCRIPTION, 
    chg.STATUS, 
    chg.ACTIVE_FLAG, 
    chg.START_DATE,     
    chg.OPEN_DATE, 
    chg.LAST_MOD_DT, 
    chg.LAST_MOD_BY, 
    chg.CLOSE_DATE, 
    chg.RESOLVE_DATE,
    chg.ROOTCAUSE, 
    chg.EST_TOTAL_TIME, 
    chg.ACTUAL_TOTAL_TIME, 
    chg.LOG_AGENT, 
    chg.ASSIGNEE,
    chg.ORGANIZATION, 
    chg.GROUP_ID, 
    chg.AFFECTED_CONTACT, 
    chg.REQUESTOR, chg.CATEGORY, 
    chg.PRIORITY, 
    chg.NEED_BY, 
    chg.EST_COMP_DATE, 
    chg.ACTUAL_COMP_DATE, 
    chg.EST_COST, 
    chg.ACTUAL_COST, 
    chg.JUSTIFICATION, 
    chg.BACKOUT_PLAN, 
    chg.IMPACT, 
    chg.PARENT, 
    chg.EFFORT, 
    chg.SUPPORT_LEV, 
    chg.TEMPLATE_NAME, 
    chg.SLA_VIOLATION, 
    chg.PREDICTED_SLA_VIOL, 
    chg.MACRO_PREDICT_VIOL, 
    chg.CREATED_VIA, 
    chg.CALL_BACK_DATE, 
    chg.CALL_BACK_FLAG, 
    chg.STRING1, 
    chg.STRING2, 
    chg.STRING3, 
    chg.STRING4, 
    chg.STRING5, 
    chg.STRING6, 
    chg.SERVICE_DATE, 
    chg.SERVICE_NUM, 
    chg.PRODUCT, 
    chg.ACTIONS, 
    chg.TYPE_OF_CONTACT, 
    chg.REPORTING_METHOD, 
    chg.PERSON_CONTACTING, 
    chg.FLAG1, 
    chg.FLAG2, 
    chg.FLAG3, 
    chg.FLAG4, 
    chg.FLAG5, 
    chg.FLAG6, 
    chg.USER1, 
    chg.USER2, 
    chg.USER3, 
    chg.CAWF_PROCID, 
    chg.PROJECT,
    chgstat.sym status_name,
    pri.sym priority_num,
    chgcat.sym category_name,
    int_org.org_name organization_name,
    affected_cnt.last_name affected_end_user_lastname,
    affected_cnt.first_name affected_end_user_firstname,
    affected_cnt.middle_name affected_end_user_middlename,
    requester.last_name requester_lastname,
    requester.first_name requester_firstname,
    requester.middle_name requester_middlename,
    requester_org.org_name business,
    assignee.last_name assignee_lastname,
    assignee.first_name assignee_firstname,
    assignee.middle_name assignee_middlename,
    View_Group.contact_uuid groupID,
    View_Group.last_name group_name,
    srv_desc.sym service_type,
    impact.sym impact_num,
    product.sym product_sym,
    toc.sym type_of_contact_sym,
    repmeth.sym rpting_method_sym,
    perscon.sym person_contacting_sym
FROM (((((((((((((((
    chg inner join pri ON chg.priority = pri.enum)
    left join chgstat ON chg.status = chgstat.code)
    inner join ca_contact affected_cnt ON chg.affected_contact = affected_cnt.contact_uuid)
    inner join ca_contact requester ON chg.requestor = requester.contact_uuid)
    left join ca_contact assignee ON chg.assignee = assignee.contact_uuid)
    left join View_Group ON chg.group_id = View_Group.contact_uuid)
    left join srv_desc ON chg.support_lev = srv_desc.code)
    left join ca_organization int_org ON chg.organization = int_org.organization_uuid)
    left join ca_organization requester_org ON requester.organization_uuid = requester_org.organization_uuid)
    left join chgcat ON chg.category = chgcat.code)
    left join impact ON chg.impact = impact.enum)
    left join product ON chg.product = product.id)
    left join toc ON chg.type_of_contact = toc.id)
    left join repmeth ON chg.reporting_method = repmeth.id)
    left join perscon ON chg.person_contacting = perscon.id)
;


CREATE OR REPLACE FORCE
VIEW VIEW_CHANGE_TO_CHANGE_ACT_LOG ( ID, PERSID, CHG_REF_NUM, SUMMARY, DESCRIPTION, STATUS, ACTIVE_FLAG, START_DATE, OPEN_DATE,
     LAST_MOD_DT, LAST_MOD_BY, CLOSE_DATE, RESOLVE_DATE, ROOTCAUSE, EST_TOTAL_TIME, ACTUAL_TOTAL_TIME, LOG_AGENT, ASSIGNEE,
     ORGANIZATION, GROUP_ID, AFFECTED_CONTACT, REQUESTOR, ATEGORY, PRIORITY, NEED_BY, EST_COMP_DATE, ACTUAL_COMP_DATE, EST_COST,
     ACTUAL_COST, JUSTIFICATION, BACKOUT_PLAN, IMPACT, PARENT, EFFORT, SUPPORT_LEV, TEMPLATE_NAME, SLA_VIOLATION, PREDICTED_SLA_VIOL,
     MACRO_PREDICT_VIOL, CREATED_VIA, CALL_BACK_DATE, CALL_BACK_FLAG, STRING1, STRING2, STRING3, STRING4, STRING5, STRING6, SERVICE_DATE,
     SERVICE_NUM, PRODUCT, ACTIONS, TYPE_OF_CONTACT, REPORTING_METHOD, PERSON_CONTACTING, FLAG1, FLAG2, FLAG3, FLAG4, FLAG5, FLAG6,
     USER1, USER2, USER3, CAWF_PROCID, PROJECT, STATUS_NAME, PRIORITY_NUM, CATEGORY_NAME, ORGANIZATION_NAME, AFFECTED_END_USER_LASTNAME,
     AFFECTED_END_USER_FIRSTNAME, AFFECTED_END_USER_MIDDLENAME, REQUESTER_LASTNAME, REQUESTER_FIRSTNAME, REQUESTER_MIDDLENAME, BUSINESS,
     ASSIGNEE_LASTNAME, ASSIGNEE_FIRSTNAME, ASSIGNEE_MIDDLENAME, GROUPID, GROUP_NAME, SERVICE_TYPE, IMPACT_NUM, PRODUCT_SYM, TYPE_OF_CONTACT_SYM,
     RPTING_METHOD_SYM, PERSON_CONTACTING_SYM, CHGALG_ID, CHGALG_PERSID, CHANGE_ID, CHGALG_LAST_MOD_DT, TIME_SPENT, TIME_STAMP, SYSTEM_TIME,
     ANALYST, CHGALG_DESCRIPTION, ACTION_DESC, TYPE, INTERNAL, KNOWLEDGE_SESSION, KNOWLEDGE_TOOL, CHGALG_ANALYST_ID ) AS
SELECT VIEW_CHANGE.ID,
       VIEW_CHANGE.PERSID,
       VIEW_CHANGE.CHG_REF_NUM,
       VIEW_CHANGE.SUMMARY,
       VIEW_CHANGE.DESCRIPTION,
       VIEW_CHANGE.STATUS,
       VIEW_CHANGE.ACTIVE_FLAG,
       VIEW_CHANGE.START_DATE,
       VIEW_CHANGE.OPEN_DATE,
       VIEW_CHANGE.LAST_MOD_DT,
       VIEW_CHANGE.LAST_MOD_BY,
       VIEW_CHANGE.CLOSE_DATE,
       VIEW_CHANGE.RESOLVE_DATE,
       VIEW_CHANGE.ROOTCAUSE,
       VIEW_CHANGE.EST_TOTAL_TIME,
       VIEW_CHANGE.ACTUAL_TOTAL_TIME,
       VIEW_CHANGE.LOG_AGENT,
       VIEW_CHANGE.ASSIGNEE,
       VIEW_CHANGE.ORGANIZATION,
       VIEW_CHANGE.GROUP_ID,
       VIEW_CHANGE.AFFECTED_CONTACT,
       VIEW_CHANGE.REQUESTOR,
       VIEW_CHANGE.CATEGORY,
       VIEW_CHANGE.PRIORITY,
       VIEW_CHANGE.NEED_BY,
       VIEW_CHANGE.EST_COMP_DATE,
       VIEW_CHANGE.ACTUAL_COMP_DATE,
       VIEW_CHANGE.EST_COST,
       VIEW_CHANGE.ACTUAL_COST,
       VIEW_CHANGE.JUSTIFICATION,
       VIEW_CHANGE.BACKOUT_PLAN,
       VIEW_CHANGE.IMPACT,
       VIEW_CHANGE.PARENT,
       VIEW_CHANGE.EFFORT,
       VIEW_CHANGE.SUPPORT_LEV,
       VIEW_CHANGE.TEMPLATE_NAME,
       VIEW_CHANGE.SLA_VIOLATION,
       VIEW_CHANGE.PREDICTED_SLA_VIOL,
       VIEW_CHANGE.MACRO_PREDICT_VIOL,
       VIEW_CHANGE.CREATED_VIA,
       VIEW_CHANGE.CALL_BACK_DATE,
       VIEW_CHANGE.CALL_BACK_FLAG,
       VIEW_CHANGE.STRING1,
       VIEW_CHANGE.STRING2,
       VIEW_CHANGE.STRING3,
       VIEW_CHANGE.STRING4,
       VIEW_CHANGE.STRING5,
       VIEW_CHANGE.STRING6,
       VIEW_CHANGE.SERVICE_DATE,
       VIEW_CHANGE.SERVICE_NUM,
       VIEW_CHANGE.PRODUCT,
       VIEW_CHANGE.ACTIONS,
       VIEW_CHANGE.TYPE_OF_CONTACT,
       VIEW_CHANGE.REPORTING_METHOD,
       VIEW_CHANGE.PERSON_CONTACTING,
       VIEW_CHANGE.FLAG1,
       VIEW_CHANGE.FLAG2,
       VIEW_CHANGE.FLAG3,
       VIEW_CHANGE.FLAG4,
       VIEW_CHANGE.FLAG5,
       VIEW_CHANGE.FLAG6,
       VIEW_CHANGE.USER1,
       VIEW_CHANGE.USER2,
       VIEW_CHANGE.USER3,
       VIEW_CHANGE.CAWF_PROCID,
       VIEW_CHANGE.PROJECT,
       VIEW_CHANGE.STATUS_NAME,
       VIEW_CHANGE.PRIORITY_NUM,
       VIEW_CHANGE.CATEGORY_NAME,
       VIEW_CHANGE.ORGANIZATION_NAME,
       VIEW_CHANGE.AFFECTED_END_USER_LASTNAME,
       VIEW_CHANGE.AFFECTED_END_USER_FIRSTNAME,
       VIEW_CHANGE.AFFECTED_END_USER_MIDDLENAME,
       VIEW_CHANGE.REQUESTER_LASTNAME,
       VIEW_CHANGE.REQUESTER_FIRSTNAME,
       VIEW_CHANGE.REQUESTER_MIDDLENAME,
       VIEW_CHANGE.BUSINESS,
       VIEW_CHANGE.ASSIGNEE_LASTNAME,
       VIEW_CHANGE.ASSIGNEE_FIRSTNAME,
       VIEW_CHANGE.ASSIGNEE_MIDDLENAME,
       VIEW_CHANGE.GROUPID,
       VIEW_CHANGE.GROUP_NAME,
       VIEW_CHANGE.SERVICE_TYPE,
       VIEW_CHANGE.IMPACT_NUM,
       VIEW_CHANGE.PRODUCT_SYM,
       VIEW_CHANGE.TYPE_OF_CONTACT_SYM,
       VIEW_CHANGE.RPTING_METHOD_SYM,
       VIEW_CHANGE.PERSON_CONTACTING_SYM,
       chgalg.id chgalg_id,
       chgalg.persid chgalg_persid,
       chgalg.change_id,
       chgalg.last_mod_dt chgalg_last_mod_dt,
       chgalg.time_spent,
       chgalg.time_stamp,
       chgalg.system_time,
       chgalg.analyst,
       chgalg.description chgalg_description,
       chgalg.action_desc,
       chgalg.type,
       chgalg.internal,
       chgalg.knowledge_session,
       chgalg.knowledge_tool,
       chgalg.analyst chgalg_analyst_id
FROM (View_Change inner join chgalg ON View_Change.id = chgalg.change_id)
;


CREATE OR REPLACE FORCE
VIEW VIEW_CHANGE_TO_PROPERTIES ( ID, PERSID, CHG_REF_NUM, SUMMARY, DESCRIPTION, STATUS, ACTIVE_FLAG, START_DATE, OPEN_DATE,
     LAST_MOD_DT, LAST_MOD_BY, CLOSE_DATE, RESOLVE_DATE, ROOTCAUSE, EST_TOTAL_TIME, ACTUAL_TOTAL_TIME, LOG_AGENT, ASSIGNEE,
     ORGANIZATION, GROUP_ID, AFFECTED_CONTACT, REQUESTOR, ATEGORY, PRIORITY, NEED_BY, EST_COMP_DATE, ACTUAL_COMP_DATE, EST_COST,
     ACTUAL_COST, JUSTIFICATION, BACKOUT_PLAN, IMPACT, PARENT, EFFORT, SUPPORT_LEV, TEMPLATE_NAME, SLA_VIOLATION, PREDICTED_SLA_VIOL,
     MACRO_PREDICT_VIOL, CREATED_VIA, CALL_BACK_DATE, CALL_BACK_FLAG, STRING1, STRING2, STRING3, STRING4, STRING5, STRING6, SERVICE_DATE,
     SERVICE_NUM, PRODUCT, ACTIONS, TYPE_OF_CONTACT, REPORTING_METHOD, PERSON_CONTACTING, FLAG1, FLAG2, FLAG3, FLAG4, FLAG5, FLAG6,
     USER1, USER2, USER3, CAWF_PROCID, PROJECT, STATUS_NAME, PRIORITY_NUM, CATEGORY_NAME, ORGANIZATION_NAME, AFFECTED_END_USER_LASTNAME,
     AFFECTED_END_USER_FIRSTNAME, AFFECTED_END_USER_MIDDLENAME, REQUESTER_LASTNAME, REQUESTER_FIRSTNAME, REQUESTER_MIDDLENAME, BUSINESS,
     ASSIGNEE_LASTNAME, ASSIGNEE_FIRSTNAME, ASSIGNEE_MIDDLENAME, GROUPID, GROUP_NAME, SERVICE_TYPE, IMPACT_NUM, PRODUCT_SYM, TYPE_OF_CONTACT_SYM,
     RPTING_METHOD_SYM, PERSON_CONTACTING_SYM, PRP_ID, PRP_PERSID, OBJECT_TYPE, OBJECT_ID, SEQUENCE, PROPERTY, VALUE, PRP_LAST_MOD_DT, 
     PRP_LAST_MOD_BY, REQUIRED, SAMPLE, PRP_DESCRIPTION, LABEL ) AS
SELECT VIEW_CHANGE.ID,
       VIEW_CHANGE.PERSID,
       VIEW_CHANGE.CHG_REF_NUM,
       VIEW_CHANGE.SUMMARY,
       VIEW_CHANGE.DESCRIPTION,
       VIEW_CHANGE.STATUS,
       VIEW_CHANGE.ACTIVE_FLAG,
       VIEW_CHANGE.START_DATE,
       VIEW_CHANGE.OPEN_DATE,
       VIEW_CHANGE.LAST_MOD_DT,
       VIEW_CHANGE.LAST_MOD_BY,
       VIEW_CHANGE.CLOSE_DATE,
       VIEW_CHANGE.RESOLVE_DATE,
       VIEW_CHANGE.ROOTCAUSE,
       VIEW_CHANGE.EST_TOTAL_TIME,
       VIEW_CHANGE.ACTUAL_TOTAL_TIME,
       VIEW_CHANGE.LOG_AGENT,
       VIEW_CHANGE.ASSIGNEE,
       VIEW_CHANGE.ORGANIZATION,
       VIEW_CHANGE.GROUP_ID,
       VIEW_CHANGE.AFFECTED_CONTACT,
       VIEW_CHANGE.REQUESTOR,
       VIEW_CHANGE.CATEGORY,
       VIEW_CHANGE.PRIORITY,
       VIEW_CHANGE.NEED_BY,
       VIEW_CHANGE.EST_COMP_DATE,
       VIEW_CHANGE.ACTUAL_COMP_DATE,
       VIEW_CHANGE.EST_COST,
       VIEW_CHANGE.ACTUAL_COST,
       VIEW_CHANGE.JUSTIFICATION,
       VIEW_CHANGE.BACKOUT_PLAN,
       VIEW_CHANGE.IMPACT,
       VIEW_CHANGE.PARENT,
       VIEW_CHANGE.EFFORT,
       VIEW_CHANGE.SUPPORT_LEV,
       VIEW_CHANGE.TEMPLATE_NAME,
       VIEW_CHANGE.SLA_VIOLATION,
       VIEW_CHANGE.PREDICTED_SLA_VIOL,
       VIEW_CHANGE.MACRO_PREDICT_VIOL,
       VIEW_CHANGE.CREATED_VIA,
       VIEW_CHANGE.CALL_BACK_DATE,
       VIEW_CHANGE.CALL_BACK_FLAG,
       VIEW_CHANGE.STRING1,
       VIEW_CHANGE.STRING2,
       VIEW_CHANGE.STRING3,
       VIEW_CHANGE.STRING4,
       VIEW_CHANGE.STRING5,
       VIEW_CHANGE.STRING6,
       VIEW_CHANGE.SERVICE_DATE,
       VIEW_CHANGE.SERVICE_NUM,
       VIEW_CHANGE.PRODUCT,
       VIEW_CHANGE.ACTIONS,
       VIEW_CHANGE.TYPE_OF_CONTACT,
       VIEW_CHANGE.REPORTING_METHOD,
       VIEW_CHANGE.PERSON_CONTACTING,
       VIEW_CHANGE.FLAG1,
       VIEW_CHANGE.FLAG2,
       VIEW_CHANGE.FLAG3,
       VIEW_CHANGE.FLAG4,
       VIEW_CHANGE.FLAG5,
       VIEW_CHANGE.FLAG6,
       VIEW_CHANGE.USER1,
       VIEW_CHANGE.USER2,
       VIEW_CHANGE.USER3,
       VIEW_CHANGE.CAWF_PROCID,
       VIEW_CHANGE.PROJECT,
       VIEW_CHANGE.STATUS_NAME,
       VIEW_CHANGE.PRIORITY_NUM,
       VIEW_CHANGE.CATEGORY_NAME,
       VIEW_CHANGE.ORGANIZATION_NAME,
       VIEW_CHANGE.AFFECTED_END_USER_LASTNAME,
       VIEW_CHANGE.AFFECTED_END_USER_FIRSTNAME,
       VIEW_CHANGE.AFFECTED_END_USER_MIDDLENAME,
       VIEW_CHANGE.REQUESTER_LASTNAME,
       VIEW_CHANGE.REQUESTER_FIRSTNAME,
       VIEW_CHANGE.REQUESTER_MIDDLENAME,
       VIEW_CHANGE.BUSINESS,
       VIEW_CHANGE.ASSIGNEE_LASTNAME,
       VIEW_CHANGE.ASSIGNEE_FIRSTNAME,
       VIEW_CHANGE.ASSIGNEE_MIDDLENAME,
       VIEW_CHANGE.GROUPID,
       VIEW_CHANGE.GROUP_NAME,
       VIEW_CHANGE.SERVICE_TYPE,
       VIEW_CHANGE.IMPACT_NUM,
       VIEW_CHANGE.PRODUCT_SYM,
       VIEW_CHANGE.TYPE_OF_CONTACT_SYM,
       VIEW_CHANGE.RPTING_METHOD_SYM,
       VIEW_CHANGE.PERSON_CONTACTING_SYM, 
       prp.id prp_id, 
       prp.persid prp_persid, 
       prp.object_type, 
       prp.object_id, 
       prp.sequence, 
       prp.property, 
       prp.value, 
       prp.last_mod_dt prp_last_mod_dt, 
       prp.last_mod_by prp_last_mod_by,
       prp.required,
       prp.sample,
       prp.description prp_description,
       prp.label
FROM (View_Change inner join prp ON View_Change.id = prp.object_id)
;


CREATE OR REPLACE FORCE
VIEW VIEW_CHANGE_TO_CHANGE_WF (ID, PERSID, CHG_REF_NUM, SUMMARY, DESCRIPTION, STATUS, ACTIVE_FLAG, START_DATE, OPEN_DATE,
     LAST_MOD_DT, LAST_MOD_BY, CLOSE_DATE, RESOLVE_DATE, ROOTCAUSE, EST_TOTAL_TIME, ACTUAL_TOTAL_TIME, LOG_AGENT, ASSIGNEE,
     ORGANIZATION, GROUP_ID, AFFECTED_CONTACT, REQUESTOR, ATEGORY, PRIORITY, NEED_BY, EST_COMP_DATE, ACTUAL_COMP_DATE, EST_COST,
     ACTUAL_COST, JUSTIFICATION, BACKOUT_PLAN, IMPACT, PARENT, EFFORT, SUPPORT_LEV, TEMPLATE_NAME, SLA_VIOLATION, PREDICTED_SLA_VIOL,
     MACRO_PREDICT_VIOL, CREATED_VIA, CALL_BACK_DATE, CALL_BACK_FLAG, STRING1, STRING2, STRING3, STRING4, STRING5, STRING6, SERVICE_DATE,
     SERVICE_NUM, PRODUCT, ACTIONS, TYPE_OF_CONTACT, REPORTING_METHOD, PERSON_CONTACTING, FLAG1, FLAG2, FLAG3, FLAG4, FLAG5, FLAG6,
     USER1, USER2, USER3, CAWF_PROCID, PROJECT, STATUS_NAME, PRIORITY_NUM, CATEGORY_NAME, ORGANIZATION_NAME, AFFECTED_END_USER_LASTNAME,
     AFFECTED_END_USER_FIRSTNAME, AFFECTED_END_USER_MIDDLENAME, REQUESTER_LASTNAME, REQUESTER_FIRSTNAME, REQUESTER_MIDDLENAME, BUSINESS,
     ASSIGNEE_LASTNAME, ASSIGNEE_FIRSTNAME, ASSIGNEE_MIDDLENAME, GROUPID, GROUP_NAME, SERVICE_TYPE, IMPACT_NUM, PRODUCT_SYM, TYPE_OF_CONTACT_SYM,
     RPTING_METHOD_SYM, PERSON_CONTACTING_SYM, WF_ID, WF_PERSID, DEL, OBJECT_TYPE, OBJECT_ID, TASK, WF_TEMPLATE, SEQUENCE, WF_STATUS, 
     GROUP_TASK, ASSET, CREATOR, DATE_CREATED, WF_ASSIGNEE, DONE_BY, WF_START_DATE, WF_EST_COMP_DATE, EST_DURATION, COMPLETION_DATE, 
     ACTUAL_DURATION, WF_EST_COST, COST, WF_DESCRIPTION, WF_LAST_MOD_DT, WF_LAST_MOD_BY ) AS
SELECT VIEW_CHANGE.ID,
       VIEW_CHANGE.PERSID,
       VIEW_CHANGE.CHG_REF_NUM,
       VIEW_CHANGE.SUMMARY,
       VIEW_CHANGE.DESCRIPTION,
       VIEW_CHANGE.STATUS,
       VIEW_CHANGE.ACTIVE_FLAG,
       VIEW_CHANGE.START_DATE,
       VIEW_CHANGE.OPEN_DATE,
       VIEW_CHANGE.LAST_MOD_DT,
       VIEW_CHANGE.LAST_MOD_BY,
       VIEW_CHANGE.CLOSE_DATE,
       VIEW_CHANGE.RESOLVE_DATE,
       VIEW_CHANGE.ROOTCAUSE,
       VIEW_CHANGE.EST_TOTAL_TIME,
       VIEW_CHANGE.ACTUAL_TOTAL_TIME,
       VIEW_CHANGE.LOG_AGENT,
       VIEW_CHANGE.ASSIGNEE,
       VIEW_CHANGE.ORGANIZATION,
       VIEW_CHANGE.GROUP_ID,
       VIEW_CHANGE.AFFECTED_CONTACT,
       VIEW_CHANGE.REQUESTOR,
       VIEW_CHANGE.CATEGORY,
       VIEW_CHANGE.PRIORITY,
       VIEW_CHANGE.NEED_BY,
       VIEW_CHANGE.EST_COMP_DATE,
       VIEW_CHANGE.ACTUAL_COMP_DATE,
       VIEW_CHANGE.EST_COST,
       VIEW_CHANGE.ACTUAL_COST,
       VIEW_CHANGE.JUSTIFICATION,
       VIEW_CHANGE.BACKOUT_PLAN,
       VIEW_CHANGE.IMPACT,
       VIEW_CHANGE.PARENT,
       VIEW_CHANGE.EFFORT,
       VIEW_CHANGE.SUPPORT_LEV,
       VIEW_CHANGE.TEMPLATE_NAME,
       VIEW_CHANGE.SLA_VIOLATION,
       VIEW_CHANGE.PREDICTED_SLA_VIOL,
       VIEW_CHANGE.MACRO_PREDICT_VIOL,
       VIEW_CHANGE.CREATED_VIA,
       VIEW_CHANGE.CALL_BACK_DATE,
       VIEW_CHANGE.CALL_BACK_FLAG,
       VIEW_CHANGE.STRING1,
       VIEW_CHANGE.STRING2,
       VIEW_CHANGE.STRING3,
       VIEW_CHANGE.STRING4,
       VIEW_CHANGE.STRING5,
       VIEW_CHANGE.STRING6,
       VIEW_CHANGE.SERVICE_DATE,
       VIEW_CHANGE.SERVICE_NUM,
       VIEW_CHANGE.PRODUCT,
       VIEW_CHANGE.ACTIONS,
       VIEW_CHANGE.TYPE_OF_CONTACT,
       VIEW_CHANGE.REPORTING_METHOD,
       VIEW_CHANGE.PERSON_CONTACTING,
       VIEW_CHANGE.FLAG1,
       VIEW_CHANGE.FLAG2,
       VIEW_CHANGE.FLAG3,
       VIEW_CHANGE.FLAG4,
       VIEW_CHANGE.FLAG5,
       VIEW_CHANGE.FLAG6,
       VIEW_CHANGE.USER1,
       VIEW_CHANGE.USER2,
       VIEW_CHANGE.USER3,
       VIEW_CHANGE.CAWF_PROCID,
       VIEW_CHANGE.PROJECT,
       VIEW_CHANGE.STATUS_NAME,
       VIEW_CHANGE.PRIORITY_NUM,
       VIEW_CHANGE.CATEGORY_NAME,
       VIEW_CHANGE.ORGANIZATION_NAME,
       VIEW_CHANGE.AFFECTED_END_USER_LASTNAME,
       VIEW_CHANGE.AFFECTED_END_USER_FIRSTNAME,
       VIEW_CHANGE.AFFECTED_END_USER_MIDDLENAME,
       VIEW_CHANGE.REQUESTER_LASTNAME,
       VIEW_CHANGE.REQUESTER_FIRSTNAME,
       VIEW_CHANGE.REQUESTER_MIDDLENAME,
       VIEW_CHANGE.BUSINESS,
       VIEW_CHANGE.ASSIGNEE_LASTNAME,
       VIEW_CHANGE.ASSIGNEE_FIRSTNAME,
       VIEW_CHANGE.ASSIGNEE_MIDDLENAME,
       VIEW_CHANGE.GROUPID,
       VIEW_CHANGE.GROUP_NAME,
       VIEW_CHANGE.SERVICE_TYPE,
       VIEW_CHANGE.IMPACT_NUM,
       VIEW_CHANGE.PRODUCT_SYM,
       VIEW_CHANGE.TYPE_OF_CONTACT_SYM,
       VIEW_CHANGE.RPTING_METHOD_SYM,
       VIEW_CHANGE.PERSON_CONTACTING_SYM,
       wf.id wf_id, 
       wf.persid wf_persid, 
       wf.del, 
       wf.object_type, 
       wf.object_id, 
       wf.task, 
       wf.wf_template, 
       wf.sequence, 
       wf.status wf_status, 
       wf.group_task, 
       wf.asset, 
       wf.creator, 
       wf.date_created, 
       wf.assignee wf_assignee, 
       wf.done_by, 
       wf.start_date wf_start_date, 
       wf.est_comp_date wf_est_comp_date, 
       wf.est_duration, 
       wf.completion_date, 
       wf.actual_duration, 
       wf.est_cost wf_est_cost, 
       wf.cost, 
       wf.description wf_description, 
       wf.last_mod_dt wf_last_mod_dt, 
       wf.last_mod_by wf_last_mod_by
FROM (View_Change inner join wf ON View_Change.id = wf.object_id)
;

CREATE OR REPLACE FORCE
VIEW VIEW_CHANGE_TO_ASSETS ( ID, PERSID, CHG_REF_NUM, SUMMARY, DESCRIPTION, STATUS, ACTIVE_FLAG, START_DATE, OPEN_DATE,
     LAST_MOD_DT, LAST_MOD_BY, CLOSE_DATE, RESOLVE_DATE, ROOTCAUSE, EST_TOTAL_TIME, ACTUAL_TOTAL_TIME, LOG_AGENT, ASSIGNEE,
     ORGANIZATION, GROUP_ID, AFFECTED_CONTACT, REQUESTOR, ATEGORY, PRIORITY, NEED_BY, EST_COMP_DATE, ACTUAL_COMP_DATE, EST_COST,
     ACTUAL_COST, JUSTIFICATION, BACKOUT_PLAN, IMPACT, PARENT, EFFORT, SUPPORT_LEV, TEMPLATE_NAME, SLA_VIOLATION, PREDICTED_SLA_VIOL,
     MACRO_PREDICT_VIOL, CREATED_VIA, CALL_BACK_DATE, CALL_BACK_FLAG, STRING1, STRING2, STRING3, STRING4, STRING5, STRING6, SERVICE_DATE,
     SERVICE_NUM, PRODUCT, ACTIONS, TYPE_OF_CONTACT, REPORTING_METHOD, PERSON_CONTACTING, FLAG1, FLAG2, FLAG3, FLAG4, FLAG5, FLAG6,
     USER1, USER2, USER3, CAWF_PROCID, PROJECT, STATUS_NAME, PRIORITY_NUM, CATEGORY_NAME, ORGANIZATION_NAME, AFFECTED_END_USER_LASTNAME,
     AFFECTED_END_USER_FIRSTNAME, AFFECTED_END_USER_MIDDLENAME, REQUESTER_LASTNAME, REQUESTER_FIRSTNAME, REQUESTER_MIDDLENAME, BUSINESS,
     ASSIGNEE_LASTNAME, ASSIGNEE_FIRSTNAME, ASSIGNEE_MIDDLENAME, GROUPID, GROUP_NAME, SERVICE_TYPE, IMPACT_NUM, PRODUCT_SYM, TYPE_OF_CONTACT_SYM,
     RPTING_METHOD_SYM, PERSON_CONTACTING_SYM, ASSETID, ASSET_SERIAL_NUM, ASSET_CLASS, ASSET_FAMILY, ASSET_NAME ) AS
SELECT VIEW_CHANGE.ID,
       VIEW_CHANGE.PERSID,
       VIEW_CHANGE.CHG_REF_NUM,
       VIEW_CHANGE.SUMMARY,
       VIEW_CHANGE.DESCRIPTION,
       VIEW_CHANGE.STATUS,
       VIEW_CHANGE.ACTIVE_FLAG,
       VIEW_CHANGE.START_DATE,
       VIEW_CHANGE.OPEN_DATE,
       VIEW_CHANGE.LAST_MOD_DT,
       VIEW_CHANGE.LAST_MOD_BY,
       VIEW_CHANGE.CLOSE_DATE,
       VIEW_CHANGE.RESOLVE_DATE,
       VIEW_CHANGE.ROOTCAUSE,
       VIEW_CHANGE.EST_TOTAL_TIME,
       VIEW_CHANGE.ACTUAL_TOTAL_TIME,
       VIEW_CHANGE.LOG_AGENT,
       VIEW_CHANGE.ASSIGNEE,
       VIEW_CHANGE.ORGANIZATION,
       VIEW_CHANGE.GROUP_ID,
       VIEW_CHANGE.AFFECTED_CONTACT,
       VIEW_CHANGE.REQUESTOR,
       VIEW_CHANGE.CATEGORY,
       VIEW_CHANGE.PRIORITY,
       VIEW_CHANGE.NEED_BY,
       VIEW_CHANGE.EST_COMP_DATE,
       VIEW_CHANGE.ACTUAL_COMP_DATE,
       VIEW_CHANGE.EST_COST,
       VIEW_CHANGE.ACTUAL_COST,
       VIEW_CHANGE.JUSTIFICATION,
       VIEW_CHANGE.BACKOUT_PLAN,
       VIEW_CHANGE.IMPACT,
       VIEW_CHANGE.PARENT,
       VIEW_CHANGE.EFFORT,
       VIEW_CHANGE.SUPPORT_LEV,
       VIEW_CHANGE.TEMPLATE_NAME,
       VIEW_CHANGE.SLA_VIOLATION,
       VIEW_CHANGE.PREDICTED_SLA_VIOL,
       VIEW_CHANGE.MACRO_PREDICT_VIOL,
       VIEW_CHANGE.CREATED_VIA,
       VIEW_CHANGE.CALL_BACK_DATE,
       VIEW_CHANGE.CALL_BACK_FLAG,
       VIEW_CHANGE.STRING1,
       VIEW_CHANGE.STRING2,
       VIEW_CHANGE.STRING3,
       VIEW_CHANGE.STRING4,
       VIEW_CHANGE.STRING5,
       VIEW_CHANGE.STRING6,
       VIEW_CHANGE.SERVICE_DATE,
       VIEW_CHANGE.SERVICE_NUM,
       VIEW_CHANGE.PRODUCT,
       VIEW_CHANGE.ACTIONS,
       VIEW_CHANGE.TYPE_OF_CONTACT,
       VIEW_CHANGE.REPORTING_METHOD,
       VIEW_CHANGE.PERSON_CONTACTING,
       VIEW_CHANGE.FLAG1,
       VIEW_CHANGE.FLAG2,
       VIEW_CHANGE.FLAG3,
       VIEW_CHANGE.FLAG4,
       VIEW_CHANGE.FLAG5,
       VIEW_CHANGE.FLAG6,
       VIEW_CHANGE.USER1,
       VIEW_CHANGE.USER2,
       VIEW_CHANGE.USER3,
       VIEW_CHANGE.CAWF_PROCID,
       VIEW_CHANGE.PROJECT,
       VIEW_CHANGE.STATUS_NAME,
       VIEW_CHANGE.PRIORITY_NUM,
       VIEW_CHANGE.CATEGORY_NAME,
       VIEW_CHANGE.ORGANIZATION_NAME,
       VIEW_CHANGE.AFFECTED_END_USER_LASTNAME,
       VIEW_CHANGE.AFFECTED_END_USER_FIRSTNAME,
       VIEW_CHANGE.AFFECTED_END_USER_MIDDLENAME,
       VIEW_CHANGE.REQUESTER_LASTNAME,
       VIEW_CHANGE.REQUESTER_FIRSTNAME,
       VIEW_CHANGE.REQUESTER_MIDDLENAME,
       VIEW_CHANGE.BUSINESS,
       VIEW_CHANGE.ASSIGNEE_LASTNAME,
       VIEW_CHANGE.ASSIGNEE_FIRSTNAME,
       VIEW_CHANGE.ASSIGNEE_MIDDLENAME,
       VIEW_CHANGE.GROUPID,
       VIEW_CHANGE.GROUP_NAME,
       VIEW_CHANGE.SERVICE_TYPE,
       VIEW_CHANGE.IMPACT_NUM,
       VIEW_CHANGE.PRODUCT_SYM,
       VIEW_CHANGE.TYPE_OF_CONTACT_SYM,
       VIEW_CHANGE.RPTING_METHOD_SYM,
       VIEW_CHANGE.PERSON_CONTACTING_SYM, 
       net_res.own_resource_uuid assetID, 
       net_res.serial_number asset_serial_num,
       gen_res.name asset_class,
       resfam.name asset_family,
       net_res.resource_name asset_name
FROM ((((
View_Change inner join lrel ON View_Change.persid = lrel.l_persid) 
   inner join ca_owned_resource net_res ON lrel.r_persid = 'nr:'+uuid_to_char(net_res.own_resource_uuid)) 
   left join ca_resource_class gen_res ON net_res.resource_class = gen_res.id) 
   left join ca_resource_family resfam ON gen_res.family_id = resfam.id)
WHERE
    (lrel.l_attr = 'asset') AND (lrel.r_attr = 'chgnr')
;


CREATE OR REPLACE FORCE
VIEW VIEW_CHANGE_TO_REQUEST ( ID, PERSID, CHG_REF_NUM, SUMMARY, DESCRIPTION, STATUS, ACTIVE_FLAG, START_DATE, OPEN_DATE,
     LAST_MOD_DT, LAST_MOD_BY, CLOSE_DATE, RESOLVE_DATE, ROOTCAUSE, EST_TOTAL_TIME, ACTUAL_TOTAL_TIME, LOG_AGENT, ASSIGNEE,
     ORGANIZATION, GROUP_ID, AFFECTED_CONTACT, REQUESTOR, ATEGORY, PRIORITY, NEED_BY, EST_COMP_DATE, ACTUAL_COMP_DATE, EST_COST,
     ACTUAL_COST, JUSTIFICATION, BACKOUT_PLAN, IMPACT, PARENT, EFFORT, SUPPORT_LEV, TEMPLATE_NAME, SLA_VIOLATION, PREDICTED_SLA_VIOL,
     MACRO_PREDICT_VIOL, CREATED_VIA, CALL_BACK_DATE, CALL_BACK_FLAG, STRING1, STRING2, STRING3, STRING4, STRING5, STRING6, SERVICE_DATE,
     SERVICE_NUM, PRODUCT, ACTIONS, TYPE_OF_CONTACT, REPORTING_METHOD, PERSON_CONTACTING, FLAG1, FLAG2, FLAG3, FLAG4, FLAG5, FLAG6,
     USER1, USER2, USER3, CAWF_PROCID, PROJECT, STATUS_NAME, PRIORITY_NUM, CATEGORY_NAME, ORGANIZATION_NAME, AFFECTED_END_USER_LASTNAME,
     AFFECTED_END_USER_FIRSTNAME, AFFECTED_END_USER_MIDDLENAME, REQUESTER_LASTNAME, REQUESTER_FIRSTNAME, REQUESTER_MIDDLENAME, BUSINESS,
     ASSIGNEE_LASTNAME, ASSIGNEE_FIRSTNAME, ASSIGNEE_MIDDLENAME, GROUPID, GROUP_NAME, SERVICE_TYPE, IMPACT_NUM, PRODUCT_SYM, TYPE_OF_CONTACT_SYM,
     RPTING_METHOD_SYM, PERSON_CONTACTING_SYM, CR_ID, REF_NUM, CR_SUMMARY,  CR_PERSID, CR_DESCRIPTION, CR_STATUS, CR_ACTIVE_FLAG, TIME_SPENT_SUM, 
     CR_OPEN_DATE, CR_LAST_MOD_DT, CR_CLOSE_DATE, CR_LOG_AGENT, CR_GROUP_ID, CR_ASSIGNEE, CUSTOMER, CHARGE_BACK_ID, AFFECTED_RC, CR_SUPPORT_LEV, 
     CR_CATEGORY, SOLUTION, CR_IMPACT, CR_PRIORITY, URGENCY, SEVERITY, EXTERN_REF, LAST_ACT_ID, CR_TTICKET, CR_PARENT, CR_TEMPLATE_NAME, 
     CR_SLA_VIOLATION, CR_PREDICTED_SLA_VIOL, CR_CREATED_VIA, CR_CALL_BACK_DATE, CR_CALL_BACK_FLAG, EVENT_TOKEN, TYPE, CR_STRING1, CR_STRING2, 
     CR_STRING3, CR_STRING4, CR_STRING5, CR_STRING6, CHANGE ) AS
SELECT VIEW_CHANGE.ID,
       VIEW_CHANGE.PERSID,
       VIEW_CHANGE.CHG_REF_NUM,
       VIEW_CHANGE.SUMMARY,
       VIEW_CHANGE.DESCRIPTION,
       VIEW_CHANGE.STATUS,
       VIEW_CHANGE.ACTIVE_FLAG,
       VIEW_CHANGE.START_DATE,
       VIEW_CHANGE.OPEN_DATE,
       VIEW_CHANGE.LAST_MOD_DT,
       VIEW_CHANGE.LAST_MOD_BY,
       VIEW_CHANGE.CLOSE_DATE,
       VIEW_CHANGE.RESOLVE_DATE,
       VIEW_CHANGE.ROOTCAUSE,
       VIEW_CHANGE.EST_TOTAL_TIME,
       VIEW_CHANGE.ACTUAL_TOTAL_TIME,
       VIEW_CHANGE.LOG_AGENT,
       VIEW_CHANGE.ASSIGNEE,
       VIEW_CHANGE.ORGANIZATION,
       VIEW_CHANGE.GROUP_ID,
       VIEW_CHANGE.AFFECTED_CONTACT,
       VIEW_CHANGE.REQUESTOR,
       VIEW_CHANGE.CATEGORY,
       VIEW_CHANGE.PRIORITY,
       VIEW_CHANGE.NEED_BY,
       VIEW_CHANGE.EST_COMP_DATE,
       VIEW_CHANGE.ACTUAL_COMP_DATE,
       VIEW_CHANGE.EST_COST,
       VIEW_CHANGE.ACTUAL_COST,
       VIEW_CHANGE.JUSTIFICATION,
       VIEW_CHANGE.BACKOUT_PLAN,
       VIEW_CHANGE.IMPACT,
       VIEW_CHANGE.PARENT,
       VIEW_CHANGE.EFFORT,
       VIEW_CHANGE.SUPPORT_LEV,
       VIEW_CHANGE.TEMPLATE_NAME,
       VIEW_CHANGE.SLA_VIOLATION,
       VIEW_CHANGE.PREDICTED_SLA_VIOL,
       VIEW_CHANGE.MACRO_PREDICT_VIOL,
       VIEW_CHANGE.CREATED_VIA,
       VIEW_CHANGE.CALL_BACK_DATE,
       VIEW_CHANGE.CALL_BACK_FLAG,
       VIEW_CHANGE.STRING1,
       VIEW_CHANGE.STRING2,
       VIEW_CHANGE.STRING3,
       VIEW_CHANGE.STRING4,
       VIEW_CHANGE.STRING5,
       VIEW_CHANGE.STRING6,
       VIEW_CHANGE.SERVICE_DATE,
       VIEW_CHANGE.SERVICE_NUM,
       VIEW_CHANGE.PRODUCT,
       VIEW_CHANGE.ACTIONS,
       VIEW_CHANGE.TYPE_OF_CONTACT,
       VIEW_CHANGE.REPORTING_METHOD,
       VIEW_CHANGE.PERSON_CONTACTING,
       VIEW_CHANGE.FLAG1,
       VIEW_CHANGE.FLAG2,
       VIEW_CHANGE.FLAG3,
       VIEW_CHANGE.FLAG4,
       VIEW_CHANGE.FLAG5,
       VIEW_CHANGE.FLAG6,
       VIEW_CHANGE.USER1,
       VIEW_CHANGE.USER2,
       VIEW_CHANGE.USER3,
       VIEW_CHANGE.CAWF_PROCID,
       VIEW_CHANGE.PROJECT,
       VIEW_CHANGE.STATUS_NAME,
       VIEW_CHANGE.PRIORITY_NUM,
       VIEW_CHANGE.CATEGORY_NAME,
       VIEW_CHANGE.ORGANIZATION_NAME,
       VIEW_CHANGE.AFFECTED_END_USER_LASTNAME,
       VIEW_CHANGE.AFFECTED_END_USER_FIRSTNAME,
       VIEW_CHANGE.AFFECTED_END_USER_MIDDLENAME,
       VIEW_CHANGE.REQUESTER_LASTNAME,
       VIEW_CHANGE.REQUESTER_FIRSTNAME,
       VIEW_CHANGE.REQUESTER_MIDDLENAME,
       VIEW_CHANGE.BUSINESS,
       VIEW_CHANGE.ASSIGNEE_LASTNAME,
       VIEW_CHANGE.ASSIGNEE_FIRSTNAME,
       VIEW_CHANGE.ASSIGNEE_MIDDLENAME,
       VIEW_CHANGE.GROUPID,
       VIEW_CHANGE.GROUP_NAME,
       VIEW_CHANGE.SERVICE_TYPE,
       VIEW_CHANGE.IMPACT_NUM,
       VIEW_CHANGE.PRODUCT_SYM,
       VIEW_CHANGE.TYPE_OF_CONTACT_SYM,
       VIEW_CHANGE.RPTING_METHOD_SYM,
       VIEW_CHANGE.PERSON_CONTACTING_SYM, 
       call_req.id cr_id,
       call_req.ref_num, 
       call_req.summary cr_summary, 
       call_req.persid cr_persid, 
       call_req.description cr_description, 
       call_req.status cr_status,  
       call_req.active_flag cr_active_flag, 
       call_req.time_spent_sum, 
       call_req.open_date cr_open_date, 
       call_req.last_mod_dt cr_last_mod_dt, 
       call_req.close_date cr_close_date, 
       call_req.log_agent cr_log_agent, 
       call_req.group_id cr_group_id, 
       call_req.assignee cr_assignee, 
       call_req.customer, 
       call_req.charge_back_id, 
       call_req.affected_rc, 
       call_req.support_lev cr_support_lev, 
       call_req.category cr_category, 
       call_req.solution, 
       call_req.impact cr_impact, 
       call_req.priority cr_priority, 
       call_req.urgency, 
       call_req.severity, 
       call_req.extern_ref, 
       call_req.last_act_id, 
       call_req.cr_tticket, 
       call_req.parent cr_parent, 
       call_req.template_name cr_template_name, 
       call_req.sla_violation cr_sla_violation,
       call_req.predicted_sla_viol cr_predicted_sla_viol,
       call_req.created_via cr_created_via,
       call_req.call_back_date cr_call_back_date,
       call_req.call_back_flag cr_call_back_flag,
       call_req.event_token,
       call_req.type, 
       call_req.string1 cr_string1, 
       call_req.string2 cr_string2, 
       call_req.string3 cr_string3, 
       call_req.string4 cr_string4, 
       call_req.string5 cr_string5, 
       call_req.string6 cr_string6, 
       call_req.change
FROM (View_Change inner join call_req ON View_Change.id = call_req.change)
;


CREATE OR REPLACE FORCE 
VIEW VIEW_ISSUE ( ID, PERSID, REF_NUM, SUMMARY, DESCRIPTION, STATUS, ACTIVE_FLAG, 
                  START_DATE, OPEN_DATE, LAST_MOD_DT, LAST_MOD_BY, CLOSE_DATE, 
                  RESOLVE_DATE, ROOTCAUSE, EST_TOTAL_TIME, ACTUAL_TOTAL_TIME, 
                  LOG_AGENT, ASSIGNEE, ORGANIZATION, GROUP_ID, AFFECTED_CONTACT, 
                  REQUESTOR, CATEGORY, PRIORITY, NEED_BY, EST_COMP_DATE, ACTUAL_COMP_DATE, 
                  EST_COST, ACTUAL_COST, JUSTIFICATION, BACKOUT_PLAN, IMPACT, PARENT, 
                  EFFORT, SUPPORT_LEV, TEMPLATE_NAME, SLA_VIOLATION, PREDICTED_SLA_VIOL, 
                  MACRO_PREDICT_VIOL, CREATED_VIA, CALL_BACK_DATE, CALL_BACK_FLAG, 
                  STRING1, STRING2, STRING3, STRING4, STRING5, STRING6, SERVICE_DATE, 
                  SERVICE_NUM, PRODUCT, ACTIONS, TYPE_OF_CONTACT, REPORTING_METHOD, 
                  PERSON_CONTACTING, FLAG1, FLAG2, FLAG3, FLAG4, FLAG5, FLAG6, USER1, 
                  USER2, USER3, CAWF_PROCID, STATUS_NAME, PRIORITY_NUM, CATEGORY_NAME, 
                  ORGANIZATION_NAME, AFFECTED_END_USER_LASTNAME, 
                  AFFECTED_END_USER_FIRSTNAME, AFFECTED_END_USER_MIDDLENAME, 
                  ASSIGNEE_LASTNAME, ASSIGNEE_FIRSTNAME, ASSIGNEE_MIDDLENAME, 
                  GROUPID, GROUP_NAME, SERVICE_TYPE, IMPACT_NUM, PRODUCT_SYM, 
                  TYPE_OF_CONTACT_SYM, RPTING_METHOD_SYM, PERSON_CONTACTING_SYM, 
                  CREATED_VIA_SYM, ROOTCAUSE_SYM ) AS
SELECT issue.ID, 
    issue.PERSID,  
    issue.REF_NUM,  
    issue.SUMMARY,  
    issue.DESCRIPTION,  
    issue.STATUS,  
    issue.ACTIVE_FLAG,  
    issue.START_DATE,  
    issue.OPEN_DATE,  
    issue.LAST_MOD_DT,  
    issue.LAST_MOD_BY,  
    issue.CLOSE_DATE,  
    issue.RESOLVE_DATE,  
    issue.ROOTCAUSE,  
    issue.EST_TOTAL_TIME,  
    issue.ACTUAL_TOTAL_TIME,  
    issue.LOG_AGENT,  
    issue.ASSIGNEE,  
    issue.ORGANIZATION,  
    issue.GROUP_ID,  
    issue.AFFECTED_CONTACT,  
    issue.REQUESTOR,  
    issue.CATEGORY,  
    issue.PRIORITY,  
    issue.NEED_BY,  
    issue.EST_COMP_DATE,  
    issue.ACTUAL_COMP_DATE,  
    issue.EST_COST,  
    issue.ACTUAL_COST,  
    issue.JUSTIFICATION,  
    issue.BACKOUT_PLAN,  
    issue.IMPACT,  
    issue.PARENT,  
    issue.EFFORT,  
    issue.SUPPORT_LEV,  
    issue.TEMPLATE_NAME,  
    issue.SLA_VIOLATION,  
    issue.PREDICTED_SLA_VIOL,  
    issue.MACRO_PREDICT_VIOL,  
    issue.CREATED_VIA,  
    issue.CALL_BACK_DATE,  
    issue.CALL_BACK_FLAG,  
    issue.STRING1,  
    issue.STRING2,  
    issue.STRING3,  
    issue.STRING4,  
    issue.STRING5,  
    issue.STRING6,  
    issue.SERVICE_DATE,  
    issue.SERVICE_NUM,  
    issue.PRODUCT,  
    issue.ACTIONS,  
    issue.TYPE_OF_CONTACT,  
    issue.REPORTING_METHOD,  
    issue.PERSON_CONTACTING,  
    issue.FLAG1,  
    issue.FLAG2,  
    issue.FLAG3,  
    issue.FLAG4,  
    issue.FLAG5,  
    issue.FLAG6,  
    issue.USER1,  
    issue.USER2,  
    issue.USER3,  
    issue.CAWF_PROCID,
    issstat.sym status_name,
    pri.sym priority_num,
    isscat.sym category_name,
    int_org.org_name organization_name,
    affected_usr.last_name affected_end_user_lastname,
    affected_usr.first_name affected_end_user_firstname,
    affected_usr.middle_name affected_end_user_middlename,
    assignee.last_name assignee_lastname,
    assignee.first_name assignee_firstname,
    assignee.middle_name assignee_middlename,
    View_Group.contact_uuid groupID,
    View_Group.last_name group_name,
    srv_desc.sym service_type,
    impact.sym impact_num,
    product.sym product_sym,
    toc.sym type_of_contact_sym,
    repmeth.sym rpting_method_sym,
    perscon.sym person_contacting_sym,
    interface.sym created_via_sym,
    rootcause.sym rootcause_sym
FROM (((((((((((((((issue
    inner join pri               ON issue.priority = pri.enum)
    left join  issstat           ON issue.status   = issstat.code)
    inner join ca_contact affected_usr ON issue.requestor = affected_usr.contact_uuid)
    left join  ca_contact assignee     ON issue.assignee = assignee.contact_uuid)
    left join  srv_desc          ON issue.support_lev = srv_desc.persid)
    left join  ca_organization int_org ON issue.organization = int_org.organization_uuid)
    left join  isscat            ON issue.category = isscat.code)
    left join  View_Group        ON issue.group_id = View_Group.contact_uuid)
    left join  impact            ON issue.impact = impact.enum)
    left join  product           ON issue.product = product.id)
    left join  toc               ON issue.type_of_contact = toc.id)
    left join  repmeth           ON issue.reporting_method = repmeth.id)
    left join  perscon           ON issue.person_contacting = perscon.id)
    left join  interface         ON issue.created_via = interface.id)
    left join  rootcause         ON issue.rootcause = rootcause.id)
 ;


CREATE OR REPLACE FORCE
VIEW VIEW_ISSUE_ACT_LOG ( ID, PERSID, ISSUE_ID, LAST_MOD_DT, TIME_SPENT,TIME_STAMP, SYSTEM_TIME,
     ANALYST, DESCRIPTION, ACTION_DESC, TYPE, INTERNAL, KNOWLEDGE_SESSION, KNOWLEDGE_TOOL, 
     ANALYST_LASTNAME, ANALYST_FIRSTNAME, ANALYST_MIDDLENAME,  ACTIVITY_TYPE ) AS
SELECT issalg.id,
       issalg.persid,
       issalg.issue_id,
       issalg.last_mod_dt,
       issalg.time_spent,
       issalg.time_stamp,
       issalg.system_time,
       issalg.analyst,
       issalg.description,
       issalg.action_desc,
       issalg.type,
       issalg.internal,
       issalg.knowledge_session,
       issalg.knowledge_tool, 
       View_Contact_Full.last_name analyst_lastname,
       View_Contact_Full.first_name analyst_firstname,
       View_Contact_Full.middle_name analyst_middlename, 
       act_type.sym activity_type
FROM ((issalg 
       inner join act_type          ON issalg.type    = act_type.code)
       left join  View_Contact_Full ON issalg.analyst = View_Contact_Full.contact_uuid)
;

CREATE OR REPLACE FORCE
VIEW VIEW_ISSUE_TO_PROPERTIES ( ID, PERSID, REF_NUM, SUMMARY, DESCRIPTION, STATUS, ACTIVE_FLAG, 
     START_DATE, OPEN_DATE, LAST_MOD_DT, LAST_MOD_BY, CLOSE_DATE, 
     RESOLVE_DATE, ROOTCAUSE, EST_TOTAL_TIME, ACTUAL_TOTAL_TIME, 
     LOG_AGENT, ASSIGNEE, ORGANIZATION, GROUP_ID, AFFECTED_CONTACT, 
     REQUESTOR, CATEGORY, PRIORITY, NEED_BY, EST_COMP_DATE, ACTUAL_COMP_DATE, 
     EST_COST, ACTUAL_COST, JUSTIFICATION, BACKOUT_PLAN, IMPACT, PARENT, 
     EFFORT, SUPPORT_LEV, TEMPLATE_NAME, SLA_VIOLATION, PREDICTED_SLA_VIOL, 
     MACRO_PREDICT_VIOL, CREATED_VIA, CALL_BACK_DATE, CALL_BACK_FLAG, 
     STRING1, STRING2, STRING3, STRING4, STRING5, STRING6, SERVICE_DATE, 
     SERVICE_NUM, PRODUCT, ACTIONS, TYPE_OF_CONTACT, REPORTING_METHOD, 
     PERSON_CONTACTING, FLAG1, FLAG2, FLAG3, FLAG4, FLAG5, FLAG6, USER1, 
     USER2, USER3, CAWF_PROCID, STATUS_NAME, PRIORITY_NUM, CATEGORY_NAME, 
     ORGANIZATION_NAME, AFFECTED_END_USER_LASTNAME, 
     AFFECTED_END_USER_FIRSTNAME, AFFECTED_END_USER_MIDDLENAME, 
     ASSIGNEE_LASTNAME, ASSIGNEE_FIRSTNAME, ASSIGNEE_MIDDLENAME, 
     GROUPID, GROUP_NAME, SERVICE_TYPE, IMPACT_NUM, PRODUCT_SYM, 
     TYPE_OF_CONTACT_SYM, RPTING_METHOD_SYM, PERSON_CONTACTING_SYM, 
     CREATED_VIA_SYM, ROOTCAUSE_SYM, PRP_ID, PRP_PERSID, SEQUENCE,
     PRP_DESCRIPTION, LABEL, VALUE, REQUIRED, SAMPLE, OWNING_ISS, 
     PRP_LAST_MOD_DT, PRP_LAST_MOD_BY ) AS
SELECT VIEW_ISSUE.ID,
       VIEW_ISSUE.PERSID,
       VIEW_ISSUE.REF_NUM,
       VIEW_ISSUE.SUMMARY,
       VIEW_ISSUE.DESCRIPTION,
       VIEW_ISSUE.STATUS,
       VIEW_ISSUE.ACTIVE_FLAG, 
       VIEW_ISSUE.START_DATE,
       VIEW_ISSUE.OPEN_DATE,
       VIEW_ISSUE.LAST_MOD_DT,
       VIEW_ISSUE.LAST_MOD_BY,
       VIEW_ISSUE.CLOSE_DATE, 
       VIEW_ISSUE.RESOLVE_DATE,
       VIEW_ISSUE.ROOTCAUSE, 
       VIEW_ISSUE.EST_TOTAL_TIME,
       VIEW_ISSUE.ACTUAL_TOTAL_TIME, 
       VIEW_ISSUE.LOG_AGENT,
       VIEW_ISSUE.ASSIGNEE,
       VIEW_ISSUE.ORGANIZATION,
       VIEW_ISSUE.GROUP_ID,
       VIEW_ISSUE.AFFECTED_CONTACT, 
       VIEW_ISSUE.REQUESTOR,
       VIEW_ISSUE.CATEGORY, 
       VIEW_ISSUE.PRIORITY, 
       VIEW_ISSUE.NEED_BY, 
       VIEW_ISSUE.EST_COMP_DATE,
       VIEW_ISSUE.ACTUAL_COMP_DATE, 
       VIEW_ISSUE.EST_COST,
       VIEW_ISSUE.ACTUAL_COST,
       VIEW_ISSUE.JUSTIFICATION,
       VIEW_ISSUE.BACKOUT_PLAN,
       VIEW_ISSUE.IMPACT,
       VIEW_ISSUE.PARENT, 
       VIEW_ISSUE.EFFORT,
       VIEW_ISSUE.SUPPORT_LEV,
       VIEW_ISSUE.TEMPLATE_NAME,
       VIEW_ISSUE.SLA_VIOLATION,
       VIEW_ISSUE.PREDICTED_SLA_VIOL, 
       VIEW_ISSUE.MACRO_PREDICT_VIOL,
       VIEW_ISSUE.CREATED_VIA,
       VIEW_ISSUE.CALL_BACK_DATE,
       VIEW_ISSUE.CALL_BACK_FLAG, 
       VIEW_ISSUE.STRING1,
       VIEW_ISSUE.STRING2,
       VIEW_ISSUE.STRING3,
       VIEW_ISSUE.STRING4,
       VIEW_ISSUE.STRING5,
       VIEW_ISSUE.STRING6,
       VIEW_ISSUE.SERVICE_DATE, 
       VIEW_ISSUE.SERVICE_NUM,
       VIEW_ISSUE.PRODUCT,
       VIEW_ISSUE.ACTIONS,
       VIEW_ISSUE.TYPE_OF_CONTACT,
       VIEW_ISSUE.REPORTING_METHOD, 
       VIEW_ISSUE.PERSON_CONTACTING,
       VIEW_ISSUE.FLAG1,
       VIEW_ISSUE.FLAG2,
       VIEW_ISSUE.FLAG3,
       VIEW_ISSUE.FLAG4,
       VIEW_ISSUE.FLAG5,
       VIEW_ISSUE.FLAG6,
       VIEW_ISSUE.USER1, 
       VIEW_ISSUE.USER2,
       VIEW_ISSUE.USER3,
       VIEW_ISSUE.CAWF_PROCID,
       VIEW_ISSUE.STATUS_NAME,
       VIEW_ISSUE.PRIORITY_NUM,
       VIEW_ISSUE.CATEGORY_NAME, 
       VIEW_ISSUE.ORGANIZATION_NAME,
       VIEW_ISSUE.AFFECTED_END_USER_LASTNAME, 
       VIEW_ISSUE.AFFECTED_END_USER_FIRSTNAME,
       VIEW_ISSUE.AFFECTED_END_USER_MIDDLENAME, 
       VIEW_ISSUE.ASSIGNEE_LASTNAME,
       VIEW_ISSUE.ASSIGNEE_FIRSTNAME,
       VIEW_ISSUE.ASSIGNEE_MIDDLENAME, 
       VIEW_ISSUE.GROUPID,
       VIEW_ISSUE.GROUP_NAME,
       VIEW_ISSUE.SERVICE_TYPE,
       VIEW_ISSUE.IMPACT_NUM,
       VIEW_ISSUE.PRODUCT_SYM, 
       VIEW_ISSUE.TYPE_OF_CONTACT_SYM,
       VIEW_ISSUE.RPTING_METHOD_SYM,
       VIEW_ISSUE.PERSON_CONTACTING_SYM, 
       VIEW_ISSUE.CREATED_VIA_SYM,
       VIEW_ISSUE.ROOTCAUSE_SYM, 
       issprp.id prp_id, 
       issprp.persid prp_persid, 
       issprp.sequence,
       issprp.description prp_description,
       issprp.label,
       issprp.value, 
       issprp.required,
       issprp.sample,
       issprp.owning_iss, 
       issprp.last_mod_dt prp_last_mod_dt, 
       issprp.last_mod_by prp_last_mod_by
FROM (View_Issue inner join issprp ON View_Issue.persid = issprp.owning_iss)
;


CREATE OR REPLACE FORCE
VIEW VIEW_ISSUE_TO_ISSUE_WF ( ID, PERSID, REF_NUM, SUMMARY, DESCRIPTION, STATUS, ACTIVE_FLAG, 
     START_DATE, OPEN_DATE, LAST_MOD_DT, LAST_MOD_BY, CLOSE_DATE, 
     RESOLVE_DATE, ROOTCAUSE, EST_TOTAL_TIME, ACTUAL_TOTAL_TIME, 
     LOG_AGENT, ASSIGNEE, ORGANIZATION, GROUP_ID, AFFECTED_CONTACT, 
     REQUESTOR, CATEGORY, PRIORITY, NEED_BY, EST_COMP_DATE, ACTUAL_COMP_DATE, 
     EST_COST, ACTUAL_COST, JUSTIFICATION, BACKOUT_PLAN, IMPACT, PARENT, 
     EFFORT, SUPPORT_LEV, TEMPLATE_NAME, SLA_VIOLATION, PREDICTED_SLA_VIOL, 
     MACRO_PREDICT_VIOL, CREATED_VIA, CALL_BACK_DATE, CALL_BACK_FLAG, 
     STRING1, STRING2, STRING3, STRING4, STRING5, STRING6, SERVICE_DATE, 
     SERVICE_NUM, PRODUCT, ACTIONS, TYPE_OF_CONTACT, REPORTING_METHOD, 
     PERSON_CONTACTING, FLAG1, FLAG2, FLAG3, FLAG4, FLAG5, FLAG6, USER1, 
     USER2, USER3, CAWF_PROCID, STATUS_NAME, PRIORITY_NUM, CATEGORY_NAME, 
     ORGANIZATION_NAME, AFFECTED_END_USER_LASTNAME, 
     AFFECTED_END_USER_FIRSTNAME, AFFECTED_END_USER_MIDDLENAME, 
     ASSIGNEE_LASTNAME, ASSIGNEE_FIRSTNAME, ASSIGNEE_MIDDLENAME, 
     GROUPID, GROUP_NAME, SERVICE_TYPE, IMPACT_NUM, PRODUCT_SYM, 
     TYPE_OF_CONTACT_SYM, RPTING_METHOD_SYM, PERSON_CONTACTING_SYM, 
     CREATED_VIA_SYM, ROOTCAUSE_SYM, WF_ID, WF_PERSID, DEL, OBJECT_TYPE, 
     OBJECT_ID, "ISSWF.TASK", WF_TEMPLATE, SEQUENCE, "STATUS WF_STATUS", GROUP_TASK, 
     ASSET, CREATOR, DATE_CREATED, "ASSIGNEE WF_ASSIGNEE", DONE_BY, "START_DATE WF_START_DATE", 
     "EST_COMP_DATE WF_EST_COMP_DATE", EST_DURATION, COMPLETION_DATE, ACTUAL_DURATION, 
     "EST_COST WF_EST_COST", COST, "DESCRIPTION WF_DESCRIPTION", "LAST_MOD_DT WF_LAST_MOD_DT", 
     "LAST_MOD_BY WF_LAST_MOD_BY" ) AS 
SELECT VIEW_ISSUE.ID,
       VIEW_ISSUE.PERSID,
       VIEW_ISSUE.REF_NUM,
       VIEW_ISSUE.SUMMARY,
       VIEW_ISSUE.DESCRIPTION,
       VIEW_ISSUE.STATUS,
       VIEW_ISSUE.ACTIVE_FLAG, 
       VIEW_ISSUE.START_DATE,
       VIEW_ISSUE.OPEN_DATE,
       VIEW_ISSUE.LAST_MOD_DT,
       VIEW_ISSUE.LAST_MOD_BY,
       VIEW_ISSUE.CLOSE_DATE, 
       VIEW_ISSUE.RESOLVE_DATE,
       VIEW_ISSUE.ROOTCAUSE, 
       VIEW_ISSUE.EST_TOTAL_TIME,
       VIEW_ISSUE.ACTUAL_TOTAL_TIME, 
       VIEW_ISSUE.LOG_AGENT,
       VIEW_ISSUE.ASSIGNEE,
       VIEW_ISSUE.ORGANIZATION,
       VIEW_ISSUE.GROUP_ID,
       VIEW_ISSUE.AFFECTED_CONTACT, 
       VIEW_ISSUE.REQUESTOR,
       VIEW_ISSUE.CATEGORY, 
       VIEW_ISSUE.PRIORITY, 
       VIEW_ISSUE.NEED_BY, 
       VIEW_ISSUE.EST_COMP_DATE,
       VIEW_ISSUE.ACTUAL_COMP_DATE, 
       VIEW_ISSUE.EST_COST,
       VIEW_ISSUE.ACTUAL_COST,
       VIEW_ISSUE.JUSTIFICATION,
       VIEW_ISSUE.BACKOUT_PLAN,
       VIEW_ISSUE.IMPACT,
       VIEW_ISSUE.PARENT, 
       VIEW_ISSUE.EFFORT,
       VIEW_ISSUE.SUPPORT_LEV,
       VIEW_ISSUE.TEMPLATE_NAME,
       VIEW_ISSUE.SLA_VIOLATION,
       VIEW_ISSUE.PREDICTED_SLA_VIOL, 
       VIEW_ISSUE.MACRO_PREDICT_VIOL,
       VIEW_ISSUE.CREATED_VIA,
       VIEW_ISSUE.CALL_BACK_DATE,
       VIEW_ISSUE.CALL_BACK_FLAG, 
       VIEW_ISSUE.STRING1,
       VIEW_ISSUE.STRING2,
       VIEW_ISSUE.STRING3,
       VIEW_ISSUE.STRING4,
       VIEW_ISSUE.STRING5,
       VIEW_ISSUE.STRING6,
       VIEW_ISSUE.SERVICE_DATE, 
       VIEW_ISSUE.SERVICE_NUM,
       VIEW_ISSUE.PRODUCT,
       VIEW_ISSUE.ACTIONS,
       VIEW_ISSUE.TYPE_OF_CONTACT,
       VIEW_ISSUE.REPORTING_METHOD, 
       VIEW_ISSUE.PERSON_CONTACTING,
       VIEW_ISSUE.FLAG1,
       VIEW_ISSUE.FLAG2,
       VIEW_ISSUE.FLAG3,
       VIEW_ISSUE.FLAG4,
       VIEW_ISSUE.FLAG5,
       VIEW_ISSUE.FLAG6,
       VIEW_ISSUE.USER1, 
       VIEW_ISSUE.USER2,
       VIEW_ISSUE.USER3,
       VIEW_ISSUE.CAWF_PROCID,
       VIEW_ISSUE.STATUS_NAME,
       VIEW_ISSUE.PRIORITY_NUM,
       VIEW_ISSUE.CATEGORY_NAME, 
       VIEW_ISSUE.ORGANIZATION_NAME,
       VIEW_ISSUE.AFFECTED_END_USER_LASTNAME, 
       VIEW_ISSUE.AFFECTED_END_USER_FIRSTNAME,
       VIEW_ISSUE.AFFECTED_END_USER_MIDDLENAME, 
       VIEW_ISSUE.ASSIGNEE_LASTNAME,
       VIEW_ISSUE.ASSIGNEE_FIRSTNAME,
       VIEW_ISSUE.ASSIGNEE_MIDDLENAME, 
       VIEW_ISSUE.GROUPID,
       VIEW_ISSUE.GROUP_NAME,
       VIEW_ISSUE.SERVICE_TYPE,
       VIEW_ISSUE.IMPACT_NUM,
       VIEW_ISSUE.PRODUCT_SYM, 
       VIEW_ISSUE.TYPE_OF_CONTACT_SYM,
       VIEW_ISSUE.RPTING_METHOD_SYM,
       VIEW_ISSUE.PERSON_CONTACTING_SYM, 
       VIEW_ISSUE.CREATED_VIA_SYM,
       VIEW_ISSUE.ROOTCAUSE_SYM,
       isswf.id wf_id, 
       isswf.persid wf_persid, 
       isswf.del, 
       isswf.object_type, 
       isswf.object_id, 
       isswf.task, 
       isswf.wf_template, 
       isswf.sequence, 
       isswf.status wf_status, 
       isswf.group_task, 
       isswf.asset, 
       isswf.creator, 
       isswf.date_created, 
       isswf.assignee wf_assignee, 
       isswf.done_by, 
       isswf.start_date wf_start_date, 
       isswf.est_comp_date wf_est_comp_date, 
       isswf.est_duration, 
       isswf.completion_date, 
       isswf.actual_duration, 
       isswf.est_cost wf_est_cost, 
       isswf.cost, 
       isswf.description wf_description, 
       isswf.last_mod_dt wf_last_mod_dt, 
       isswf.last_mod_by wf_last_mod_by
FROM (View_Issue inner join isswf ON View_Issue.persid = isswf.object_id)
;

CREATE OR REPLACE FORCE
VIEW VIEW_ISSUE_TO_ASSETS ( ID, PERSID, REF_NUM, SUMMARY, DESCRIPTION, STATUS, ACTIVE_FLAG, 
     START_DATE, OPEN_DATE, LAST_MOD_DT, LAST_MOD_BY, CLOSE_DATE, 
     RESOLVE_DATE, ROOTCAUSE, EST_TOTAL_TIME, ACTUAL_TOTAL_TIME, 
     LOG_AGENT, ASSIGNEE, ORGANIZATION, GROUP_ID, AFFECTED_CONTACT, 
     REQUESTOR, CATEGORY, PRIORITY, NEED_BY, EST_COMP_DATE, ACTUAL_COMP_DATE, 
     EST_COST, ACTUAL_COST, JUSTIFICATION, BACKOUT_PLAN, IMPACT, PARENT, 
     EFFORT, SUPPORT_LEV, TEMPLATE_NAME, SLA_VIOLATION, PREDICTED_SLA_VIOL, 
     MACRO_PREDICT_VIOL, CREATED_VIA, CALL_BACK_DATE, CALL_BACK_FLAG, 
     STRING1, STRING2, STRING3, STRING4, STRING5, STRING6, SERVICE_DATE, 
     SERVICE_NUM, PRODUCT, ACTIONS, TYPE_OF_CONTACT, REPORTING_METHOD, 
     PERSON_CONTACTING, FLAG1, FLAG2, FLAG3, FLAG4, FLAG5, FLAG6, USER1, 
     USER2, USER3, CAWF_PROCID, STATUS_NAME, PRIORITY_NUM, CATEGORY_NAME, 
     ORGANIZATION_NAME, AFFECTED_END_USER_LASTNAME, 
     AFFECTED_END_USER_FIRSTNAME, AFFECTED_END_USER_MIDDLENAME, 
     ASSIGNEE_LASTNAME, ASSIGNEE_FIRSTNAME, ASSIGNEE_MIDDLENAME, 
     GROUPID, GROUP_NAME, SERVICE_TYPE, IMPACT_NUM, PRODUCT_SYM, 
     TYPE_OF_CONTACT_SYM, RPTING_METHOD_SYM, PERSON_CONTACTING_SYM, 
     CREATED_VIA_SYM, ROOTCAUSE_SYM, ASSETID, ASSET_SERIAL_NUM, ASSET_CLASS,
     ASSET_FAMILY, ASSET_NAME ) AS
SELECT VIEW_ISSUE.ID,
       VIEW_ISSUE.PERSID,
       VIEW_ISSUE.REF_NUM,
       VIEW_ISSUE.SUMMARY,
       VIEW_ISSUE.DESCRIPTION,
       VIEW_ISSUE.STATUS,
       VIEW_ISSUE.ACTIVE_FLAG, 
       VIEW_ISSUE.START_DATE,
       VIEW_ISSUE.OPEN_DATE,
       VIEW_ISSUE.LAST_MOD_DT,
       VIEW_ISSUE.LAST_MOD_BY,
       VIEW_ISSUE.CLOSE_DATE, 
       VIEW_ISSUE.RESOLVE_DATE,
       VIEW_ISSUE.ROOTCAUSE, 
       VIEW_ISSUE.EST_TOTAL_TIME,
       VIEW_ISSUE.ACTUAL_TOTAL_TIME, 
       VIEW_ISSUE.LOG_AGENT,
       VIEW_ISSUE.ASSIGNEE,
       VIEW_ISSUE.ORGANIZATION,
       VIEW_ISSUE.GROUP_ID,
       VIEW_ISSUE.AFFECTED_CONTACT, 
       VIEW_ISSUE.REQUESTOR,
       VIEW_ISSUE.CATEGORY, 
       VIEW_ISSUE.PRIORITY, 
       VIEW_ISSUE.NEED_BY, 
       VIEW_ISSUE.EST_COMP_DATE,
       VIEW_ISSUE.ACTUAL_COMP_DATE, 
       VIEW_ISSUE.EST_COST,
       VIEW_ISSUE.ACTUAL_COST,
       VIEW_ISSUE.JUSTIFICATION,
       VIEW_ISSUE.BACKOUT_PLAN,
       VIEW_ISSUE.IMPACT,
       VIEW_ISSUE.PARENT, 
       VIEW_ISSUE.EFFORT,
       VIEW_ISSUE.SUPPORT_LEV,
       VIEW_ISSUE.TEMPLATE_NAME,
       VIEW_ISSUE.SLA_VIOLATION,
       VIEW_ISSUE.PREDICTED_SLA_VIOL, 
       VIEW_ISSUE.MACRO_PREDICT_VIOL,
       VIEW_ISSUE.CREATED_VIA,
       VIEW_ISSUE.CALL_BACK_DATE,
       VIEW_ISSUE.CALL_BACK_FLAG, 
       VIEW_ISSUE.STRING1,
       VIEW_ISSUE.STRING2,
       VIEW_ISSUE.STRING3,
       VIEW_ISSUE.STRING4,
       VIEW_ISSUE.STRING5,
       VIEW_ISSUE.STRING6,
       VIEW_ISSUE.SERVICE_DATE, 
       VIEW_ISSUE.SERVICE_NUM,
       VIEW_ISSUE.PRODUCT,
       VIEW_ISSUE.ACTIONS,
       VIEW_ISSUE.TYPE_OF_CONTACT,
       VIEW_ISSUE.REPORTING_METHOD, 
       VIEW_ISSUE.PERSON_CONTACTING,
       VIEW_ISSUE.FLAG1,
       VIEW_ISSUE.FLAG2,
       VIEW_ISSUE.FLAG3,
       VIEW_ISSUE.FLAG4,
       VIEW_ISSUE.FLAG5,
       VIEW_ISSUE.FLAG6,
       VIEW_ISSUE.USER1, 
       VIEW_ISSUE.USER2,
       VIEW_ISSUE.USER3,
       VIEW_ISSUE.CAWF_PROCID,
       VIEW_ISSUE.STATUS_NAME,
       VIEW_ISSUE.PRIORITY_NUM,
       VIEW_ISSUE.CATEGORY_NAME, 
       VIEW_ISSUE.ORGANIZATION_NAME,
       VIEW_ISSUE.AFFECTED_END_USER_LASTNAME, 
       VIEW_ISSUE.AFFECTED_END_USER_FIRSTNAME,
       VIEW_ISSUE.AFFECTED_END_USER_MIDDLENAME, 
       VIEW_ISSUE.ASSIGNEE_LASTNAME,
       VIEW_ISSUE.ASSIGNEE_FIRSTNAME,
       VIEW_ISSUE.ASSIGNEE_MIDDLENAME, 
       VIEW_ISSUE.GROUPID,
       VIEW_ISSUE.GROUP_NAME,
       VIEW_ISSUE.SERVICE_TYPE,
       VIEW_ISSUE.IMPACT_NUM,
       VIEW_ISSUE.PRODUCT_SYM, 
       VIEW_ISSUE.TYPE_OF_CONTACT_SYM,
       VIEW_ISSUE.RPTING_METHOD_SYM,
       VIEW_ISSUE.PERSON_CONTACTING_SYM, 
       VIEW_ISSUE.CREATED_VIA_SYM,
       VIEW_ISSUE.ROOTCAUSE_SYM, 
       net_res.own_resource_uuid assetID, 
       net_res.serial_number asset_serial_num,
       gen_res.name asset_class,
       resfam.name asset_family,
       net_res.resource_name asset_name
FROM ((((View_Issue
    inner join lrel    ON View_Issue.persid = lrel.l_persid)
    inner join ca_owned_resource net_res ON lrel.r_persid = 'nr:'+uuid_to_char(net_res.own_resource_uuid))
    left join  ca_resource_class gen_res ON net_res.resource_class = gen_res.id)
    left join  ca_resource_family resfam  ON gen_res.family_id = resfam.id)
WHERE
    (lrel.l_attr = 'asset') AND (lrel.r_attr = 'issnr')
;



/****************************************************************************************/
/*                                                                                      */
/* Register patch                                                                       */
/*                                                                                      */
/****************************************************************************************/
INSERT INTO mdb_patch ( patchnumber, installdate,  mdbmajorversion, mdbminorversion, description)
 VALUES ( 16209413, systimestamp, 1, 4, 'Star 16209413 (MODIFIED v2) USD : redefine persistent invalid views' );

COMMIT;

EXIT SUCCESS;
