CREATE OR REPLACE  FUNCTION "MDBADMIN"."UUID_TO_CHAR" ( 
    uuid_bytes in raw )
RETURN varchar2 IS uuid_str varchar2(36);
BEGIN

    uuid_str := rawtohex(utl_raw.reverse(utl_raw.substr(uuid_bytes, 1, 4))) ||
                '-' ||
                rawtohex(utl_raw.reverse(utl_raw.substr(uuid_bytes, 5, 2))) ||
                '-' ||
                rawtohex(utl_raw.reverse(utl_raw.substr(uuid_bytes, 7, 2))) ||
                '-' ||
                rawtohex(utl_raw.substr(uuid_bytes, 9, 2)) ||
                '-' ||
                rawtohex(utl_raw.substr(uuid_bytes, 11, 6));

    uuid_str := lower(uuid_str);

    RETURN uuid_str;
END;
/
grant execute on "MDBADMIN"."UUID_TO_CHAR" to ca_itrm_group;


DECLARE
    l14 INTEGER;
BEGIN
SELECT COUNT(*) INTO l14 FROM mdbadmin.ca_settings WHERE set_id = 14;
IF l14 < 1 THEN
INSERT INTO mdbadmin.ca_settings (set_id, set_val_lng) VALUES (14, 0);
END IF;
END;
/

DECLARE
    l15 INTEGER;
BEGIN
SELECT COUNT(*) INTO l15 FROM mdbadmin.ca_settings WHERE set_id = 15;
IF l15 < 1 THEN
INSERT INTO mdbadmin.ca_settings (set_id, set_val_lng) VALUES (15, 0);
END IF;
END;
/

DECLARE
    l16 INTEGER;
BEGIN
SELECT COUNT(*) INTO l16 FROM mdbadmin.ca_settings WHERE set_id = 16;
IF l16 < 1 THEN
INSERT INTO mdbadmin.ca_settings (set_id, set_val_lng) VALUES (16, 0);
END IF;
END;
/

DECLARE
    l17 INTEGER;
BEGIN
SELECT COUNT(*) INTO l17 FROM mdbadmin.ca_settings WHERE set_id = 17;
IF l17 < 1 THEN
INSERT INTO mdbadmin.ca_settings (set_id, set_val_lng) VALUES (17, 0);
END IF;
END;
/

alter trigger R_AGENT_BEFSTMT_IU disable;
alter trigger R_AGENT_AFTRW_IU disable;
alter trigger R_AGENT_AFTSTMT_IU disable;

/* reset last delete and last host tag update */
DECLARE
    l60 INTEGER;
BEGIN
SELECT COUNT(*) INTO l60 FROM mdbadmin.ca_settings WHERE set_id = 60;
IF l60 < 1 THEN
INSERT INTO mdbadmin.ca_settings (set_id, set_val_lng) VALUES (60, 0);
END IF;
END;
/

DECLARE
    l61 INTEGER;
BEGIN
SELECT COUNT(*) INTO l61 FROM mdbadmin.ca_settings WHERE set_id = 61;
IF l61 < 1 THEN
INSERT INTO mdbadmin.ca_settings (set_id, set_val_lng) VALUES (61, 0);
END IF;
END;
/

DECLARE
    l62 INTEGER;
BEGIN
SELECT COUNT(*) INTO l62 FROM mdbadmin.ca_settings WHERE set_id = 62;
IF l62 < 1 THEN
INSERT INTO mdbadmin.ca_settings (set_id, set_val_lng) VALUES (62, 0);
END IF;
END;
/


EXIT SUCCESS
