SET LOCK_TIMEOUT 300000
GO
SET DEADLOCK_PRIORITY LOW
GO
SET XACT_ABORT ON
GO
SET TRANSACTION ISOLATION LEVEL SERIALIZABLE
GO
BEGIN TRANSACTION 
GO

/****************************************************************************************/
/*                                                                                      */
/* Star 15180170 Autosys: id values							*/
/*                                                                                      */
/****************************************************************************************/

/* lock objects...  */
 
/* Start of lines added to convert to online lock */
 
 
Select top 1 1 from mdb_patch with (tablockx)
GO
 
/* Start of locks for dependent tables */
 
Select top 1 1 from  ujo_sys_ha_state with (tablockx)
GO
 
Select top 1 1 from  ujo_ha_process with (tablockx)
GO
 
Select top 1 1 from  ujo_ha_state with (tablockx)
GO
 
Select top 1 1 from  ujo_ha_status with (tablockx)
GO
 
Select top 1 1 from  ujo_ha_designator with (tablockx)
GO
 
Select top 1 1 from mdb_service_pack with (tablockx)
GO
 
Select top 1 1 from mdb with (tablockx)
GO
 
Select top 1 1 from mdb_checkpoint with (tablockx)
GO
 
/* End of lines added to convert to online lock */

/* 15180170 Autosys: Chk_auto_up fails to show running scheduler */
/* fix TAU MDB Patch Problem with ujo_ha* tables */

if exists (select * from sysobjects where name = "ujo_sys_ha_state" and type = 'U')
begin
	drop table ujo_sys_ha_state
end
go
CREATE TABLE ujo_sys_ha_state (
       id                 int NOT NULL,
       ha_state_id        int NOT NULL
)
go

ALTER TABLE ujo_sys_ha_state
       ADD PRIMARY KEY CLUSTERED (id ASC)
go

if exists (select * from sysobjects where name = "ujo_ha_process" and type = 'U')
begin
	drop table ujo_ha_process
end
go
CREATE TABLE ujo_ha_process (
       pid                int NOT NULL,
       time_stamp         int NOT NULL,
       hostname           varchar(255) NOT NULL,
       ha_designator_id   int NOT NULL,
       ha_status_id       int NOT NULL
)
go

if exists (select * from sysobjects where name = "ujo_ha_state" and type = 'U')
begin
	drop table ujo_ha_state
end
go

CREATE TABLE ujo_ha_state (
       id		int NOT NULL,
       name     varchar(20) NOT NULL
)
go

ALTER TABLE ujo_ha_state
       ADD PRIMARY KEY CLUSTERED (id ASC)
go


if exists (select * from sysobjects where name = "ujo_ha_status" and type = 'U')
begin
	drop table ujo_ha_status
end
go

CREATE TABLE ujo_ha_status (
       id       int NOT NULL,
       name     varchar(20) NOT NULL
)
go

ALTER TABLE ujo_ha_status
       ADD PRIMARY KEY CLUSTERED (id ASC)
go


if exists (select * from sysobjects where name = "ujo_ha_designator" and type = 'U')
begin
	drop table ujo_ha_designator
end
go
CREATE TABLE ujo_ha_designator (
       id		int NOT NULL,
       name     varchar(20) NOT NULL
)
go

ALTER TABLE ujo_ha_designator
       ADD PRIMARY KEY CLUSTERED (id ASC)
go


ALTER TABLE ujo_ha_process
       ADD CONSTRAINT fk_ha_process_ha_status FOREIGN KEY (ha_status_id)
       REFERENCES ujo_ha_status  (id) 
go

ALTER TABLE ujo_ha_process
       ADD CONSTRAINT fk_ha_process_ha_designator FOREIGN KEY (ha_designator_id)
       REFERENCES ujo_ha_designator  (id) 
go

ALTER TABLE ujo_sys_ha_state
       ADD CONSTRAINT fk_a_process_sys_ha_state FOREIGN KEY (ha_state_id)
       REFERENCES ujo_ha_state (id) 
go

grant delete on ujo_ha_designator to ujoadmin
go
grant insert on ujo_ha_designator to ujoadmin
go
grant select on ujo_ha_designator to ujoadmin
go
grant update on ujo_ha_designator to ujoadmin
go
grant delete on ujo_ha_process to ujoadmin
go
grant insert on ujo_ha_process to ujoadmin
go
grant select on ujo_ha_process to ujoadmin
go
grant update on ujo_ha_process to ujoadmin
go
grant delete on ujo_ha_state to ujoadmin
go
grant insert on ujo_ha_state to ujoadmin
go
grant select on ujo_ha_state to ujoadmin
go
grant update on ujo_ha_state to ujoadmin
go
grant delete on ujo_ha_status to ujoadmin
go
grant insert on ujo_ha_status to ujoadmin
go
grant select on ujo_ha_status to ujoadmin
go
grant update on ujo_ha_status to ujoadmin
go
grant delete on ujo_sys_ha_state to ujoadmin
go
grant insert on ujo_sys_ha_state to ujoadmin
go
grant select on ujo_sys_ha_state to ujoadmin
go
grant update on ujo_sys_ha_state to ujoadmin
go

insert into ujo_ha_designator (id, name) values (1, 'Primary')
go
insert into ujo_ha_designator (id, name) values (2, 'Shadow')
go
insert into ujo_ha_designator (id, name) values (3, 'Tertiary')
go
insert into ujo_ha_state (id, name) values (1, 'Normal')
go
insert into ujo_ha_state (id, name) values (2, 'Pending')
go
insert into ujo_ha_state (id, name) values (3, 'Failed-over')
go
insert into ujo_ha_state (id, name) values (4, 'No-change')
go
insert into ujo_ha_status (id, name) values (1, 'Active')
go
insert into ujo_ha_status (id, name) values (2, 'Failed')
go
insert into ujo_ha_status (id, name) values (3, 'Dormant')
go
insert into ujo_sys_ha_state (id, ha_state_id)  
  select 1, id FROM ujo_ha_state WHERE name = 'Pending'  
go  

/****************************************************************************************/
/*                                                                                      */
/* Register patch                                                               	*/
/*                                                                                      */
/****************************************************************************************/
insert into mdb_patch ( patchnumber, installdate,  mdbmajorversion, mdbminorversion, description)
 values ( 15180170, getdate(), 1, 4, 'Star 15180170 Autosys: id values' )
GO

COMMIT TRANSACTION 
GO

