SET LOCK_TIMEOUT 300000
GO
SET DEADLOCK_PRIORITY LOW
GO
SET XACT_ABORT ON
GO
SET TRANSACTION ISOLATION LEVEL SERIALIZABLE
GO
BEGIN TRANSACTION 
GO

/****************************************************************************************/
/*                                                                                      */
/* Star 15755932 Service Delivery : alter report tables					*/
/*                                                                                      */
/****************************************************************************************/

/* lock objects...  */
 
/* Start of lines added to convert to online lock */
 
 
Select top 1 1 from mdb_patch with (tablockx)
GO
 
/* Start of locks for dependent tables */
 
Select top 1 1 from mdb_service_pack with (tablockx)
GO
 
Select top 1 1 from mdb with (tablockx)
GO
 
Select top 1 1 from mdb_checkpoint with (tablockx)
GO


 
Select top 1 1 from usm_report_group_attr_spec with (tablockx)
GO
 
Select top 1 1 from usm_report_group with (tablockx)
GO
 
Select top 1 1 from usm_metric_instance with (tablockx)
GO
 
Select top 1 1 from usm_note with (tablockx)
GO
 
Select top 1 1 from usm_exchange_rate with (tablockx)
GO
 
Select top 1 1 from usm_user_query_history with (tablockx)
GO
 
Select top 1 1 from usm_mr_itable with (tablockx)
GO
 
Select top 1 1 from usm_mr_import with (tablockx)
GO
 
Select top 1 1 from usm_request_pending_action with (tablockx)
GO
 
Select top 1 1 from usm_mr_ifile with (tablockx)
GO
 
Select top 1 1 from usm_sla_config with (tablockx)
GO
 
/* End of lines added to convert to online lock */

/*
	DEC 15 2006
	SET NULL for fks for the table usm_report_group_attr_spec	
*/
/* ********************************************************************************* */
/*
	-------------
	Dec 19, 2006
	-------------	
	usm_report_group_attr_spec:
	   2 changed fields:
	     report_group_template_id should allow NULL
	     attr_reference_plugin_id should allow NULL
 
	usm_report_group
	  1 new fields
	     sla_instance_id - FK to usm_sla_instance - allow NULL
	  1 changing field
	     contract_id - FK to usm_contract - allow NULL
 
	usm_metric_instance
	  1 changed field
	     - description - increase length from 128 to 512

	usm_note, the column note_text as ntext
*/
ALTER TABLE [dbo].[usm_report_group_attr_spec] DROP CONSTRAINT [XFK01usm_report_group_attr_spec]
GO
ALTER TABLE [dbo].[usm_report_group_attr_spec] DROP CONSTRAINT [XFK02usm_report_group_attr_spec]
GO
ALTER TABLE [dbo].[usm_report_group_attr_spec] ALTER COLUMN [report_group_template_id] integer NULL
GO
ALTER TABLE [dbo].[usm_report_group_attr_spec] ALTER COLUMN [attr_reference_plugin_id] integer NULL
GO
ALTER TABLE [dbo].[usm_report_group_attr_spec] ADD
	CONSTRAINT [XFK1usm_report_group_attr_spec] FOREIGN KEY
	(
		[attr_reference_plugin_id]
	) REFERENCES [dbo].[usm_attr_reference_plugin] (
		[attr_reference_plugin_id]
	),
	CONSTRAINT [XFK2usm_report_group_attr_spec] FOREIGN KEY
	(
		[report_group_template_id]
	) REFERENCES [dbo].[usm_report_group_template] (
		[report_group_template_id]
	);
GO

ALTER TABLE [dbo].[usm_report_group] ADD sla_instance_id	integer NULL
GO

/* constraint for contract_id */
ALTER TABLE [dbo].[usm_report_group] DROP CONSTRAINT [$usm_r_r000028f100000000]
GO

ALTER TABLE [dbo].[usm_report_group] ADD
	CONSTRAINT [XFK03usm_report_group] FOREIGN KEY
	(
		[contract_id]
	) REFERENCES [dbo].[usm_contract] (
		[contract_id]
	),
	CONSTRAINT [XFK04usm_report_group] FOREIGN KEY
	(
		[sla_instance_id]
	) REFERENCES [dbo].[usm_sla_instance] (
		[sla_instance_id]
	)
GO

ALTER TABLE [dbo].[usm_metric_instance] ALTER COLUMN description  nvarchar(512) NULL
GO

/*
	usm_note note_text
*/

EXEC sp_rename 'usm_note.note_text', 'note_text_old', 'COLUMN'
GO
ALTER TABLE [dbo].[usm_note] ADD [note_text] [ntext] NULL
GO
UPDATE [dbo].[usm_note] SET note_text = note_text_old
GO
ALTER TABLE [dbo].[usm_note] DROP COLUMN note_text_old
GO

/*
	1.8.2007
*/
ALTER TABLE usm_exchange_rate ALTER COLUMN symbol_1 VARCHAR(3)
GO
ALTER TABLE usm_exchange_rate ALTER COLUMN symbol_2 NVARCHAR(16)
GO

/*
	Jan 18, 2007
	usm_user_query_history: altering column user_query and remove from the PK
*/
ALTER TABLE [dbo].[usm_user_query_history] DROP CONSTRAINT XPKusm_user_query_history
GO
ALTER TABLE [dbo].[usm_user_query_history] ALTER COLUMN user_query NVARCHAR(512) NOT NULL;
GO
ALTER TABLE [dbo].[usm_user_query_history] WITH NOCHECK ADD 
	CONSTRAINT [XPKusm_user_query_history] PRIMARY KEY  CLUSTERED 
	(
		[user_id],
		[guinode_id],
		[name]
	)  ON [PRIMARY] 
GO

/*
	Jan 18, 2007
	usm_mr_itable, filter - where expression
	usm_mr_import, build_expr - agg logic
 */
ALTER TABLE [dbo].[usm_mr_itable] ALTER COLUMN filter NVARCHAR(1024)
GO
ALTER TABLE [dbo].[usm_mr_import] ALTER COLUMN build_expr NVARCHAR(1024)
GO

/*
	Jan 30, 2007
	offering group_id will be stored in this column if object_type=1 (indicating that object_id is an offering id). 
*/
ALTER TABLE [dbo].[usm_request_pending_action] ADD [object_group_id] [int] NULL
GO
/*
	Feb 12, 2007
	Increasing the filter length of the table usm_mr_ifile
*/
ALTER TABLE [dbo].[usm_mr_ifile] ALTER COLUMN filter NVARCHAR(1024)
GO

ALTER TABLE usm_sla_config ALTER COLUMN data1 varchar(64) COLLATE !!sensitive NULL
GO
ALTER TABLE usm_sla_config ALTER COLUMN data2 varchar(64) COLLATE !!sensitive NULL
GO
ALTER TABLE usm_sla_config ALTER COLUMN data3 varchar(64) COLLATE !!sensitive NULL
GO
ALTER TABLE usm_sla_config ALTER COLUMN data4 varchar(64) COLLATE !!sensitive NULL
GO

/*	Star 15755932	*/





/****************************************************************************************/
/*                                                                                      */
/* Register patch                                                               	*/
/*                                                                                      */
/****************************************************************************************/
insert into mdb_patch ( patchnumber, installdate,  mdbmajorversion, mdbminorversion, description)
 values ( 15755932, getdate(), 1, 4, 'Star 15755932 Service Delivery : alter report tables' )
GO

COMMIT TRANSACTION 
GO

