SET LOCK_TIMEOUT 300000
GO
SET DEADLOCK_PRIORITY LOW
GO
SET XACT_ABORT ON
GO
SET TRANSACTION ISOLATION LEVEL SERIALIZABLE
GO
BEGIN TRANSACTION 
GO

/* lock objects...  */
 
/* Start of lines added to convert to online lock */
 
 
Select top 1 1 from mdb_patch with (tablockx)
GO
 
/* Start of locks for dependent tables */
 
Select top 1 1 from mdb_checkpoint with (tablockx)
GO
 
Select top 1 1 from mdb_service_pack with (tablockx)
GO
 
Select top 1 1 from mdb with (tablockx)
GO
 
/* End of lines added to convert to online lock */
 

	CREATE TABLE [dbo].[ca_synchronization_conf](
			  [synchronization_conf_uuid] [binary](16) NOT NULL,
			  [table_name] [nvarchar](255) COLLATE !!sensitive NULL,
			  [job_uuid] [binary](16) NULL,
			  [direction] [int] NULL,
			  [domain_collection] [int] NULL,
			  [job_domain_id] [int] NULL,
			  [job_id] [int] NULL,
			  [creation_user] [nvarchar](255) COLLATE !!sensitive NULL,
			  [creation_date] [int] NULL,
			  [last_update_user] [nvarchar](255) COLLATE !!sensitive NULL,
			  [last_update_date] [int] NULL,
			  [version_number] [int] NULL DEFAULT ((0)),
			  [enterprise_uuid] [binary](16) NOT NULL,
			  [domain_uuid] [binary](16) NOT NULL,
			  [synchronization_order] [int] NOT NULL,
			  [primary_keys] [nvarchar](255) COLLATE !!sensitive NULL,
			  [synchronization_column_filter] [nvarchar](255) COLLATE !!sensitive NULL,
			  [where_clause] [nvarchar](255) COLLATE !!sensitive NULL,
			  [unlink_where_clause] [nvarchar](255) COLLATE !!sensitive NULL
	) ON [PRIMARY];
GO

ALTER TABLE [dbo].[ca_synchronization_conf]
	ADD CONSTRAINT [XPKca_synchronization_conf] PRIMARY KEY  CLUSTERED 
	(
		[synchronization_conf_uuid] ASC
	)  ON [PRIMARY]
GO

GRANT SELECT,  UPDATE,  INSERT, DELETE  ON [dbo].[ca_synchronization_conf] to [ca_itrm_group]
GO
GRANT SELECT ON [dbo].[ca_synchronization_conf] to [ca_itrm_group_ams]
GO



	CREATE TABLE [dbo].[ca_synchronization_history](
			  [primary_uuid] [binary](16) NULL,
			  [secondary_uuid] [binary](16) NULL,
			  [lng1] [int] NULL,
			  [lng2] [int] NULL,
			  [lng3] [int] NULL,
			  [lng4] [int] NULL,
			  [table_name] [nvarchar](255) COLLATE !!sensitive NULL,
			  [action] [int] NULL,
			  [auto_rep_version] timestamp NULL
	) ON [PRIMARY]
GO

GRANT SELECT,  UPDATE,  INSERT, DELETE  ON [dbo].[ca_synchronization_history]  to [ca_itrm_group]
GO
GRANT SELECT ON [dbo].[ca_synchronization_history] to [ca_itrm_group_ams]
GO



	CREATE TABLE [dbo].[ca_synchronization_status](
			  [synchronization_conf_uuid] [binary](16) NOT NULL,
			  [domain_uuid] [binary](16) NOT NULL,
			  [modified_status] [binary](8) NULL,
			  [deleted_status] [binary](8) NULL

	) ON [PRIMARY];
GO

ALTER TABLE [dbo].[ca_synchronization_status]
	ADD CONSTRAINT [XPKca_synchronization_status] PRIMARY KEY  CLUSTERED 
	(
		  [domain_uuid] ASC,
		  [synchronization_conf_uuid] ASC
	)  ON [PRIMARY]
GO

GRANT SELECT,  UPDATE,  INSERT, DELETE  ON [dbo].[ca_synchronization_status]  to [ca_itrm_group]
GO
GRANT SELECT ON [dbo].[ca_synchronization_status] to [ca_itrm_group_ams]
GO





/*****************************************************************************/
/*                                                                           */
/* Register patch                                                     	     */
/*                                                                           */
/*****************************************************************************/
insert into mdb_patch ( patchnumber, installdate,  mdbmajorversion, mdbminorversion, description)
 values ( 15948117, getdate(), 1, 4, 'Star 15948117: ORACLE SYNCH' )
GO

COMMIT
GO
