SET LOCK_TIMEOUT 300000
GO
SET DEADLOCK_PRIORITY LOW
GO
SET XACT_ABORT ON
GO
SET TRANSACTION ISOLATION LEVEL SERIALIZABLE
GO
BEGIN TRANSACTION 
GO


/****************************************************************************************/
/*                                                                                      */
/* star 16200193 SDESK INCREASE T_PERSID LENGTH		                                */
/*                                                                                      */
/****************************************************************************************/

/* lock objects...  */
 
Select top 1 1 from dbo.anima with (tablockx)
GO
Select top 1 1 from mdb_patch with (tablockx)
GO

--------------------------------------------------------
-- The following will extend the length of the t_persid 
-- column for anima tables to 60 characters from 30 
-- characters.
--------------------------------------------------------
DROP INDEX [anima].[anima_x0]
GO

DROP INDEX [anima].[anima_x1]
GO

ALTER TABLE anima 
	ALTER COLUMN t_persid nvarchar(60) COLLATE !!insensitive NOT NULL 
GO

CREATE  INDEX [anima_x0] ON [dbo].[anima]([a_time]) ON [PRIMARY]
GO

CREATE  INDEX [anima_x1] ON [dbo].[anima]([t_persid]) ON [PRIMARY]
GO

/****************************************************************************************/
/*                                                                                      */
/*  register patch                                                                      */
/*                                                                                      */
/****************************************************************************************/
insert into mdb_patch ( patchnumber, installdate,  mdbmajorversion, mdbminorversion, description)
 values ( 16200193, getdate(), 1, 4, 'Patch Star 16200193 SDESK INCREASE T_PERSID LENGTH' )
GO

COMMIT TRANSACTION 
GO
