SET ECHO ON;
WHENEVER OSERROR EXIT FAILURE;
WHENEVER SQLERROR EXIT SQL.SQLCODE;

SET AUTOCOMMIT OFF;

/****************************************************************************************/
/*                                                                                      */
/* Patch Star 14655659 Autosys: Modify ujo_asext_config table                           */
/*                                                                                      */
/****************************************************************************************/

DROP TABLE UJO_ASEXT_CONFIG
/

/*
No need to save the data since we'll be applying this patch during install time.
-Vadi 2/21/2006
*/

CREATE TABLE ujo_asext_config (
       asext_autoserv       VARCHAR2(64) NOT NULL,
       asext_instance_type  CHAR(1) NOT NULL,
       asext_db_type        CHAR(1) NULL,
       asext_nod_name       VARCHAR2(256) NOT NULL,
       asext_app_name       VARCHAR2(20) NULL
)
/
CREATE UNIQUE INDEX baseidx_ujo_asext_config ON ujo_asext_config
(
       asext_autoserv ASC, asext_nod_name ASC
) tablespace &2
/
grant select on ujo_asext_config to ujoadmin
/
grant update on ujo_asext_config to ujoadmin
/
grant insert on ujo_asext_config to ujoadmin
/
grant delete on ujo_asext_config to ujoadmin
/
/****************************************************************************************/
/*                                                                                      */
/*  register patch                                                                      */
/*                                                                                      */
/****************************************************************************************/
INSERT INTO mdb_patch ( patchnumber, installdate,  mdbmajorversion, mdbminorversion, description)
 VALUES ( 14655659, systimestamp, 1, 4, 'Star 14655659 Autosys: Modify ujo_asext_config table' );

COMMIT;

EXIT SUCCESS;

