SET ECHO ON;
WHENEVER OSERROR EXIT FAILURE;
WHENEVER SQLERROR EXIT SQL.SQLCODE;

SET AUTOCOMMIT OFF;

/****************************************************************************************/
/*                                                                                      */
/* Star 14939623 Portalr12: Add a portal instance id column                           	*/
/*                                                                                      */
/****************************************************************************************/

DROP TABLE CMSACL10003DATA CASCADE CONSTRAINTS;
DROP TABLE CMSAIFFDATA CASCADE CONSTRAINTS;
DROP TABLE CMSAIONRULEMANAGERDATA CASCADE CONSTRAINTS;
DROP TABLE CMSAPPROVALCHAINDATA CASCADE CONSTRAINTS;
DROP TABLE CMSASSETDATA CASCADE CONSTRAINTS;
DROP TABLE cmsassetfilemapdata CASCADE CONSTRAINTS;
DROP TABLE cmsavidata CASCADE CONSTRAINTS;
DROP TABLE CMSCOLLECTIONDATA CASCADE CONSTRAINTS;
DROP TABLE cmscpcmconfig CASCADE CONSTRAINTS;
DROP TABLE cmsdblog CASCADE CONSTRAINTS;
DROP TABLE cmserrordata CASCADE CONSTRAINTS;
DROP TABLE cmsfastconfig CASCADE CONSTRAINTS;
DROP TABLE cmsgroupdata CASCADE CONSTRAINTS;
DROP TABLE cmsimagedata CASCADE CONSTRAINTS;
DROP TABLE cmsmdidcolumnsdata CASCADE CONSTRAINTS;
DROP TABLE cmsmdiddata CASCADE CONSTRAINTS;
DROP TABLE cmsmp3data CASCADE CONSTRAINTS;
DROP TABLE cmsmpegdata CASCADE CONSTRAINTS;
DROP TABLE cmsmsofficedata CASCADE CONSTRAINTS;
DROP TABLE cmspdfdata CASCADE CONSTRAINTS;
DROP TABLE CMSPERSONALIZATIONDATA CASCADE CONSTRAINTS;
DROP TABLE cmsphotoshopdata CASCADE CONSTRAINTS;
DROP TABLE cmspostscriptdata CASCADE CONSTRAINTS;
DROP TABLE cmsquicktimedata CASCADE CONSTRAINTS;
DROP TABLE cmsrealaudiodata CASCADE CONSTRAINTS;
DROP TABLE cmsrealmediadata CASCADE CONSTRAINTS;
DROP TABLE cmsshockwavedata CASCADE CONSTRAINTS;
DROP TABLE cmsstdtriggerdata CASCADE CONSTRAINTS;
DROP TABLE cmsurldata CASCADE CONSTRAINTS;
DROP TABLE cmsuserdata CASCADE CONSTRAINTS;
DROP TABLE cmswavdata CASCADE CONSTRAINTS;
DROP TABLE cmswfacldata CASCADE CONSTRAINTS;
DROP TABLE CMSWFACTIVITYDATA CASCADE CONSTRAINTS;
DROP TABLE CMSWFACTIVITYDEFDATA CASCADE CONSTRAINTS;
DROP TABLE CMSWFATTRIBUTEDATA CASCADE CONSTRAINTS;
DROP TABLE CMSWFPROCESSDATA CASCADE CONSTRAINTS;
DROP TABLE CMSWFPROCESSDEFDATA CASCADE CONSTRAINTS;
DROP TABLE CMSWFWORKITEMDATA CASCADE CONSTRAINTS;
DROP TABLE CMSWINDOWSMEDIADATA CASCADE CONSTRAINTS;
DROP TABLE CMSWSSTORAGEDATA CASCADE CONSTRAINTS;
DROP TABLE CMSACL10010DATA  CASCADE CONSTRAINTS;
DROP TABLE CMSACL10046DATA  CASCADE CONSTRAINTS;
DROP TABLE CMSACL10074DATA  CASCADE CONSTRAINTS;
DROP TABLE CMSACL10085DATA  CASCADE CONSTRAINTS;
DROP TABLE CMSACL10093DATA  CASCADE CONSTRAINTS;
DROP TABLE CMSACL10108DATA  CASCADE CONSTRAINTS;
DROP TABLE CMSACL10115DATA  CASCADE CONSTRAINTS;
DROP TABLE CMSACL10122DATA  CASCADE CONSTRAINTS;
DROP TABLE CMSACL10130DATA  CASCADE CONSTRAINTS;
DROP TABLE CMSACL10153DATA  CASCADE CONSTRAINTS;
DROP TABLE CMSACL10160DATA  CASCADE CONSTRAINTS;
DROP TABLE CMSACL10167DATA  CASCADE CONSTRAINTS;
DROP TABLE CMSACL10175DATA  CASCADE CONSTRAINTS;
DROP TABLE CMSACL10182DATA  CASCADE CONSTRAINTS;
DROP TABLE CMSACL10190DATA  CASCADE CONSTRAINTS;
DROP TABLE CMSACL10197DATA  CASCADE CONSTRAINTS;
DROP TABLE CMSACL10205DATA  CASCADE CONSTRAINTS;
DROP TABLE CMSACL10219DATA  CASCADE CONSTRAINTS;
DROP TABLE CMSACL10226DATA  CASCADE CONSTRAINTS;
DROP TABLE CMSACL10233DATA  CASCADE CONSTRAINTS;
DROP TABLE CMSADMINASSETRESOUDATA  CASCADE CONSTRAINTS;
DROP TABLE CMSADMINRESOURCEBADATA  CASCADE CONSTRAINTS;
DROP TABLE CMSPERSISTANTSTATEDATA  CASCADE CONSTRAINTS;
DROP TABLE CMSPORTALPAGEDATA  CASCADE CONSTRAINTS;
DROP TABLE CMSROLLBK10010DATA  CASCADE CONSTRAINTS;
DROP TABLE CMSROLLBK10046DATA  CASCADE CONSTRAINTS;
DROP TABLE CMSROLLBK10074DATA  CASCADE CONSTRAINTS;
DROP TABLE CMSROLLBK10085DATA  CASCADE CONSTRAINTS;
DROP TABLE CMSROLLBK10093DATA  CASCADE CONSTRAINTS;
DROP TABLE CMSROLLBK10108DATA  CASCADE CONSTRAINTS;
DROP TABLE CMSROLLBK10115DATA  CASCADE CONSTRAINTS;
DROP TABLE CMSROLLBK10122DATA  CASCADE CONSTRAINTS;
DROP TABLE CMSROLLBK10130DATA  CASCADE CONSTRAINTS;
DROP TABLE CMSROLLBK10153DATA  CASCADE CONSTRAINTS;
DROP TABLE CMSROLLBK10160DATA  CASCADE CONSTRAINTS;
DROP TABLE CMSROLLBK10167DATA  CASCADE CONSTRAINTS;
DROP TABLE CMSROLLBK10175DATA  CASCADE CONSTRAINTS;
DROP TABLE CMSROLLBK10182DATA  CASCADE CONSTRAINTS;
DROP TABLE CMSROLLBK10190DATA  CASCADE CONSTRAINTS;
DROP TABLE CMSROLLBK10197DATA  CASCADE CONSTRAINTS;
DROP TABLE CMSROLLBK10205DATA  CASCADE CONSTRAINTS;
DROP TABLE CMSROLLBK10219DATA  CASCADE CONSTRAINTS;
DROP TABLE CMSROLLBK10226DATA  CASCADE CONSTRAINTS;
DROP TABLE CMSROLLBK10233DATA  CASCADE CONSTRAINTS;
DROP TABLE CMSVIEWFILESDATA  CASCADE CONSTRAINTS;

CREATE TABLE CMSACL10003DATA ( 
	UECHECKEDOUT      	NUMBER(22,0) NULL,
	UECHECKEDOUTTIME  	DATE NULL,
	UEDBID            	NUMBER(22,0) NOT NULL,
	UEMODTIME         	DATE NULL,
	UENUMEMPTYREQUIRED	NUMBER(22,0) NULL,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL,
	UEPUBSTAGE        	NUMBER(22,0) NULL,
	UEPUBTIME         	DATE NULL,
	UEGROUP           	NUMBER(22,0) NULL,
	UEPERMISSION      	NUMBER(22,0) NULL,
	UERESOURCEID      	NUMBER(22,0) NULL,
	UEUSER            	NUMBER(22,0) NULL 
	);

ALTER TABLE CMSACL10003DATA
	ADD ( CONSTRAINT UE107DCA2B4F7
	PRIMARY KEY (UEDBID,UEPORINSTANCEID )
	NOT DEFERRABLE INITIALLY IMMEDIATE );
grant insert on cmsacl10003data to portaldba_group;
grant select on cmsacl10003data to portaldba_group;
grant delete on cmsacl10003data to portaldba_group;
grant update on cmsacl10003data to portaldba_group;

CREATE TABLE CMSAIFFDATA ( 
	UECHECKEDOUT      	NUMBER(22,0) NULL,
	UECHECKEDOUTTIME  	DATE NULL,
	UEDBID            	NUMBER(22,0) NOT NULL,
	UEMODTIME         	DATE NULL,
	UENUMEMPTYREQUIRED	NUMBER(22,0) NULL,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL,
	UEPUBSTAGE        	NUMBER(22,0) NULL,
	UEPUBTIME         	DATE NULL,
	UEAIFF_AUTHOR     	VARCHAR2(1020) NULL,
	UEAIFF_DESCRIPTION	VARCHAR2(1000) NULL,
	UEAIFF_KEYWORDS   	VARCHAR2(1020) NULL,
	UEAIFF_TITLE      	VARCHAR2(1020) NULL,
	UEAUTHOR          	VARCHAR2(1020) NULL,
	UEBYTE_COUNT      	NUMBER(22,0) NULL,
	UECHANNEL_MODE    	VARCHAR2(1020) NULL,
	UECOMPRESSION_TYPE	VARCHAR2(1020) NULL,
	UECOPYRIGHTED     	VARCHAR2(1020) NULL,
	UECREATED_BY      	VARCHAR2(1020) NULL,
	UECREATION_DATE   	DATE NULL,
	UEDATE_EXPIRES    	DATE NULL,
	UEDESCRIPTION     	VARCHAR2(1000) NULL,
	UEKEYWORDS        	VARCHAR2(1020) NULL,
	UELAST_MODIFIED_BY	VARCHAR2(1020) NULL,
	UELENGTH          	NUMBER(38,10) NULL,
	UEMAJOR_TYPE      	VARCHAR2(1020) NULL,
	UEMINOR_TYPE      	VARCHAR2(1020) NULL,
	UENAME            	VARCHAR2(1020) NULL,
	UEPARENTID        	NUMBER(22,0) NULL,
	UESAMPLE_FRAMES   	NUMBER(22,0) NULL,
	UESAMPLE_RATE     	NUMBER(38,10) NULL,
	UESAMPLE_SIZE     	NUMBER(22,0) NULL,
	UESUBJECT         	VARCHAR2(1020) NULL,
	UETITLE           	VARCHAR2(1020) NULL,
	UEVERCOMMENT      	VARCHAR2(1000) NULL,
	UEWFPROC_ID       	VARCHAR2(510) NULL,
	UEWORKFLOW_ID     	VARCHAR2(510) NULL 
	);

ALTER TABLE CMSAIFFDATA
	ADD ( CONSTRAINT UE107DCA2B512
	PRIMARY KEY (UEDBID,UEPORINSTANCEID )
	NOT DEFERRABLE INITIALLY IMMEDIATE );

grant select on cmsaiffdata to portaldba_group;
grant update on cmsaiffdata to portaldba_group;
grant delete on cmsaiffdata to portaldba_group;
grant insert on cmsaiffdata to portaldba_group;


CREATE TABLE CMSAIONRULEMANAGERDATA ( 
	UECHECKEDOUT      	NUMBER(22,0) NULL,
	UECHECKEDOUTTIME  	DATE NULL,
	UEDBID            	NUMBER(22,0) NOT NULL,
	UEMODTIME         	DATE NULL,
	UENUMEMPTYREQUIRED	NUMBER(22,0) NULL,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL,
	UEPUBSTAGE        	NUMBER(22,0) NULL,
	UEPUBTIME         	DATE NULL,
	UEAUTHOR          	VARCHAR2(1020) NULL,
	UEBYTE_COUNT      	NUMBER(22,0) NULL,
	UECREATED_BY      	VARCHAR2(1020) NULL,
	UECREATION_DATE   	DATE NULL,
	UEDATE_EXPIRES    	DATE NULL,
	UEDESCRIPTION     	VARCHAR2(1000) NULL,
	UEENDDATE         	VARCHAR2(1020) NULL,
	UEKEYWORDS        	VARCHAR2(1020) NULL,
	UELAST_MODIFIED_BY	VARCHAR2(1020) NULL,
	UEMAJOR_TYPE      	VARCHAR2(1020) NULL,
	UEMINOR_TYPE      	VARCHAR2(1020) NULL,
	UENAME            	VARCHAR2(1020) NULL,
	UEPARENTID        	NUMBER(22,0) NULL,
	UEPRIORITY        	VARCHAR2(1020) NULL,
	UESTARTDATE       	VARCHAR2(1020) NULL,
	UESUBJECT         	VARCHAR2(1020) NULL,
	UETITLE           	VARCHAR2(1020) NULL,
	UETYPE            	VARCHAR2(1020) NULL,
	UEVERCOMMENT      	VARCHAR2(1000) NULL,
	UEWFPROC_ID       	VARCHAR2(510) NULL,
	UEWORKFLOW_ID     	VARCHAR2(510) NULL 
	);

ALTER TABLE CMSAIONRULEMANAGERDATA
	ADD ( CONSTRAINT UE107DCA2B50D
	PRIMARY KEY (UEDBID,UEPORINSTANCEID )
	NOT DEFERRABLE INITIALLY IMMEDIATE );
grant insert on cmsaionrulemanagerdata to portaldba_group;
grant delete on cmsaionrulemanagerdata to portaldba_group;
grant update on cmsaionrulemanagerdata to portaldba_group;
grant select on cmsaionrulemanagerdata to portaldba_group;

CREATE TABLE CMSAPPROVALCHAINDATA ( 
	UECHECKEDOUT      	NUMBER(22,0) NULL,
	UECHECKEDOUTTIME  	DATE NULL,
	UEDBID            	NUMBER(22,0) NOT NULL,
	UEMODTIME         	DATE NULL,
	UENUMEMPTYREQUIRED	NUMBER(22,0) NULL,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL,
	UEPUBSTAGE        	NUMBER(22,0) NULL,
	UEPUBTIME         	DATE NULL,
	UEABOUT           	VARCHAR2(1000) NULL,
	UEAPPCHAINNAME    	VARCHAR2(510) NOT NULL,
	UESTATES          	VARCHAR2(1000) NULL 
	);

ALTER TABLE CMSAPPROVALCHAINDATA
	ADD ( CONSTRAINT UE107DCA2B4E8
	PRIMARY KEY (UEDBID,UEPORINSTANCEID )
	NOT DEFERRABLE INITIALLY IMMEDIATE );
ALTER TABLE CMSAPPROVALCHAINDATA
	ADD ( CONSTRAINT UE107DCA2B4E9
	UNIQUE (UEAPPCHAINNAME, UEPORINSTANCEID)
	NOT DEFERRABLE INITIALLY IMMEDIATE );
grant insert on cmsapprovalchaindata to portaldba_group;
grant delete on cmsapprovalchaindata to portaldba_group;
grant update on cmsapprovalchaindata to portaldba_group;
grant select on cmsapprovalchaindata to portaldba_group;


CREATE TABLE CMSASSETDATA ( 
	UECHECKEDOUT      	NUMBER(22,0) NULL,
	UECHECKEDOUTTIME  	DATE NULL,
	UEDBID            	NUMBER(22,0) NOT NULL,
	UEMODTIME         	DATE NULL,
	UENUMEMPTYREQUIRED	NUMBER(22,0) NULL,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL,
	UEPUBSTAGE        	NUMBER(22,0) NULL,
	UEPUBTIME         	DATE NULL,
	UEAUTHOR          	VARCHAR2(1020) NULL,
	UEBYTE_COUNT      	NUMBER(22,0) NULL,
	UECREATED_BY      	VARCHAR2(1020) NULL,
	UECREATION_DATE   	DATE NULL,
	UEDATE_EXPIRES    	DATE NULL,
	UEDESCRIPTION     	VARCHAR2(1000) NULL,
	UEKEYWORDS        	VARCHAR2(1020) NULL,
	UELAST_MODIFIED_BY	VARCHAR2(1020) NULL,
	UEMAJOR_TYPE      	VARCHAR2(1020) NULL,
	UEMINOR_TYPE      	VARCHAR2(1020) NULL,
	UENAME            	VARCHAR2(1020) NULL,
	UEPARENTID        	NUMBER(22,0) NULL,
	UESUBJECT         	VARCHAR2(1020) NULL,
	UETITLE           	VARCHAR2(1020) NULL,
	UEVERCOMMENT      	VARCHAR2(1000) NULL,
	UEWFPROC_ID       	VARCHAR2(510) NULL,
	UEWORKFLOW_ID     	VARCHAR2(510) NULL 
	);


ALTER TABLE CMSASSETDATA
	ADD ( CONSTRAINT UE107DCA2B4F9
	PRIMARY KEY (UEDBID,UEPORINSTANCEID)
	NOT DEFERRABLE INITIALLY IMMEDIATE );


grant insert on cmsassetdata to portaldba_group;
grant delete on cmsassetdata to portaldba_group;
grant update on cmsassetdata to portaldba_group;
grant select on cmsassetdata to portaldba_group;

CREATE TABLE CMSASSETFILEMAPDATA ( 
	UECHECKEDOUT      	NUMBER(22,0) NULL,
	UECHECKEDOUTTIME  	DATE NULL,
	UEDBID            	NUMBER(22,0) NOT NULL,
	UEMODTIME         	DATE NULL,
	UENUMEMPTYREQUIRED	NUMBER(22,0) NULL,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL,
	UEPUBSTAGE        	NUMBER(22,0) NULL,
	UEPUBTIME         	DATE NULL,
	UEASSETCLSID      	NUMBER(22,0) NULL,
	UEDEFAULT         	CHAR(1) NULL,
	UEFILEEXT         	VARCHAR2(510) NULL,
	UEMAJORMIME       	VARCHAR2(510) NULL,
	UEMINORMIME       	VARCHAR2(510) NULL 
	);

ALTER TABLE CMSASSETFILEMAPDATA
	ADD ( CONSTRAINT UE107DCA2B4F6
	PRIMARY KEY (UEDBID,UEPORINSTANCEID )
	NOT DEFERRABLE INITIALLY IMMEDIATE );
grant select on cmsassetfilemapdata to portaldba_group;
grant delete on cmsassetfilemapdata to portaldba_group;
grant update on cmsassetfilemapdata to portaldba_group;
grant insert on cmsassetfilemapdata to portaldba_group;

CREATE TABLE CMSAVIDATA ( 
	UECHECKEDOUT      	NUMBER(22,0) NULL,
	UECHECKEDOUTTIME  	DATE NULL,
	UEDBID            	NUMBER(22,0) NOT NULL,
	UEMODTIME         	DATE NULL,
	UENUMEMPTYREQUIRED	NUMBER(22,0) NULL,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL,
	UEPUBSTAGE        	NUMBER(22,0) NULL,
	UEPUBTIME         	DATE NULL,
	UEAUDIO_CODEC     	VARCHAR2(1020) NULL,
	UEAUTHOR          	VARCHAR2(1020) NULL,
	UEAVI_AUTHOR      	VARCHAR2(1020) NULL,
	UEAVI_CREATE_DATE 	DATE NULL,
	UEAVI_DESCRIPTION 	VARCHAR2(1000) NULL,
	UEAVI_KEYWORDS    	VARCHAR2(1020) NULL,
	UEAVI_SUBJECT     	VARCHAR2(1020) NULL,
	UEAVI_TITLE       	VARCHAR2(1020) NULL,
	UEBITRATE         	NUMBER(38,10) NULL,
	UEBYTE_COUNT      	NUMBER(22,0) NULL,
	UECHANNEL_MODE    	VARCHAR2(1020) NULL,
	UECOLOR_DEPTH     	NUMBER(22,0) NULL,
	UECOMMISSIONED    	VARCHAR2(1020) NULL,
	UECOPYRIGHTED     	VARCHAR2(1020) NULL,
	UECREATED_BY      	VARCHAR2(1020) NULL,
	UECREATION_DATE   	DATE NULL,
	UECROPPED         	VARCHAR2(1020) NULL,
	UEDATE_EXPIRES    	DATE NULL,
	UEDESCRIPTION     	VARCHAR2(1000) NULL,
	UEDIMENSIONS      	NUMBER(22,0) NULL,
	UEDOTS_PER_INCH   	VARCHAR2(1020) NULL,
	UEENGINEER        	VARCHAR2(1020) NULL,
	UEFRAME_NUMBER    	NUMBER(22,0) NULL,
	UEFRAME_RATE      	NUMBER(22,0) NULL,
	UEGENRE           	VARCHAR2(1020) NULL,
	UEHEIGHT          	NUMBER(22,0) NULL,
	UEKEYWORDS        	VARCHAR2(1020) NULL,
	UELAST_MODIFIED_BY	VARCHAR2(1020) NULL,
	UELENGTH          	NUMBER(38,10) NULL,
	UELIGHTNESS       	VARCHAR2(1020) NULL,
	UEMAJOR_TYPE      	VARCHAR2(1020) NULL,
	UEMEDIUM          	VARCHAR2(1020) NULL,
	UEMINOR_TYPE      	VARCHAR2(1020) NULL,
	UENAME            	VARCHAR2(1020) NULL,
	UENAME_OF_SUBJECT 	VARCHAR2(1020) NULL,
	UEPALETTE         	VARCHAR2(1020) NULL,
	UEPARENTID        	NUMBER(22,0) NULL,
	UEPRODUCT         	VARCHAR2(1020) NULL,
	UESAMPLE_RATE     	NUMBER(38,10) NULL,
	UESAMPLE_SIZE     	NUMBER(22,0) NULL,
	UESHARPNESS       	VARCHAR2(1020) NULL,
	UESOFTWARE        	VARCHAR2(1020) NULL,
	UESOURCE          	VARCHAR2(1020) NULL,
	UESUBJECT         	VARCHAR2(1020) NULL,
	UETECHNICIAN      	VARCHAR2(1020) NULL,
	UETITLE           	VARCHAR2(1020) NULL,
	UEVERCOMMENT      	VARCHAR2(1000) NULL,
	UEVIDEO_CODEC     	VARCHAR2(1020) NULL,
	UEWFPROC_ID       	VARCHAR2(510) NULL,
	UEWIDTH           	NUMBER(22,0) NULL,
	UEWORKFLOW_ID     	VARCHAR2(510) NULL 
	);

ALTER TABLE CMSAVIDATA
	ADD ( CONSTRAINT UE107DCA2B51C
	PRIMARY KEY (UEDBID,UEPORINSTANCEID )
	NOT DEFERRABLE INITIALLY IMMEDIATE );
grant insert on cmsavidata to portaldba_group;
grant update on cmsavidata to portaldba_group;
grant select on cmsavidata to portaldba_group;
grant delete on cmsavidata to portaldba_group;


CREATE TABLE CMSCOLLECTIONDATA ( 
	UECHECKEDOUT      	NUMBER(22,0) NULL,
	UECHECKEDOUTTIME  	DATE NULL,
	UEDBID            	NUMBER(22,0) NOT NULL,
	UEMODTIME         	DATE NULL,
	UENUMEMPTYREQUIRED	NUMBER(22,0) NULL,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL,
	UEPUBSTAGE        	NUMBER(22,0) NULL,
	UEPUBTIME         	DATE NULL,
	UECREATION_DATE   	DATE NULL,
	UEDESCRIPTION     	VARCHAR2(1000) NULL,
	UEKEYWORDS        	VARCHAR2(1020) NULL,
	UENAME            	VARCHAR2(1020) NULL,
	UEPARENTID        	NUMBER(22,0) NULL,
	UESUBJECT         	VARCHAR2(1020) NULL,
	UEWFPROC_ID       	VARCHAR2(510) NULL,
	UEWORKFLOW_ID     	VARCHAR2(510) NULL 
	);

ALTER TABLE CMSCOLLECTIONDATA
	ADD ( CONSTRAINT UE107DCA2B4F5
	PRIMARY KEY (UEDBID,UEPORINSTANCEID )
	NOT DEFERRABLE INITIALLY IMMEDIATE );
grant select on cmscollectiondata to portaldba_group;
grant update on cmscollectiondata to portaldba_group;
grant insert on cmscollectiondata to portaldba_group;
grant delete on cmscollectiondata to portaldba_group;

CREATE TABLE CMSCPCMCONFIG ( 
	PARAM_NAME 	VARCHAR2(255) NOT NULL,
	PARAM_VALUE	VARCHAR2(255) NULL,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL
	);
ALTER TABLE CMSCPCMCONFIG
	ADD ( CONSTRAINT PK_CMSCPCMCONFIG
	PRIMARY KEY (PARAM_NAME,UEPORINSTANCEID )
	NOT DEFERRABLE INITIALLY IMMEDIATE );


grant insert on cmscpcmconfig to portaldba_group;
grant delete on cmscpcmconfig to portaldba_group;
grant update on cmscpcmconfig to portaldba_group;
grant select on cmscpcmconfig to portaldba_group;

CREATE TABLE CMSDBLOG ( 
	UEAREA     	NUMBER(22,0) NULL,
	UEPRIORITY 	NUMBER(22,0) NULL,
	UEMESSAGE  	CLOB NULL,
	UESUBSYSTEM	NUMBER(22,0) NULL,
	UETYPE     	NUMBER(22,0) NULL,
	UETIMESTAMP	DATE NULL,
	UEPARAMS   	CLOB NULL,
	UEUNIQUEID 	NUMBER(38,0) NOT NULL ,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL
	);

ALTER TABLE CMSDBLOG
	ADD ( CONSTRAINT PK_CMSDBLOG
	PRIMARY KEY (UEUNIQUEID,UEPORINSTANCEID )
	NOT DEFERRABLE INITIALLY IMMEDIATE );
grant delete on cmsdblog to portaldba_group;
grant insert on cmsdblog to portaldba_group;
grant update on cmsdblog to portaldba_group;
grant select on cmsdblog to portaldba_group;




CREATE TABLE CMSERRORDATA ( 
	UECHECKEDOUT      	NUMBER(22,0) NULL,
	UECHECKEDOUTTIME  	DATE NULL,
	UEDBID            	NUMBER(22,0) NOT NULL,
	UEMODTIME         	DATE NULL,
	UENUMEMPTYREQUIRED	NUMBER(22,0) NULL,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL,
	UEPUBSTAGE        	NUMBER(22,0) NULL,
	UEPUBTIME         	DATE NULL,
	UECODE            	NUMBER(22,0) NULL,
	UELEVEL           	NUMBER(22,0) NULL,
	UEMESSAGE         	VARCHAR2(1000) NULL,
	UETEMPLATE        	VARCHAR2(510) NULL,
	UETYPE            	NUMBER(22,0) NULL 
	);

ALTER TABLE CMSERRORDATA
	ADD ( CONSTRAINT UE107DCA2B4EE
	PRIMARY KEY (UEDBID,UEPORINSTANCEID )
	NOT DEFERRABLE INITIALLY IMMEDIATE );
grant insert on cmserrordata to portaldba_group;
grant delete on cmserrordata to portaldba_group;
grant update on cmserrordata to portaldba_group;
grant select on cmserrordata to portaldba_group;


CREATE TABLE CMSFASTCONFIG ( 
	PARAM_NAME 	VARCHAR2(255) NOT NULL,
	PARAM_VALUE	VARCHAR2(255) NULL,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL
	);
ALTER TABLE CMSFASTCONFIG
	ADD ( CONSTRAINT PK_CMSFASTCONFIG
	PRIMARY KEY (PARAM_NAME,UEPORINSTANCEID )
	NOT DEFERRABLE INITIALLY IMMEDIATE );


grant insert on cmsfastconfig to portaldba_group;
grant delete on cmsfastconfig to portaldba_group;
grant update on cmsfastconfig to portaldba_group;
grant select on cmsfastconfig to portaldba_group;


CREATE TABLE CMSGROUPDATA ( 
	UECHECKEDOUT      	NUMBER(22,0) NULL,
	UECHECKEDOUTTIME  	DATE NULL,
	UEDBID            	NUMBER(22,0) NOT NULL,
	UEMODTIME         	DATE NULL,
	UENUMEMPTYREQUIRED	NUMBER(22,0) NULL,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL,
	UEPUBSTAGE        	NUMBER(22,0) NULL,
	UEPUBTIME         	DATE NULL,
	UEDESCRIPTION     	VARCHAR2(1000) NULL,
	UEGROUPNAME       	VARCHAR2(1020) NOT NULL,
	UEGROUPS          	VARCHAR2(1000) NULL,
	UEUSERS           	VARCHAR2(1000) NULL 
	);

ALTER TABLE CMSGROUPDATA
	ADD ( CONSTRAINT UE107DCA2B4EC
	PRIMARY KEY (UEDBID,UEPORINSTANCEID )
	NOT DEFERRABLE INITIALLY IMMEDIATE );
ALTER TABLE CMSGROUPDATA
	ADD ( CONSTRAINT UE107DCA2B4ED
	UNIQUE (UEGROUPNAME,UEPORINSTANCEID)
	NOT DEFERRABLE INITIALLY IMMEDIATE );
grant select on cmsgroupdata to portaldba_group;
grant update on cmsgroupdata to portaldba_group;
grant insert on cmsgroupdata to portaldba_group;
grant delete on cmsgroupdata to portaldba_group;


CREATE TABLE CMSIMAGEDATA ( 
	UECHECKEDOUT      	NUMBER(22,0) NULL,
	UECHECKEDOUTTIME  	DATE NULL,
	UEDBID            	NUMBER(22,0) NOT NULL,
	UEMODTIME         	DATE NULL,
	UENUMEMPTYREQUIRED	NUMBER(22,0) NULL,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL,
	UEPUBSTAGE        	NUMBER(22,0) NULL,
	UEPUBTIME         	DATE NULL,
	UEAUTHOR          	VARCHAR2(1020) NULL,
	UEBYTE_COUNT      	NUMBER(22,0) NULL,
	UECOLOR_DEPTH     	NUMBER(22,0) NULL,
	UECOMPRESSION_TYPE	VARCHAR2(1020) NULL,
	UECREATED_BY      	VARCHAR2(1020) NULL,
	UECREATION_DATE   	DATE NULL,
	UEDATE_EXPIRES    	DATE NULL,
	UEDESCRIPTION     	VARCHAR2(1000) NULL,
	UEHEIGHT          	NUMBER(22,0) NULL,
	UEKEYWORDS        	VARCHAR2(1020) NULL,
	UELAST_MODIFIED_BY	VARCHAR2(1020) NULL,
	UEMAJOR_TYPE      	VARCHAR2(1020) NULL,
	UEMINOR_TYPE      	VARCHAR2(1020) NULL,
	UENAME            	VARCHAR2(1020) NULL,
	UEPARENTID        	NUMBER(22,0) NULL,
	UESUBJECT         	VARCHAR2(1020) NULL,
	UETITLE           	VARCHAR2(1020) NULL,
	UEVERCOMMENT      	VARCHAR2(1000) NULL,
	UEWFPROC_ID       	VARCHAR2(510) NULL,
	UEWIDTH           	NUMBER(22,0) NULL,
	UEWORKFLOW_ID     	VARCHAR2(510) NULL 
	);

ALTER TABLE CMSIMAGEDATA
	ADD ( CONSTRAINT UE107DCA2B517
	PRIMARY KEY (UEDBID,UEPORINSTANCEID )
	NOT DEFERRABLE INITIALLY IMMEDIATE );
grant update on cmsimagedata to portaldba_group;
grant select on cmsimagedata to portaldba_group;
grant insert on cmsimagedata to portaldba_group;
grant delete on cmsimagedata to portaldba_group;


CREATE TABLE CMSMDIDCOLUMNSDATA ( 
	UECHECKEDOUT      	NUMBER(22,0) NULL,
	UECHECKEDOUTTIME  	DATE NULL,
	UEDBID            	NUMBER(22,0) NOT NULL,
	UEMODTIME         	DATE NULL,
	UENUMEMPTYREQUIRED	NUMBER(22,0) NULL,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL,
	UEPUBSTAGE        	NUMBER(22,0) NULL,
	UEPUBTIME         	DATE NULL,
	UEFIELD0          	CLOB NULL,
	UEFIELD1          	CLOB NULL,
	UEFIELD10         	CLOB NULL,
	UEFIELD11         	CLOB NULL,
	UEFIELD12         	CLOB NULL,
	UEFIELD13         	CLOB NULL,
	UEFIELD14         	CLOB NULL,
	UEFIELD15         	CLOB NULL,
	UEFIELD16         	CLOB NULL,
	UEFIELD17         	CLOB NULL,
	UEFIELD18         	CLOB NULL,
	UEFIELD19         	CLOB NULL,
	UEFIELD2          	CLOB NULL,
	UEFIELD20         	CLOB NULL,
	UEFIELD21         	CLOB NULL,
	UEFIELD22         	CLOB NULL,
	UEFIELD23         	CLOB NULL,
	UEFIELD24         	CLOB NULL,
	UEFIELD25         	CLOB NULL,
	UEFIELD26         	CLOB NULL,
	UEFIELD27         	CLOB NULL,
	UEFIELD28         	CLOB NULL,
	UEFIELD29         	CLOB NULL,
	UEFIELD3          	CLOB NULL,
	UEFIELD30         	CLOB NULL,
	UEFIELD31         	CLOB NULL,
	UEFIELD32         	CLOB NULL,
	UEFIELD33         	CLOB NULL,
	UEFIELD34         	CLOB NULL,
	UEFIELD35         	CLOB NULL,
	UEFIELD36         	CLOB NULL,
	UEFIELD37         	CLOB NULL,
	UEFIELD38         	CLOB NULL,
	UEFIELD39         	CLOB NULL,
	UEFIELD4          	CLOB NULL,
	UEFIELD40         	CLOB NULL,
	UEFIELD41         	CLOB NULL,
	UEFIELD42         	CLOB NULL,
	UEFIELD43         	CLOB NULL,
	UEFIELD44         	CLOB NULL,
	UEFIELD45         	CLOB NULL,
	UEFIELD46         	CLOB NULL,
	UEFIELD47         	CLOB NULL,
	UEFIELD48         	CLOB NULL,
	UEFIELD49         	CLOB NULL,
	UEFIELD5          	CLOB NULL,
	UEFIELD50         	CLOB NULL,
	UEFIELD51         	CLOB NULL,
	UEFIELD52         	CLOB NULL,
	UEFIELD53         	CLOB NULL,
	UEFIELD54         	CLOB NULL,
	UEFIELD55         	CLOB NULL,
	UEFIELD56         	CLOB NULL,
	UEFIELD57         	CLOB NULL,
	UEFIELD58         	CLOB NULL,
	UEFIELD59         	CLOB NULL,
	UEFIELD6          	CLOB NULL,
	UEFIELD60         	CLOB NULL,
	UEFIELD61         	CLOB NULL,
	UEFIELD62         	CLOB NULL,
	UEFIELD63         	CLOB NULL,
	UEFIELD64         	CLOB NULL,
	UEFIELD65         	CLOB NULL,
	UEFIELD66         	CLOB NULL,
	UEFIELD67         	CLOB NULL,
	UEFIELD68         	CLOB NULL,
	UEFIELD69         	CLOB NULL,
	UEFIELD7          	CLOB NULL,
	UEFIELD8          	CLOB NULL,
	UEFIELD9          	CLOB NULL 
	);

ALTER TABLE CMSMDIDCOLUMNSDATA
	ADD ( CONSTRAINT UE107DCA2B4E4
	PRIMARY KEY (UEDBID,UEPORINSTANCEID )
	NOT DEFERRABLE INITIALLY IMMEDIATE );
grant delete on cmsmdidcolumnsdata to portaldba_group;
grant update on cmsmdidcolumnsdata to portaldba_group;
grant insert on cmsmdidcolumnsdata to portaldba_group;
grant select on cmsmdidcolumnsdata to portaldba_group;



CREATE TABLE CMSMDIDDATA ( 
	UECHECKEDOUT      	NUMBER(22,0) NULL,
	UECHECKEDOUTTIME  	DATE NULL,
	UEDBID            	NUMBER(22,0) NOT NULL,
	UEMODTIME         	DATE NULL,
	UENUMEMPTYREQUIRED	NUMBER(22,0) NULL,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL,
	UEPUBSTAGE        	NUMBER(22,0) NULL,
	UEPUBTIME         	DATE NULL,
	UECACHE           	CHAR(1) NULL,
	UEDESCRIPTION     	VARCHAR2(1000) NULL,
	UEKEYNAME1        	VARCHAR2(510) NULL,
	UEKEYNAME2        	VARCHAR2(510) NULL,
	UEKEYNAME3        	VARCHAR2(510) NULL,
	UENAME            	VARCHAR2(510) NOT NULL,
	UENAMEPLURAL      	VARCHAR2(510) NULL,
	UEPARAMS          	VARCHAR2(4000) NULL,
	UEPUBLICATIONSTAGE	NUMBER(22,0) NULL,
	UEREADPERMISSION  	VARCHAR2(1000) NULL,
	UETABLENAME       	VARCHAR2(510) NOT NULL,
	UEWRITEPERMISSION 	VARCHAR2(1000) NULL 
	);

ALTER TABLE CMSMDIDDATA
	ADD ( CONSTRAINT UE107DCA2B4E6
	UNIQUE (UENAME,UEPORINSTANCEID)
	NOT DEFERRABLE INITIALLY IMMEDIATE );
ALTER TABLE CMSMDIDDATA
	ADD ( CONSTRAINT UE107DCA2B4E5
	PRIMARY KEY (UEDBID,UEPORINSTANCEID )
	NOT DEFERRABLE INITIALLY IMMEDIATE );
ALTER TABLE CMSMDIDDATA
	ADD ( CONSTRAINT UE107DCA2B4E7
	UNIQUE (UETABLENAME,UEPORINSTANCEID)
	NOT DEFERRABLE INITIALLY IMMEDIATE );
grant insert on cmsmdiddata to portaldba_group;
grant delete on cmsmdiddata to portaldba_group;
grant update on cmsmdiddata to portaldba_group;
grant select on cmsmdiddata to portaldba_group;



CREATE TABLE CMSMP3DATA ( 
	UECHECKEDOUT      	NUMBER(22,0) NULL,
	UECHECKEDOUTTIME  	DATE NULL,
	UEDBID            	NUMBER(22,0) NOT NULL,
	UEMODTIME         	DATE NULL,
	UENUMEMPTYREQUIRED	NUMBER(22,0) NULL,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL,
	UEPUBSTAGE        	NUMBER(22,0) NULL,
	UEPUBTIME         	DATE NULL,
	UEAUTHOR          	VARCHAR2(1020) NULL,
	UEBITRATE         	NUMBER(38,10) NULL,
	UEBYTE_COUNT      	NUMBER(22,0) NULL,
	UECHANNEL_MODE    	VARCHAR2(1020) NULL,
	UECOPYRIGHTED     	VARCHAR2(1020) NULL,
	UECREATED_BY      	VARCHAR2(1020) NULL,
	UECREATION_DATE   	DATE NULL,
	UEDATE_EXPIRES    	DATE NULL,
	UEDESCRIPTION     	VARCHAR2(1000) NULL,
	UEEMPHASIS        	VARCHAR2(1020) NULL,
	UEFRAMES          	NUMBER(22,0) NULL,
	UEGENRE           	VARCHAR2(1020) NULL,
	UEKEYWORDS        	VARCHAR2(1020) NULL,
	UELAST_MODIFIED_BY	VARCHAR2(1020) NULL,
	UELAYER           	VARCHAR2(1020) NULL,
	UELENGTH          	NUMBER(38,10) NULL,
	UEMAJOR_TYPE      	VARCHAR2(1020) NULL,
	UEMINOR_TYPE      	VARCHAR2(1020) NULL,
	UEMP3_AUTHOR      	VARCHAR2(1020) NULL,
	UEMP3_DESCRIPTION 	VARCHAR2(1000) NULL,
	UEMP3_SUBJECT     	VARCHAR2(1020) NULL,
	UEMP3_TITLE       	VARCHAR2(1020) NULL,
	UENAME            	VARCHAR2(1020) NULL,
	UEORIGINAL        	CHAR(1) NULL,
	UEPARENTID        	NUMBER(22,0) NULL,
	UEPRIVATE         	CHAR(1) NULL,
	UESAMPLE_RATE     	NUMBER(38,10) NULL,
	UESUBJECT         	VARCHAR2(1020) NULL,
	UETITLE           	VARCHAR2(1020) NULL,
	UEVERCOMMENT      	VARCHAR2(1000) NULL,
	UEVERSION_ID      	VARCHAR2(1020) NULL,
	UEWFPROC_ID       	VARCHAR2(510) NULL,
	UEWORKFLOW_ID     	VARCHAR2(510) NULL,
	UEYEAR            	VARCHAR2(1020) NULL 
	);

ALTER TABLE CMSMP3DATA
	ADD ( CONSTRAINT UE107DCA2B521
	PRIMARY KEY (UEDBID,UEPORINSTANCEID )
	NOT DEFERRABLE INITIALLY IMMEDIATE );
grant update on cmsmp3data to portaldba_group;
grant select on cmsmp3data to portaldba_group;
grant delete on cmsmp3data to portaldba_group;
grant insert on cmsmp3data to portaldba_group;

CREATE TABLE CMSMPEGDATA ( 
	UECHECKEDOUT      	NUMBER(22,0) NULL,
	UECHECKEDOUTTIME  	DATE NULL,
	UEDBID            	NUMBER(22,0) NOT NULL,
	UEMODTIME         	DATE NULL,
	UENUMEMPTYREQUIRED	NUMBER(22,0) NULL,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL,
	UEPUBSTAGE        	NUMBER(22,0) NULL,
	UEPUBTIME         	DATE NULL,
	UEASPECT_RATIO    	VARCHAR2(1020) NULL,
	UEAUTHOR          	VARCHAR2(1020) NULL,
	UEBITRATE         	NUMBER(38,10) NULL,
	UEBYTE_COUNT      	NUMBER(22,0) NULL,
	UECHROMA_FORMAT   	VARCHAR2(1020) NULL,
	UECOLOR_PRIMARIES 	VARCHAR2(1020) NULL,
	UECREATED_BY      	VARCHAR2(1020) NULL,
	UECREATION_DATE   	DATE NULL,
	UEDATE_EXPIRES    	DATE NULL,
	UEDCT_PREDICTION  	NUMBER(22,0) NULL,
	UEDESCRIPTION     	VARCHAR2(1000) NULL,
	UEFRAME_RATE      	VARCHAR2(1020) NULL,
	UEHEIGHT          	NUMBER(22,0) NULL,
	UEINTRA_DC_PREC   	VARCHAR2(1020) NULL,
	UEINTRA_VLC_FMT   	NUMBER(22,0) NULL,
	UEKEYWORDS        	VARCHAR2(1020) NULL,
	UELAST_MODIFIED_BY	VARCHAR2(1020) NULL,
	UELENGTH          	NUMBER(38,10) NULL,
	UEMAJOR_TYPE      	VARCHAR2(1020) NULL,
	UEMATRIX_COEFFS   	VARCHAR2(1020) NULL,
	UEMINOR_TYPE      	VARCHAR2(1020) NULL,
	UEMPEG_VERSION    	VARCHAR2(1020) NULL,
	UENAME            	VARCHAR2(1020) NULL,
	UEPARENTID        	NUMBER(22,0) NULL,
	UEPROG_FRAME      	VARCHAR2(1020) NULL,
	UEPROG_SEQUENCE   	NUMBER(22,0) NULL,
	UESTREAM_TYPE     	VARCHAR2(1020) NULL,
	UESUBJECT         	VARCHAR2(1020) NULL,
	UETITLE           	VARCHAR2(1020) NULL,
	UETRANSFER_CHARS  	VARCHAR2(1020) NULL,
	UEVBF_BUFFER_SIZE 	NUMBER(22,0) NULL,
	UEVERCOMMENT      	VARCHAR2(1000) NULL,
	UEVIDEO_FORMAT    	VARCHAR2(1020) NULL,
	UEWFPROC_ID       	VARCHAR2(510) NULL,
	UEWIDTH           	NUMBER(22,0) NULL,
	UEWORKFLOW_ID     	VARCHAR2(510) NULL 
	);

ALTER TABLE CMSMPEGDATA
	ADD ( CONSTRAINT UE107DCA2B526
	PRIMARY KEY (UEDBID,UEPORINSTANCEID )
	NOT DEFERRABLE INITIALLY IMMEDIATE );
grant insert on cmsmpegdata to portaldba_group;
grant delete on cmsmpegdata to portaldba_group;
grant update on cmsmpegdata to portaldba_group;
grant select on cmsmpegdata to portaldba_group;


CREATE TABLE CMSMSOFFICEDATA ( 
	UECHECKEDOUT      	NUMBER(22,0) NULL,
	UECHECKEDOUTTIME  	DATE NULL,
	UEDBID            	NUMBER(22,0) NOT NULL,
	UEMODTIME         	DATE NULL,
	UENUMEMPTYREQUIRED	NUMBER(22,0) NULL,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL,
	UEPUBSTAGE        	NUMBER(22,0) NULL,
	UEPUBTIME         	DATE NULL,
	UEAPP_NAME        	VARCHAR2(1020) NULL,
	UEAUTHOR          	VARCHAR2(1020) NULL,
	UEBYTE_COUNT      	NUMBER(22,0) NULL,
	UECATEGORY        	VARCHAR2(1020) NULL,
	UECHAR_COUNT      	NUMBER(22,0) NULL,
	UECOMPANY         	VARCHAR2(1020) NULL,
	UECREATED_BY      	VARCHAR2(1020) NULL,
	UECREATION_DATE   	DATE NULL,
	UEDATE_EXPIRES    	DATE NULL,
	UEDESCRIPTION     	VARCHAR2(1000) NULL,
	UEEDIT_TIME       	VARCHAR2(1020) NULL,
	UEHIDDEN_COUNT    	NUMBER(22,0) NULL,
	UEKEYWORDS        	VARCHAR2(1020) NULL,
	UELAST_EDITOR     	VARCHAR2(1020) NULL,
	UELAST_MODIFIED_BY	VARCHAR2(1020) NULL,
	UELAST_PRINT_TIME 	DATE NULL,
	UELAST_SAVED_TIME 	DATE NULL,
	UELINE_COUNT      	NUMBER(22,0) NULL,
	UEMAJOR_TYPE      	VARCHAR2(1020) NULL,
	UEMANAGER         	VARCHAR2(1020) NULL,
	UEMINOR_TYPE      	VARCHAR2(1020) NULL,
	UEMMCLIPS         	NUMBER(22,0) NULL,
	UEMS_AUTHOR       	VARCHAR2(1020) NULL,
	UEMS_COMMENTS     	VARCHAR2(1000) NULL,
	UEMS_CREATION_DATE	DATE NULL,
	UEMS_KEYWORDS     	VARCHAR2(1020) NULL,
	UEMS_SUBJECT      	VARCHAR2(1020) NULL,
	UEMS_TITLE        	VARCHAR2(1020) NULL,
	UENAME            	VARCHAR2(1020) NULL,
	UENOTE_COUNT      	NUMBER(22,0) NULL,
	UEPAGE_COUNT      	NUMBER(22,0) NULL,
	UEPARA_COUNT      	NUMBER(22,0) NULL,
	UEPARENTID        	NUMBER(22,0) NULL,
	UEPRES_FORMAT     	VARCHAR2(1020) NULL,
	UEREV_NUMBER      	VARCHAR2(1020) NULL,
	UESECURITY        	VARCHAR2(1020) NULL,
	UESLIDE_COUNT     	NUMBER(22,0) NULL,
	UESUBJECT         	VARCHAR2(1020) NULL,
	UETEMPLATE_NAME   	VARCHAR2(1020) NULL,
	UETITLE           	VARCHAR2(1020) NULL,
	UEVERCOMMENT      	VARCHAR2(1000) NULL,
	UEWFPROC_ID       	VARCHAR2(510) NULL,
	UEWORD_COUNT      	NUMBER(22,0) NULL,
	UEWORKFLOW_ID     	VARCHAR2(510) NULL 
	);

ALTER TABLE CMSMSOFFICEDATA
	ADD ( CONSTRAINT UE107DCA2B52B
	PRIMARY KEY (UEDBID,UEPORINSTANCEID )
	NOT DEFERRABLE INITIALLY IMMEDIATE );
grant insert on cmsmsofficedata to portaldba_group;
grant select on cmsmsofficedata to portaldba_group;
grant delete on cmsmsofficedata to portaldba_group;
grant update on cmsmsofficedata to portaldba_group;


CREATE TABLE CMSPDFDATA ( 
	UECHECKEDOUT      	NUMBER(22,0) NULL,
	UECHECKEDOUTTIME  	DATE NULL,
	UEDBID            	NUMBER(22,0) NOT NULL,
	UEMODTIME         	DATE NULL,
	UENUMEMPTYREQUIRED	NUMBER(22,0) NULL,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL,
	UEPUBSTAGE        	NUMBER(22,0) NULL,
	UEPUBTIME         	DATE NULL,
	UEAUTHOR          	VARCHAR2(1020) NULL,
	UEBYTE_COUNT      	NUMBER(22,0) NULL,
	UECREATED_BY      	VARCHAR2(1020) NULL,
	UECREATION_DATE   	DATE NULL,
	UECREATOR         	VARCHAR2(1020) NULL,
	UEDATE_EXPIRES    	DATE NULL,
	UEDESCRIPTION     	VARCHAR2(1000) NULL,
	UEKEYWORDS        	VARCHAR2(1020) NULL,
	UELAST_MODIFIED_BY	VARCHAR2(1020) NULL,
	UEMAJOR_TYPE      	VARCHAR2(1020) NULL,
	UEMINOR_TYPE      	VARCHAR2(1020) NULL,
	UENAME            	VARCHAR2(1020) NULL,
	UEPARENTID        	NUMBER(22,0) NULL,
	UEPDF_AUTHOR      	VARCHAR2(1020) NULL,
	UEPDF_CREATION_DAT	DATE NULL,
	UEPDF_KEYWORDS    	VARCHAR2(1020) NULL,
	UEPDF_MODIFICATION	DATE NULL,
	UEPDF_SUBJECT     	VARCHAR2(1020) NULL,
	UEPDF_TITLE       	VARCHAR2(1020) NULL,
	UEPRODUCER        	VARCHAR2(1020) NULL,
	UESUBJECT         	VARCHAR2(1020) NULL,
	UETITLE           	VARCHAR2(1020) NULL,
	UEVERCOMMENT      	VARCHAR2(1000) NULL,
	UEWFPROC_ID       	VARCHAR2(510) NULL,
	UEWORKFLOW_ID     	VARCHAR2(510) NULL 
	);

ALTER TABLE CMSPDFDATA
	ADD ( CONSTRAINT UE107DCA2B530
	PRIMARY KEY (UEDBID,UEPORINSTANCEID )
	NOT DEFERRABLE INITIALLY IMMEDIATE );
grant insert on cmspdfdata to portaldba_group;
grant update on cmspdfdata to portaldba_group;
grant delete on cmspdfdata to portaldba_group;
grant select on cmspdfdata to portaldba_group;




CREATE TABLE CMSPERSONALIZATIONDATA ( 
	UECHECKEDOUT      	NUMBER(22,0) NULL,
	UECHECKEDOUTTIME  	DATE NULL,
	UEDBID            	NUMBER(22,0) NOT NULL,
	UEMODTIME         	DATE NULL,
	UENUMEMPTYREQUIRED	NUMBER(22,0) NULL,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL,
	UEPUBSTAGE        	NUMBER(22,0) NULL,
	UEPUBTIME         	DATE NULL,
	UEATTRIBUTENAME   	VARCHAR2(510) NOT NULL,
	UEBOOLEANVALUE    	CHAR(1) NULL,
	UEDATACOLUMNNAME  	VARCHAR2(510) NULL,
	UEDBIDLVALUE      	VARCHAR2(1000) NULL,
	UEDBIDVALUE       	NUMBER(22,0) NULL,
	UEINTVALUE        	NUMBER(22,0) NULL,
	UETEXTSTORYVALUE  	VARCHAR2(4000) NULL,
	UETEXTVALUE       	VARCHAR2(510) NULL,
	UEUSERDBID        	NUMBER(22,0) NOT NULL 
	);




ALTER TABLE CMSPERSONALIZATIONDATA
	ADD ( CONSTRAINT UE107DCA2B4EF
	PRIMARY KEY (UEDBID,UEPORINSTANCEID )
	NOT DEFERRABLE INITIALLY IMMEDIATE );
ALTER TABLE CMSPERSONALIZATIONDATA
	ADD ( CONSTRAINT UE107DCA2B4F0
	UNIQUE (UEATTRIBUTENAME, UEINTVALUE, UEUSERDBID, UEPORINSTANCEID)
	NOT DEFERRABLE INITIALLY IMMEDIATE );
grant delete on cmspersonalizationdata to portaldba_group;
grant update on cmspersonalizationdata to portaldba_group;
grant insert on cmspersonalizationdata to portaldba_group;
grant select on cmspersonalizationdata to portaldba_group;

CREATE TABLE CMSPHOTOSHOPDATA ( 
	UECHECKEDOUT      	NUMBER(22,0) NULL,
	UECHECKEDOUTTIME  	DATE NULL,
	UEDBID            	NUMBER(22,0) NOT NULL,
	UEMODTIME         	DATE NULL,
	UENUMEMPTYREQUIRED	NUMBER(22,0) NULL,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL,
	UEPUBSTAGE        	NUMBER(22,0) NULL,
	UEPUBTIME         	DATE NULL,
	UEAUTHOR          	VARCHAR2(1020) NULL,
	UEBYTE_COUNT      	NUMBER(22,0) NULL,
	UECOLOR_DEPTH     	NUMBER(22,0) NULL,
	UECOMPRESSION_TYPE	VARCHAR2(1020) NULL,
	UECREATED_BY      	VARCHAR2(1020) NULL,
	UECREATION_DATE   	DATE NULL,
	UEDATE_EXPIRES    	DATE NULL,
	UEDESCRIPTION     	VARCHAR2(1000) NULL,
	UEHEIGHT          	NUMBER(22,0) NULL,
	UEKEYWORDS        	VARCHAR2(1020) NULL,
	UELAST_MODIFIED_BY	VARCHAR2(1020) NULL,
	UEMAJOR_TYPE      	VARCHAR2(1020) NULL,
	UEMINOR_TYPE      	VARCHAR2(1020) NULL,
	UENAME            	VARCHAR2(1020) NULL,
	UEPARENTID        	NUMBER(22,0) NULL,
	UESUBJECT         	VARCHAR2(1020) NULL,
	UETITLE           	VARCHAR2(1020) NULL,
	UEVERCOMMENT      	VARCHAR2(1000) NULL,
	UEWFPROC_ID       	VARCHAR2(510) NULL,
	UEWIDTH           	NUMBER(22,0) NULL,
	UEWORKFLOW_ID     	VARCHAR2(510) NULL 
	);

ALTER TABLE CMSPHOTOSHOPDATA
	ADD ( CONSTRAINT UE107DCA2B535
	PRIMARY KEY (UEDBID,UEPORINSTANCEID )
	NOT DEFERRABLE INITIALLY IMMEDIATE );
grant insert on cmsphotoshopdata to portaldba_group;
grant update on cmsphotoshopdata to portaldba_group;
grant select on cmsphotoshopdata to portaldba_group;
grant delete on cmsphotoshopdata to portaldba_group;


CREATE TABLE CMSPOSTSCRIPTDATA ( 
	UECHECKEDOUT      	NUMBER(22,0) NULL,
	UECHECKEDOUTTIME  	DATE NULL,
	UEDBID            	NUMBER(22,0) NOT NULL,
	UEMODTIME         	DATE NULL,
	UENUMEMPTYREQUIRED	NUMBER(22,0) NULL,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL,
	UEPUBSTAGE        	NUMBER(22,0) NULL,
	UEPUBTIME         	DATE NULL,
	UEAUTHOR          	VARCHAR2(1020) NULL,
	UEBOUNDING_BOX    	VARCHAR2(1020) NULL,
	UEBYTE_COUNT      	NUMBER(22,0) NULL,
	UECREATED_BY      	VARCHAR2(1020) NULL,
	UECREATION_DATE   	DATE NULL,
	UECREATOR         	VARCHAR2(1020) NULL,
	UEDATE_EXPIRES    	DATE NULL,
	UEDESCRIPTION     	VARCHAR2(1000) NULL,
	UEDOCUMENT_DATA   	VARCHAR2(1020) NULL,
	UEHEADER          	VARCHAR2(1020) NULL,
	UEKEYWORDS        	VARCHAR2(1020) NULL,
	UELANGUAGE_LEVEL  	VARCHAR2(1020) NULL,
	UELAST_MODIFIED_BY	VARCHAR2(1020) NULL,
	UEMAJOR_TYPE      	VARCHAR2(1020) NULL,
	UEMINOR_TYPE      	VARCHAR2(1020) NULL,
	UENAME            	VARCHAR2(1020) NULL,
	UEPAGES           	VARCHAR2(1020) NULL,
	UEPARENTID        	NUMBER(22,0) NULL,
	UEPS_CREATION_DATE	VARCHAR2(1020) NULL,
	UEPS_TITLE        	VARCHAR2(1020) NULL,
	UESUBJECT         	VARCHAR2(1020) NULL,
	UETITLE           	VARCHAR2(1020) NULL,
	UEVERCOMMENT      	VARCHAR2(1000) NULL,
	UEWFPROC_ID       	VARCHAR2(510) NULL,
	UEWORKFLOW_ID     	VARCHAR2(510) NULL 
	);

ALTER TABLE CMSPOSTSCRIPTDATA
	ADD ( CONSTRAINT UE107DCA2B53A
	PRIMARY KEY (UEDBID,UEPORINSTANCEID )
	NOT DEFERRABLE INITIALLY IMMEDIATE );
grant insert on cmspostscriptdata to portaldba_group;
grant select on cmspostscriptdata to portaldba_group;
grant delete on cmspostscriptdata to portaldba_group;
grant update on cmspostscriptdata to portaldba_group;


CREATE TABLE CMSQUICKTIMEDATA ( 
	UECHECKEDOUT      	NUMBER(22,0) NULL,
	UECHECKEDOUTTIME  	DATE NULL,
	UEDBID            	NUMBER(22,0) NOT NULL,
	UEMODTIME         	DATE NULL,
	UENUMEMPTYREQUIRED	NUMBER(22,0) NULL,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL,
	UEPUBSTAGE        	NUMBER(22,0) NULL,
	UEPUBTIME         	DATE NULL,
	UEAUTHOR          	VARCHAR2(1020) NULL,
	UEBYTE_COUNT      	NUMBER(22,0) NULL,
	UECHAPTER         	VARCHAR2(1020) NULL,
	UECOPYRIGHTED     	VARCHAR2(1020) NULL,
	UECREATED_BY      	VARCHAR2(1020) NULL,
	UECREATION_DATE   	DATE NULL,
	UEDATE_EXPIRES    	DATE NULL,
	UEDESCRIPTION     	VARCHAR2(1000) NULL,
	UEDIRECTOR        	VARCHAR2(1020) NULL,
	UEDISCLAIMER      	VARCHAR2(1020) NULL,
	UEEDIT_DATE       	DATE NULL,
	UEFRAME_NUMBER    	NUMBER(22,0) NULL,
	UEFRAME_RATE      	NUMBER(22,0) NULL,
	UEFULL_NAME       	VARCHAR2(1000) NULL,
	UEHEIGHT          	NUMBER(22,0) NULL,
	UEHOST_COMPUTER   	VARCHAR2(1020) NULL,
	UEINFORMATION     	VARCHAR2(1000) NULL,
	UEKEYWORDS        	VARCHAR2(1020) NULL,
	UELAST_MODIFIED_BY	VARCHAR2(1020) NULL,
	UELENGTH          	NUMBER(38,10) NULL,
	UEMAJOR_TYPE      	VARCHAR2(1020) NULL,
	UEMAKE            	VARCHAR2(1020) NULL,
	UEMINOR_TYPE      	VARCHAR2(1020) NULL,
	UEMODEL           	VARCHAR2(1020) NULL,
	UENAME            	VARCHAR2(1020) NULL,
	UEORIGINAL_FORMAT 	VARCHAR2(1020) NULL,
	UEORIGINAL_SOURCE 	VARCHAR2(1020) NULL,
	UEPARENTID        	NUMBER(22,0) NULL,
	UEPERFORMERS      	VARCHAR2(1020) NULL,
	UEPLAYBACK_REQ    	VARCHAR2(1000) NULL,
	UEPRODUCER        	VARCHAR2(1020) NULL,
	UEPRODUCT         	VARCHAR2(1020) NULL,
	UEQT_AUTHOR       	VARCHAR2(1020) NULL,
	UEQT_CREATION_DATE	DATE NULL,
	UEQT_DESCRIPTION  	VARCHAR2(1000) NULL,
	UEQT_KEYWORDS     	VARCHAR2(1020) NULL,
	UEQT_TITLE        	VARCHAR2(1020) NULL,
	UESOFTWARE        	VARCHAR2(1020) NULL,
	UESUBJECT         	VARCHAR2(1020) NULL,
	UETITLE           	VARCHAR2(1020) NULL,
	UEVERCOMMENT      	VARCHAR2(1000) NULL,
	UEVOLUME          	NUMBER(22,0) NULL,
	UEWARNING         	VARCHAR2(1000) NULL,
	UEWFPROC_ID       	VARCHAR2(510) NULL,
	UEWIDTH           	NUMBER(22,0) NULL,
	UEWORKFLOW_ID     	VARCHAR2(510) NULL,
	UEWRITER          	VARCHAR2(1020) NULL 
	);

ALTER TABLE CMSQUICKTIMEDATA
	ADD ( CONSTRAINT UE107DCA2B53F
	PRIMARY KEY (UEDBID,UEPORINSTANCEID )
	NOT DEFERRABLE INITIALLY IMMEDIATE );
grant insert on cmsquicktimedata to portaldba_group;
grant delete on cmsquicktimedata to portaldba_group;
grant update on cmsquicktimedata to portaldba_group;
grant select on cmsquicktimedata to portaldba_group;



CREATE TABLE CMSREALAUDIODATA ( 
	UECHECKEDOUT      	NUMBER(22,0) NULL,
	UECHECKEDOUTTIME  	DATE NULL,
	UEDBID            	NUMBER(22,0) NOT NULL,
	UEMODTIME         	DATE NULL,
	UENUMEMPTYREQUIRED	NUMBER(22,0) NULL,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL,
	UEPUBSTAGE        	NUMBER(22,0) NULL,
	UEPUBTIME         	DATE NULL,
	UEAUTHOR          	VARCHAR2(1020) NULL,
	UEBYTE_COUNT      	NUMBER(22,0) NULL,
	UECOPYRIGHTED     	VARCHAR2(1020) NULL,
	UECREATED_BY      	VARCHAR2(1020) NULL,
	UECREATION_DATE   	DATE NULL,
	UEDATE_EXPIRES    	DATE NULL,
	UEDESCRIPTION     	VARCHAR2(1000) NULL,
	UEKEYWORDS        	VARCHAR2(1020) NULL,
	UELAST_MODIFIED_BY	VARCHAR2(1020) NULL,
	UEMAJOR_TYPE      	VARCHAR2(1020) NULL,
	UEMINOR_TYPE      	VARCHAR2(1020) NULL,
	UENAME            	VARCHAR2(1020) NULL,
	UEPARENTID        	NUMBER(22,0) NULL,
	UERA_AUTHOR       	VARCHAR2(1020) NULL,
	UERA_TITLE        	VARCHAR2(1020) NULL,
	UESUBJECT         	VARCHAR2(1020) NULL,
	UETITLE           	VARCHAR2(1020) NULL,
	UEVERCOMMENT      	VARCHAR2(1000) NULL,
	UEWFPROC_ID       	VARCHAR2(510) NULL,
	UEWORKFLOW_ID     	VARCHAR2(510) NULL 
	);

ALTER TABLE CMSREALAUDIODATA
	ADD ( CONSTRAINT UE107DCA2B544
	PRIMARY KEY (UEDBID,UEPORINSTANCEID )
	NOT DEFERRABLE INITIALLY IMMEDIATE );
grant delete on cmsrealaudiodata to portaldba_group;
grant insert on cmsrealaudiodata to portaldba_group;
grant update on cmsrealaudiodata to portaldba_group;
grant select on cmsrealaudiodata to portaldba_group;


CREATE TABLE CMSREALMEDIADATA ( 
	UECHECKEDOUT      	NUMBER(22,0) NULL,
	UECHECKEDOUTTIME  	DATE NULL,
	UEDBID            	NUMBER(22,0) NOT NULL,
	UEMODTIME         	DATE NULL,
	UENUMEMPTYREQUIRED	NUMBER(22,0) NULL,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL,
	UEPUBSTAGE        	NUMBER(22,0) NULL,
	UEPUBTIME         	DATE NULL,
	UEALLOW_RECORDING 	CHAR(1) NULL,
	UEAUDIO_FORMAT    	VARCHAR2(1020) NULL,
	UEAUTHOR          	VARCHAR2(1020) NULL,
	UEAVG_BITRATE     	NUMBER(22,0) NULL,
	UEAVG_PACKET_SIZE 	NUMBER(22,0) NULL,
	UEBYTE_COUNT      	NUMBER(22,0) NULL,
	UECOPYRIGHTED     	VARCHAR2(1020) NULL,
	UECREATED_BY      	VARCHAR2(1020) NULL,
	UECREATION_DATE   	DATE NULL,
	UEDATA_OFFSET     	NUMBER(22,0) NULL,
	UEDATE_EXPIRES    	DATE NULL,
	UEDESCRIPTION     	VARCHAR2(1000) NULL,
	UEFLAGS           	NUMBER(22,0) NULL,
	UEGENERATED_BY    	VARCHAR2(1020) NULL,
	UEHAS_AUDIO       	CHAR(1) NULL,
	UEHAS_EVENT       	CHAR(1) NULL,
	UEHAS_IMAGE_MAP   	CHAR(1) NULL,
	UEHAS_VIDEO       	CHAR(1) NULL,
	UEHEIGHT          	NUMBER(22,0) NULL,
	UEINDEX_OFFSET    	NUMBER(22,0) NULL,
	UEKEYWORDS        	VARCHAR2(1020) NULL,
	UELAST_MODIFIED_BY	VARCHAR2(1020) NULL,
	UELENGTH          	NUMBER(38,10) NULL,
	UEMAJOR_TYPE      	VARCHAR2(1020) NULL,
	UEMAX_BITRATE     	NUMBER(22,0) NULL,
	UEMAX_PACKET_SIZE 	NUMBER(22,0) NULL,
	UEMINOR_TYPE      	VARCHAR2(1020) NULL,
	UEMOBILE_PLAYBACK 	CHAR(1) NULL,
	UEMOD_DATE        	DATE NULL,
	UENAME            	VARCHAR2(1020) NULL,
	UENUM_OF_STREAMS  	NUMBER(22,0) NULL,
	UENUM_PACKETS     	NUMBER(22,0) NULL,
	UEOBJECT_VERSION  	VARCHAR2(1020) NULL,
	UEPARENTID        	NUMBER(22,0) NULL,
	UEPERFECT_PLAY    	CHAR(1) NULL,
	UEPREROLL         	NUMBER(22,0) NULL,
	UERM_AUTHOR       	VARCHAR2(1020) NULL,
	UERM_CREATION_DATE	DATE NULL,
	UERM_DESCRIPTION  	VARCHAR2(1000) NULL,
	UERM_SUBJECT      	VARCHAR2(1020) NULL,
	UERM_TITLE        	VARCHAR2(1020) NULL,
	UESUBJECT         	VARCHAR2(1020) NULL,
	UETARGET_AUDIENCES	VARCHAR2(1020) NULL,
	UETITLE           	VARCHAR2(1020) NULL,
	UEVERCOMMENT      	VARCHAR2(1000) NULL,
	UEVIDEO_QUALITY   	VARCHAR2(1020) NULL,
	UEWFPROC_ID       	VARCHAR2(510) NULL,
	UEWIDTH           	NUMBER(22,0) NULL,
	UEWORKFLOW_ID     	VARCHAR2(510) NULL 
	);

ALTER TABLE CMSREALMEDIADATA
	ADD ( CONSTRAINT UE107DCA2B549
	PRIMARY KEY (UEDBID,UEPORINSTANCEID )
	NOT DEFERRABLE INITIALLY IMMEDIATE );
grant insert on cmsrealmediadata to portaldba_group;
grant delete on cmsrealmediadata to portaldba_group;
grant update on cmsrealmediadata to portaldba_group;
grant select on cmsrealmediadata to portaldba_group;


CREATE TABLE CMSSHOCKWAVEDATA ( 
	UECHECKEDOUT      	NUMBER(22,0) NULL,
	UECHECKEDOUTTIME  	DATE NULL,
	UEDBID            	NUMBER(22,0) NOT NULL,
	UEMODTIME         	DATE NULL,
	UENUMEMPTYREQUIRED	NUMBER(22,0) NULL,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL,
	UEPUBSTAGE        	NUMBER(22,0) NULL,
	UEPUBTIME         	DATE NULL,
	UEAUTHOR          	VARCHAR2(1020) NULL,
	UEBASE            	VARCHAR2(1020) NULL,
	UEBGCOLOR         	VARCHAR2(1020) NULL,
	UEBYTE_COUNT      	NUMBER(22,0) NULL,
	UECREATED_BY      	VARCHAR2(1020) NULL,
	UECREATION_DATE   	DATE NULL,
	UEDATE_EXPIRES    	DATE NULL,
	UEDESCRIPTION     	VARCHAR2(1000) NULL,
	UEFRAME_NUMBER    	NUMBER(22,0) NULL,
	UEFRAME_RATE      	NUMBER(22,0) NULL,
	UEHEIGHT          	NUMBER(22,0) NULL,
	UEKEYWORDS        	VARCHAR2(1020) NULL,
	UELAST_MODIFIED_BY	VARCHAR2(1020) NULL,
	UELOOP            	CHAR(1) NULL,
	UEMAJOR_TYPE      	VARCHAR2(1020) NULL,
	UEMENU            	CHAR(1) NULL,
	UEMINOR_TYPE      	VARCHAR2(1020) NULL,
	UENAME            	VARCHAR2(1020) NULL,
	UEPARENTID        	NUMBER(22,0) NULL,
	UEQUALITY         	VARCHAR2(1020) NULL,
	UESALIGN          	VARCHAR2(1020) NULL,
	UESCALE           	VARCHAR2(1020) NULL,
	UESUBJECT         	VARCHAR2(1020) NULL,
	UESWF_VERSION     	NUMBER(22,0) NULL,
	UETITLE           	VARCHAR2(1020) NULL,
	UEVERCOMMENT      	VARCHAR2(1000) NULL,
	UEWFPROC_ID       	VARCHAR2(510) NULL,
	UEWIDTH           	NUMBER(22,0) NULL,
	UEWORKFLOW_ID     	VARCHAR2(510) NULL 
	);

ALTER TABLE CMSSHOCKWAVEDATA
	ADD ( CONSTRAINT UE107DCA2B558
	PRIMARY KEY (UEDBID,UEPORINSTANCEID )
	NOT DEFERRABLE INITIALLY IMMEDIATE );
grant insert on cmsshockwavedata to portaldba_group;
grant delete on cmsshockwavedata to portaldba_group;
grant update on cmsshockwavedata to portaldba_group;
grant select on cmsshockwavedata to portaldba_group;


CREATE TABLE CMSSTDTRIGGERDATA ( 
	UECHECKEDOUT      	NUMBER(22,0) NULL,
	UECHECKEDOUTTIME  	DATE NULL,
	UEDBID            	NUMBER(22,0) NOT NULL,
	UEMODTIME         	DATE NULL,
	UENUMEMPTYREQUIRED	NUMBER(22,0) NULL,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL,
	UEPUBSTAGE        	NUMBER(22,0) NULL,
	UEPUBTIME         	DATE NULL,
	UEDESC            	VARCHAR2(1000) NULL,
	UEFOLDERPATH      	VARCHAR2(510) NULL,
	UEMAJORTYPE       	VARCHAR2(510) NULL,
	UEMINORTYPE       	VARCHAR2(510) NULL,
	UENAME            	VARCHAR2(1020) NULL,
	UEOP              	VARCHAR2(510) NULL,
	UEWORKFLOW_ID     	VARCHAR2(510) NULL 
	);

ALTER TABLE CMSSTDTRIGGERDATA
	ADD ( CONSTRAINT UE107DCA2B508
	PRIMARY KEY (UEDBID,UEPORINSTANCEID )
	NOT DEFERRABLE INITIALLY IMMEDIATE );
grant delete on cmsstdtriggerdata to portaldba_group;
grant update on cmsstdtriggerdata to portaldba_group;
grant select on cmsstdtriggerdata to portaldba_group;
grant insert on cmsstdtriggerdata to portaldba_group;


CREATE TABLE CMSURLDATA ( 
	UECHECKEDOUT      	NUMBER(22,0) NULL,
	UECHECKEDOUTTIME  	DATE NULL,
	UEDBID            	NUMBER(22,0) NOT NULL,
	UEMODTIME         	DATE NULL,
	UENUMEMPTYREQUIRED	NUMBER(22,0) NULL,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL,
	UEPUBSTAGE        	NUMBER(22,0) NULL,
	UEPUBTIME         	DATE NULL,
	UEAUTHOR          	VARCHAR2(1020) NULL,
	UEBYTE_COUNT      	NUMBER(22,0) NULL,
	UECREATED_BY      	VARCHAR2(1020) NULL,
	UECREATION_DATE   	DATE NULL,
	UEDATE_EXPIRES    	DATE NULL,
	UEDESCRIPTION     	VARCHAR2(1000) NULL,
	UEKEYWORDS        	VARCHAR2(1020) NULL,
	UELAST_MODIFIED_BY	VARCHAR2(1020) NULL,
	UEMAJOR_TYPE      	VARCHAR2(1020) NULL,
	UEMINOR_TYPE      	VARCHAR2(1020) NULL,
	UENAME            	VARCHAR2(1020) NULL,
	UEPARENTID        	NUMBER(22,0) NULL,
	UESUBJECT         	VARCHAR2(1020) NULL,
	UETITLE           	VARCHAR2(1020) NULL,
	UEURLFIELD        	VARCHAR2(4000) NULL,
	UEVERCOMMENT      	VARCHAR2(1000) NULL,
	UEWFPROC_ID       	VARCHAR2(510) NULL,
	UEWORKFLOW_ID     	VARCHAR2(510) NULL 
	);

ALTER TABLE CMSURLDATA
	ADD ( CONSTRAINT UE107DCA2B4FD
	PRIMARY KEY (UEDBID,UEPORINSTANCEID )
	NOT DEFERRABLE INITIALLY IMMEDIATE );
grant select on cmsurldata to portaldba_group;
grant update on cmsurldata to portaldba_group;
grant insert on cmsurldata to portaldba_group;
grant delete on cmsurldata to portaldba_group;


CREATE TABLE CMSUSERDATA ( 
	UECHECKEDOUT      	NUMBER(22,0) NULL,
	UECHECKEDOUTTIME  	DATE NULL,
	UEDBID            	NUMBER(22,0) NOT NULL,
	UEMODTIME         	DATE NULL,
	UENUMEMPTYREQUIRED	NUMBER(22,0) NULL,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL,
	UEPUBSTAGE        	NUMBER(22,0) NULL,
	UEPUBTIME         	DATE NULL,
	UEBROWSESCREENSIZE	NUMBER(22,0) NULL,
	UECANASSIGNTODO   	CHAR(1) NULL,
	UEEMAIL           	VARCHAR2(510) NULL,
	UEFAX             	VARCHAR2(510) NULL,
	UEFIRSTNAME       	VARCHAR2(510) NULL,
	UEFONTSIZE        	NUMBER(22,0) NULL,
	UEINCONTEXTEDIT   	CHAR(1) NULL,
	UELASTNAME        	VARCHAR2(510) NULL,
	UELDAPUSER        	CHAR(1) NULL,
	UELONGCHOOSETHRESH	NUMBER(22,0) NULL,
	UEPASSWORD        	VARCHAR2(8) NULL,
	UEPHONE           	VARCHAR2(510) NULL,
	UEUSEAPPLETS      	CHAR(1) NULL,
	UEUSERNAME        	VARCHAR2(1020) NOT NULL 
	);

ALTER TABLE CMSUSERDATA
	ADD ( CONSTRAINT UE107DCA2B4EA
	PRIMARY KEY (UEDBID,UEPORINSTANCEID )
	NOT DEFERRABLE INITIALLY IMMEDIATE );

ALTER TABLE CMSUSERDATA
	ADD ( CONSTRAINT UE107d798c7de
	UNIQUE (UEUSERNAME,UEPORINSTANCEID )
	NOT DEFERRABLE INITIALLY IMMEDIATE );

grant select on cmsuserdata to portaldba_group;
grant update on cmsuserdata to portaldba_group;
grant insert on cmsuserdata to portaldba_group;
grant delete on cmsuserdata to portaldba_group;



CREATE TABLE CMSWAVDATA ( 
	UECHECKEDOUT      	NUMBER(22,0) NULL,
	UECHECKEDOUTTIME  	DATE NULL,
	UEDBID            	NUMBER(22,0) NOT NULL,
	UEMODTIME         	DATE NULL,
	UENUMEMPTYREQUIRED	NUMBER(22,0) NULL,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL,
	UEPUBSTAGE        	NUMBER(22,0) NULL,
	UEPUBTIME         	DATE NULL,
	UEAUTHOR          	VARCHAR2(1020) NULL,
	UEBITRATE         	NUMBER(38,10) NULL,
	UEBLOCK_ALIGN     	NUMBER(22,0) NULL,
	UEBYTE_COUNT      	NUMBER(22,0) NULL,
	UECHANNEL_MODE    	VARCHAR2(1020) NULL,
	UECOPYRIGHTED     	VARCHAR2(1020) NULL,
	UECREATED_BY      	VARCHAR2(1020) NULL,
	UECREATION_DATE   	DATE NULL,
	UEDATE_EXPIRES    	DATE NULL,
	UEDESCRIPTION     	VARCHAR2(1000) NULL,
	UEFORMAT          	VARCHAR2(1020) NULL,
	UEKEYWORDS        	VARCHAR2(1020) NULL,
	UELAST_MODIFIED_BY	VARCHAR2(1020) NULL,
	UELENGTH          	NUMBER(38,10) NULL,
	UEMAJOR_TYPE      	VARCHAR2(1020) NULL,
	UEMINOR_TYPE      	VARCHAR2(1020) NULL,
	UENAME            	VARCHAR2(1020) NULL,
	UEPARENTID        	NUMBER(22,0) NULL,
	UESAMPLE_RATE     	NUMBER(38,10) NULL,
	UESAMPLE_SIZE     	NUMBER(22,0) NULL,
	UESUBJECT         	VARCHAR2(1020) NULL,
	UETITLE           	VARCHAR2(1020) NULL,
	UEVERCOMMENT      	VARCHAR2(1000) NULL,
	UEWAV_AUTHOR      	VARCHAR2(1020) NULL,
	UEWAV_DESCRIPTION 	VARCHAR2(1000) NULL,
	UEWAV_KEYWORDS    	VARCHAR2(1020) NULL,
	UEWAV_SUBJECT     	VARCHAR2(1020) NULL,
	UEWAV_TITLE       	VARCHAR2(1020) NULL,
	UEWFPROC_ID       	VARCHAR2(510) NULL,
	UEWORKFLOW_ID     	VARCHAR2(510) NULL 
	);

ALTER TABLE CMSWAVDATA
	ADD ( CONSTRAINT UE107DCA2B54E
	PRIMARY KEY (UEDBID,UEPORINSTANCEID )
	NOT DEFERRABLE INITIALLY IMMEDIATE );

grant insert on cmswavdata to portaldba_group;
grant delete on cmswavdata to portaldba_group;
grant update on cmswavdata to portaldba_group;
grant select on cmswavdata to portaldba_group;


CREATE TABLE CMSWFACLDATA ( 
	UECHECKEDOUT      	NUMBER(22,0) NULL,
	UECHECKEDOUTTIME  	DATE NULL,
	UEDBID            	NUMBER(22,0) NOT NULL,
	UEMODTIME         	DATE NULL,
	UENUMEMPTYREQUIRED	NUMBER(22,0) NULL,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL,
	UEPUBSTAGE        	NUMBER(22,0) NULL,
	UEPUBTIME         	DATE NULL,
	UEGROUP           	NUMBER(22,0) NULL,
	UEPERMISSION      	NUMBER(22,0) NULL,
	UEPROCESSDEFID    	VARCHAR2(510) NULL,
	UEUSER            	NUMBER(22,0) NULL 
	);

ALTER TABLE CMSWFACLDATA
	ADD ( CONSTRAINT UE107DCA2B506
	PRIMARY KEY (UEDBID,UEPORINSTANCEID )
	NOT DEFERRABLE INITIALLY IMMEDIATE );
grant insert on cmswfacldata to portaldba_group;
grant delete on cmswfacldata to portaldba_group;
grant update on cmswfacldata to portaldba_group;
grant select on cmswfacldata to portaldba_group;


CREATE TABLE CMSWFACTIVITYDATA ( 
	UECHECKEDOUT      	NUMBER(22,0) NULL,
	UECHECKEDOUTTIME  	DATE NULL,
	UEDBID            	NUMBER(22,0) NOT NULL,
	UEMODTIME         	DATE NULL,
	UENUMEMPTYREQUIRED	NUMBER(22,0) NULL,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL,
	UEPUBSTAGE        	NUMBER(22,0) NULL,
	UEPUBTIME         	DATE NULL,
	UEACTDEF          	NUMBER(22,0) NULL,
	UEACTION          	VARCHAR2(510) NULL,
	UEATTR            	VARCHAR2(4000) NULL,
	UEDESC            	VARCHAR2(1000) NULL,
	UEGROUPS          	VARCHAR2(4000) NULL,
	UENAME            	VARCHAR2(1020) NULL,
	UEORDER           	NUMBER(22,0) NULL,
	UESTATE           	NUMBER(22,0) NULL,
	UESUBJECT         	VARCHAR2(1020) NULL,
	UEUSERS           	VARCHAR2(4000) NULL,
	UEWORKITEM        	NUMBER(22,0) NULL 
	);

ALTER TABLE CMSWFACTIVITYDATA
	ADD ( CONSTRAINT UE107DCA2B503
	PRIMARY KEY (UEDBID,UEPORINSTANCEID )
	NOT DEFERRABLE INITIALLY IMMEDIATE );
grant insert on cmswfactivitydata to portaldba_group;
grant delete on cmswfactivitydata to portaldba_group;
grant update on cmswfactivitydata to portaldba_group;
grant select on cmswfactivitydata to portaldba_group;


CREATE TABLE CMSWFACTIVITYDEFDATA ( 
	UECHECKEDOUT      	NUMBER(22,0) NULL,
	UECHECKEDOUTTIME  	DATE NULL,
	UEDBID            	NUMBER(22,0) NOT NULL,
	UEMODTIME         	DATE NULL,
	UENUMEMPTYREQUIRED	NUMBER(22,0) NULL,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL,
	UEPUBSTAGE        	NUMBER(22,0) NULL,
	UEPUBTIME         	DATE NULL,
	UEACTION          	VARCHAR2(510) NULL,
	UEATTR            	VARCHAR2(4000) NULL,
	UEDESC            	VARCHAR2(1000) NULL,
	UEGROUPS          	VARCHAR2(4000) NULL,
	UENAME            	VARCHAR2(1020) NULL,
	UEORDER           	NUMBER(22,0) NULL,
	UESUBJECT         	VARCHAR2(1020) NULL,
	UEUSERS           	VARCHAR2(4000) NULL 
	);


ALTER TABLE CMSWFACTIVITYDEFDATA
	ADD ( CONSTRAINT UE107DCA2B501
	PRIMARY KEY (UEDBID,UEPORINSTANCEID )
	NOT DEFERRABLE INITIALLY IMMEDIATE );
grant delete on cmswfactivitydefdata to portaldba_group;
grant select on cmswfactivitydefdata to portaldba_group;
grant insert on cmswfactivitydefdata to portaldba_group;
grant update on cmswfactivitydefdata to portaldba_group;



CREATE TABLE CMSWFATTRIBUTEDATA ( 
	UECHECKEDOUT      	NUMBER(22,0) NULL,
	UECHECKEDOUTTIME  	DATE NULL,
	UEDBID            	NUMBER(22,0) NOT NULL,
	UEMODTIME         	DATE NULL,
	UENUMEMPTYREQUIRED	NUMBER(22,0) NULL,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL,
	UEPUBSTAGE        	NUMBER(22,0) NULL,
	UEPUBTIME         	DATE NULL,
	UENAME            	VARCHAR2(1020) NULL,
	UETYPE            	VARCHAR2(510) NULL,
	UEVALUE           	VARCHAR2(1020) NULL 
	);

ALTER TABLE CMSWFATTRIBUTEDATA
	ADD ( CONSTRAINT UE107DCA2B500
	PRIMARY KEY (UEDBID,UEPORINSTANCEID )
	NOT DEFERRABLE INITIALLY IMMEDIATE );
grant insert on cmswfattributedata to portaldba_group;
grant delete on cmswfattributedata to portaldba_group;
grant update on cmswfattributedata to portaldba_group;
grant select on cmswfattributedata to portaldba_group;


CREATE TABLE CMSWFPROCESSDATA ( 
	UECHECKEDOUT      	NUMBER(22,0) NULL,
	UECHECKEDOUTTIME  	DATE NULL,
	UEDBID            	NUMBER(22,0) NOT NULL,
	UEMODTIME         	DATE NULL,
	UENUMEMPTYREQUIRED	NUMBER(22,0) NULL,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL,
	UEPUBSTAGE        	NUMBER(22,0) NULL,
	UEPUBTIME         	DATE NULL,
	UEACTV            	VARCHAR2(4000) NULL,
	UEATTR            	VARCHAR2(4000) NULL,
	UEDESC            	VARCHAR2(1000) NULL,
	UENAME            	VARCHAR2(1020) NULL,
	UEOWNER           	NUMBER(22,0) NULL,
	UEPROCDEF         	VARCHAR2(510) NULL,
	UESTATE           	CHAR(1) NULL,
	UESUBJECT         	VARCHAR2(1020) NULL 
	);

ALTER TABLE CMSWFPROCESSDATA
	ADD ( CONSTRAINT UE107DCA2B504
	PRIMARY KEY (UEDBID,UEPORINSTANCEID )
	NOT DEFERRABLE INITIALLY IMMEDIATE );

grant insert on cmswfprocessdata to portaldba_group;
grant delete on cmswfprocessdata to portaldba_group;
grant update on cmswfprocessdata to portaldba_group;
grant select on cmswfprocessdata to portaldba_group;


CREATE TABLE CMSWFPROCESSDEFDATA ( 
	UECHECKEDOUT      	NUMBER(22,0) NULL,
	UECHECKEDOUTTIME  	DATE NULL,
	UEDBID            	NUMBER(22,0) NOT NULL,
	UEMODTIME         	DATE NULL,
	UENUMEMPTYREQUIRED	NUMBER(22,0) NULL,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL,
	UEPUBSTAGE        	NUMBER(22,0) NULL,
	UEPUBTIME         	DATE NULL,
	UEACTV            	VARCHAR2(4000) NULL,
	UEATTR            	VARCHAR2(4000) NULL,
	UEDESC            	VARCHAR2(1000) NULL,
	UENAME            	VARCHAR2(1020) NULL,
	UESTATE           	CHAR(1) NULL,
	UESUBJECT         	VARCHAR2(1020) NULL 
	);

ALTER TABLE CMSWFPROCESSDEFDATA
	ADD ( CONSTRAINT UE107DCA2B502
	PRIMARY KEY (UEDBID,UEPORINSTANCEID )
	NOT DEFERRABLE INITIALLY IMMEDIATE );
grant insert on cmswfprocessdefdata to portaldba_group;
grant delete on cmswfprocessdefdata to portaldba_group;
grant update on cmswfprocessdefdata to portaldba_group;
grant select on cmswfprocessdefdata to portaldba_group;


CREATE TABLE CMSWFWORKITEMDATA ( 
	UECHECKEDOUT      	NUMBER(22,0) NULL,
	UECHECKEDOUTTIME  	DATE NULL,
	UEDBID            	NUMBER(22,0) NOT NULL,
	UEMODTIME         	DATE NULL,
	UENUMEMPTYREQUIRED	NUMBER(22,0) NULL,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL,
	UEPUBSTAGE        	NUMBER(22,0) NULL,
	UEPUBTIME         	DATE NULL,
	UEASSIGNED        	CHAR(1) NULL,
	UEMSG             	VARCHAR2(1020) NULL,
	UESDATE           	DATE NULL,
	UEUSERID          	NUMBER(22,0) NULL 
	);

ALTER TABLE CMSWFWORKITEMDATA
	ADD ( CONSTRAINT UE107DCA2B505
	PRIMARY KEY (UEDBID,UEPORINSTANCEID )
	NOT DEFERRABLE INITIALLY IMMEDIATE );
grant delete on cmswfworkitemdata to portaldba_group;
grant insert on cmswfworkitemdata to portaldba_group;
grant update on cmswfworkitemdata to portaldba_group;
grant select on cmswfworkitemdata to portaldba_group;


CREATE TABLE CMSWINDOWSMEDIADATA ( 
	UECHECKEDOUT      	NUMBER(22,0) NULL,
	UECHECKEDOUTTIME  	DATE NULL,
	UEDBID            	NUMBER(22,0) NOT NULL,
	UEMODTIME         	DATE NULL,
	UENUMEMPTYREQUIRED	NUMBER(22,0) NULL,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL,
	UEPUBSTAGE        	NUMBER(22,0) NULL,
	UEPUBTIME         	DATE NULL,
	UEAUTHOR          	VARCHAR2(1020) NULL,
	UEBITRATE         	NUMBER(38,10) NULL,
	UEBROADCAST       	CHAR(1) NULL,
	UEBYTE_COUNT      	NUMBER(22,0) NULL,
	UECOPYRIGHTED     	VARCHAR2(1020) NULL,
	UECREATED_BY      	VARCHAR2(1020) NULL,
	UECREATION_DATE   	DATE NULL,
	UECURRENT_BITRATE 	NUMBER(38,10) NULL,
	UEDATE_EXPIRES    	DATE NULL,
	UEDESCRIPTION     	VARCHAR2(1000) NULL,
	UEHAS_AUDIO       	CHAR(1) NULL,
	UEHAS_EVENT       	CHAR(1) NULL,
	UEHAS_IMAGE       	CHAR(1) NULL,
	UEHAS_VIDEO       	CHAR(1) NULL,
	UEIS_PROTECTED    	CHAR(1) NULL,
	UEIS_TRUSTED      	CHAR(1) NULL,
	UEKEYWORDS        	VARCHAR2(1020) NULL,
	UELAST_MODIFIED_BY	VARCHAR2(1020) NULL,
	UELENGTH          	NUMBER(38,10) NULL,
	UEMAJOR_TYPE      	VARCHAR2(1020) NULL,
	UEMINOR_TYPE      	VARCHAR2(1020) NULL,
	UENAME            	VARCHAR2(1020) NULL,
	UEOPTIMAL_BITRATE 	NUMBER(38,10) NULL,
	UEPARENTID        	NUMBER(22,0) NULL,
	UERATING          	VARCHAR2(1020) NULL,
	UESEEKABLE        	CHAR(1) NULL,
	UESIGNATURE_NAME  	VARCHAR2(1020) NULL,
	UESTRIDABLE       	CHAR(1) NULL,
	UESUBJECT         	VARCHAR2(1020) NULL,
	UETITLE           	VARCHAR2(1020) NULL,
	UEVERCOMMENT      	VARCHAR2(1000) NULL,
	UEWFPROC_ID       	VARCHAR2(510) NULL,
	UEWM_AUTHOR       	VARCHAR2(1020) NULL,
	UEWM_DESCRIPTION  	VARCHAR2(1000) NULL,
	UEWM_TITLE        	VARCHAR2(1020) NULL,
	UEWORKFLOW_ID     	VARCHAR2(510) NULL 
	);

ALTER TABLE CMSWINDOWSMEDIADATA
	ADD ( CONSTRAINT UE107DCA2B553
	PRIMARY KEY (UEDBID,UEPORINSTANCEID )
	NOT DEFERRABLE INITIALLY IMMEDIATE );
grant insert on cmswindowsmediadata to portaldba_group;
grant delete on cmswindowsmediadata to portaldba_group;
grant update on cmswindowsmediadata to portaldba_group;
grant select on cmswindowsmediadata to portaldba_group;


CREATE TABLE CMSWSSTORAGEDATA ( 
	UECHECKEDOUT      	NUMBER(22,0) NULL,
	UECHECKEDOUTTIME  	DATE NULL,
	UEDBID            	NUMBER(22,0) NOT NULL,
	UEMODTIME         	DATE NULL,
	UENUMEMPTYREQUIRED	NUMBER(22,0) NULL,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL,
	UEPUBSTAGE        	NUMBER(22,0) NULL,
	UEPUBTIME         	DATE NULL,
	UEASSET_DATE      	VARCHAR2(1020) NULL,
	UEASSET_NAME      	VARCHAR2(1020) NULL,
	UEASSET_PATH      	VARCHAR2(1020) NULL,
	UEASSET_TITLE     	VARCHAR2(1020) NULL,
	UEITEM            	VARCHAR2(510) NULL,
	UEPROC            	VARCHAR2(510) NULL 
	);

ALTER TABLE CMSWSSTORAGEDATA
	ADD ( CONSTRAINT UE107DCA2B507
	PRIMARY KEY (UEDBID,UEPORINSTANCEID )
	NOT DEFERRABLE INITIALLY IMMEDIATE );
grant insert on cmswsstoragedata to portaldba_group;
grant delete on cmswsstoragedata to portaldba_group;
grant update on cmswsstoragedata to portaldba_group;
grant select on cmswsstoragedata to portaldba_group;


CREATE TABLE CMSACL10010DATA ( 
	UECHECKEDOUT      	NUMBER(22,0) NULL,
	UECHECKEDOUTTIME  	DATE NULL,
	UEDBID            	NUMBER(22,0) NOT NULL,
	UEMODTIME         	DATE NULL,
	UENUMEMPTYREQUIRED	NUMBER(22,0) NULL,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL,
	UEPUBSTAGE        	NUMBER(22,0) NULL,
	UEPUBTIME         	DATE NULL,
	UEGROUP           	NUMBER(22,0) NULL,
	UEPERMISSION      	NUMBER(22,0) NULL,
	UERESOURCEID      	NUMBER(22,0) NULL,
	UEUSER            	NUMBER(22,0) NULL 
	);

ALTER TABLE CMSACL10010DATA
	ADD ( CONSTRAINT UE107DCA2B4FA
	PRIMARY KEY (UEDBID,UEPORINSTANCEID )
	NOT DEFERRABLE INITIALLY IMMEDIATE );
grant update on cmsacl10010data to portaldba_group;
grant select on cmsacl10010data to portaldba_group;
grant insert on cmsacl10010data to portaldba_group;
grant delete on cmsacl10010data to portaldba_group;


CREATE TABLE CMSACL10046DATA ( 
	UECHECKEDOUT      	NUMBER(22,0) NULL,
	UECHECKEDOUTTIME  	DATE NULL,
	UEDBID            	NUMBER(22,0) NOT NULL,
	UEMODTIME         	DATE NULL,
	UENUMEMPTYREQUIRED	NUMBER(22,0) NULL,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL,
	UEPUBSTAGE        	NUMBER(22,0) NULL,
	UEPUBTIME         	DATE NULL,
	UEGROUP           	NUMBER(22,0) NULL,
	UEPERMISSION      	NUMBER(22,0) NULL,
	UERESOURCEID      	NUMBER(22,0) NULL,
	UEUSER            	NUMBER(22,0) NULL 
	);

ALTER TABLE CMSACL10046DATA
	ADD ( CONSTRAINT UE107DCA2B4FE
	PRIMARY KEY (UEDBID,UEPORINSTANCEID )
	NOT DEFERRABLE INITIALLY IMMEDIATE );
grant select on cmsacl10046data to portaldba_group;
grant insert on cmsacl10046data to portaldba_group;
grant delete on cmsacl10046data to portaldba_group;
grant update on cmsacl10046data to portaldba_group;



CREATE TABLE CMSACL10074DATA ( 
	UECHECKEDOUT      	NUMBER(22,0) NULL,
	UECHECKEDOUTTIME  	DATE NULL,
	UEDBID            	NUMBER(22,0) NOT NULL,
	UEMODTIME         	DATE NULL,
	UENUMEMPTYREQUIRED	NUMBER(22,0) NULL,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL,
	UEPUBSTAGE        	NUMBER(22,0) NULL,
	UEPUBTIME         	DATE NULL,
	UEGROUP           	NUMBER(22,0) NULL,
	UEPERMISSION      	NUMBER(22,0) NULL,
	UERESOURCEID      	NUMBER(22,0) NULL,
	UEUSER            	NUMBER(22,0) NULL 
	);

ALTER TABLE CMSACL10074DATA
	ADD ( CONSTRAINT UE107DCA2B50B
	PRIMARY KEY (UEDBID,UEPORINSTANCEID )
	NOT DEFERRABLE INITIALLY IMMEDIATE );
grant insert on cmsacl10074data to portaldba_group;
grant delete on cmsacl10074data to portaldba_group;
grant update on cmsacl10074data to portaldba_group;
grant select on cmsacl10074data to portaldba_group;



CREATE TABLE CMSACL10085DATA ( 
	UECHECKEDOUT      	NUMBER(22,0) NULL,
	UECHECKEDOUTTIME  	DATE NULL,
	UEDBID            	NUMBER(22,0) NOT NULL,
	UEMODTIME         	DATE NULL,
	UENUMEMPTYREQUIRED	NUMBER(22,0) NULL,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL,
	UEPUBSTAGE        	NUMBER(22,0) NULL,
	UEPUBTIME         	DATE NULL,
	UEGROUP           	NUMBER(22,0) NULL,
	UEPERMISSION      	NUMBER(22,0) NULL,
	UERESOURCEID      	NUMBER(22,0) NULL,
	UEUSER            	NUMBER(22,0) NULL 
	);

ALTER TABLE CMSACL10085DATA
	ADD ( CONSTRAINT UE107DCA2B510
	PRIMARY KEY (UEDBID,UEPORINSTANCEID )
	NOT DEFERRABLE INITIALLY IMMEDIATE );
grant delete on cmsacl10085data to portaldba_group;
grant update on cmsacl10085data to portaldba_group;
grant insert on cmsacl10085data to portaldba_group;
grant select on cmsacl10085data to portaldba_group;


CREATE TABLE CMSACL10093DATA ( 
	UECHECKEDOUT      	NUMBER(22,0) NULL,
	UECHECKEDOUTTIME  	DATE NULL,
	UEDBID            	NUMBER(22,0) NOT NULL,
	UEMODTIME         	DATE NULL,
	UENUMEMPTYREQUIRED	NUMBER(22,0) NULL,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL,
	UEPUBSTAGE        	NUMBER(22,0) NULL,
	UEPUBTIME         	DATE NULL,
	UEGROUP           	NUMBER(22,0) NULL,
	UEPERMISSION      	NUMBER(22,0) NULL,
	UERESOURCEID      	NUMBER(22,0) NULL,
	UEUSER            	NUMBER(22,0) NULL 
	);

ALTER TABLE CMSACL10093DATA
	ADD ( CONSTRAINT UE107DCA2B515
	PRIMARY KEY (UEDBID,UEPORINSTANCEID )
	NOT DEFERRABLE INITIALLY IMMEDIATE );
grant insert on cmsacl10093data to portaldba_group;
grant delete on cmsacl10093data to portaldba_group;
grant update on cmsacl10093data to portaldba_group;
grant select on cmsacl10093data to portaldba_group;


CREATE TABLE CMSACL10108DATA ( 
	UECHECKEDOUT      	NUMBER(22,0) NULL,
	UECHECKEDOUTTIME  	DATE NULL,
	UEDBID            	NUMBER(22,0) NOT NULL,
	UEMODTIME         	DATE NULL,
	UENUMEMPTYREQUIRED	NUMBER(22,0) NULL,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL,
	UEPUBSTAGE        	NUMBER(22,0) NULL,
	UEPUBTIME         	DATE NULL,
	UEGROUP           	NUMBER(22,0) NULL,
	UEPERMISSION      	NUMBER(22,0) NULL,
	UERESOURCEID      	NUMBER(22,0) NULL,
	UEUSER            	NUMBER(22,0) NULL 
	);

ALTER TABLE CMSACL10108DATA
	ADD ( CONSTRAINT UE107DCA2B51A
	PRIMARY KEY (UEDBID,UEPORINSTANCEID )
	NOT DEFERRABLE INITIALLY IMMEDIATE );
grant select on cmsacl10108data to portaldba_group;
grant insert on cmsacl10108data to portaldba_group;
grant delete on cmsacl10108data to portaldba_group;
grant update on cmsacl10108data to portaldba_group;



CREATE TABLE CMSACL10115DATA ( 
	UECHECKEDOUT      	NUMBER(22,0) NULL,
	UECHECKEDOUTTIME  	DATE NULL,
	UEDBID            	NUMBER(22,0) NOT NULL,
	UEMODTIME         	DATE NULL,
	UENUMEMPTYREQUIRED	NUMBER(22,0) NULL,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL,
	UEPUBSTAGE        	NUMBER(22,0) NULL,
	UEPUBTIME         	DATE NULL,
	UEGROUP           	NUMBER(22,0) NULL,
	UEPERMISSION      	NUMBER(22,0) NULL,
	UERESOURCEID      	NUMBER(22,0) NULL,
	UEUSER            	NUMBER(22,0) NULL 
	);

ALTER TABLE CMSACL10115DATA
	ADD ( CONSTRAINT UE107DCA2B51F
	PRIMARY KEY (UEDBID,UEPORINSTANCEID )
	NOT DEFERRABLE INITIALLY IMMEDIATE );
grant insert on cmsacl10115data to portaldba_group;
grant update on cmsacl10115data to portaldba_group;
grant delete on cmsacl10115data to portaldba_group;
grant select on cmsacl10115data to portaldba_group;



CREATE TABLE CMSACL10122DATA ( 
	UECHECKEDOUT      	NUMBER(22,0) NULL,
	UECHECKEDOUTTIME  	DATE NULL,
	UEDBID            	NUMBER(22,0) NOT NULL,
	UEMODTIME         	DATE NULL,
	UENUMEMPTYREQUIRED	NUMBER(22,0) NULL,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL,
	UEPUBSTAGE        	NUMBER(22,0) NULL,
	UEPUBTIME         	DATE NULL,
	UEGROUP           	NUMBER(22,0) NULL,
	UEPERMISSION      	NUMBER(22,0) NULL,
	UERESOURCEID      	NUMBER(22,0) NULL,
	UEUSER            	NUMBER(22,0) NULL 
	);

ALTER TABLE CMSACL10122DATA
	ADD ( CONSTRAINT UE107DCA2B524
	PRIMARY KEY (UEDBID,UEPORINSTANCEID )
	NOT DEFERRABLE INITIALLY IMMEDIATE );
grant update on cmsacl10122data to portaldba_group;
grant select on cmsacl10122data to portaldba_group;
grant insert on cmsacl10122data to portaldba_group;
grant delete on cmsacl10122data to portaldba_group;



CREATE TABLE CMSACL10130DATA ( 
	UECHECKEDOUT      	NUMBER(22,0) NULL,
	UECHECKEDOUTTIME  	DATE NULL,
	UEDBID            	NUMBER(22,0) NOT NULL,
	UEMODTIME         	DATE NULL,
	UENUMEMPTYREQUIRED	NUMBER(22,0) NULL,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL,
	UEPUBSTAGE        	NUMBER(22,0) NULL,
	UEPUBTIME         	DATE NULL,
	UEGROUP           	NUMBER(22,0) NULL,
	UEPERMISSION      	NUMBER(22,0) NULL,
	UERESOURCEID      	NUMBER(22,0) NULL,
	UEUSER            	NUMBER(22,0) NULL 
	);

ALTER TABLE CMSACL10130DATA
	ADD ( CONSTRAINT UE107DCA2B529
	PRIMARY KEY (UEDBID,UEPORINSTANCEID )
	NOT DEFERRABLE INITIALLY IMMEDIATE );
grant select on cmsacl10130data to portaldba_group;
grant insert on cmsacl10130data to portaldba_group;
grant delete on cmsacl10130data to portaldba_group;
grant update on cmsacl10130data to portaldba_group;




CREATE TABLE CMSACL10153DATA ( 
	UECHECKEDOUT      	NUMBER(22,0) NULL,
	UECHECKEDOUTTIME  	DATE NULL,
	UEDBID            	NUMBER(22,0) NOT NULL,
	UEMODTIME         	DATE NULL,
	UENUMEMPTYREQUIRED	NUMBER(22,0) NULL,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL,
	UEPUBSTAGE        	NUMBER(22,0) NULL,
	UEPUBTIME         	DATE NULL,
	UEGROUP           	NUMBER(22,0) NULL,
	UEPERMISSION      	NUMBER(22,0) NULL,
	UERESOURCEID      	NUMBER(22,0) NULL,
	UEUSER            	NUMBER(22,0) NULL 
	);

ALTER TABLE CMSACL10153DATA
	ADD ( CONSTRAINT UE107DCA2B52E
	PRIMARY KEY (UEDBID,UEPORINSTANCEID )
	NOT DEFERRABLE INITIALLY IMMEDIATE );
grant insert on cmsacl10153data to portaldba_group;
grant delete on cmsacl10153data to portaldba_group;
grant select on cmsacl10153data to portaldba_group;
grant update on cmsacl10153data to portaldba_group;




CREATE TABLE CMSACL10160DATA ( 
	UECHECKEDOUT      	NUMBER(22,0) NULL,
	UECHECKEDOUTTIME  	DATE NULL,
	UEDBID            	NUMBER(22,0) NOT NULL,
	UEMODTIME         	DATE NULL,
	UENUMEMPTYREQUIRED	NUMBER(22,0) NULL,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL,
	UEPUBSTAGE        	NUMBER(22,0) NULL,
	UEPUBTIME         	DATE NULL,
	UEGROUP           	NUMBER(22,0) NULL,
	UEPERMISSION      	NUMBER(22,0) NULL,
	UERESOURCEID      	NUMBER(22,0) NULL,
	UEUSER            	NUMBER(22,0) NULL 
	);

ALTER TABLE CMSACL10160DATA
	ADD ( CONSTRAINT UE107DCA2B533
	PRIMARY KEY (UEDBID,UEPORINSTANCEID )
	NOT DEFERRABLE INITIALLY IMMEDIATE );
grant insert on cmsacl10160data to portaldba_group;
grant delete on cmsacl10160data to portaldba_group;
grant update on cmsacl10160data to portaldba_group;
grant select on cmsacl10160data to portaldba_group;



CREATE TABLE CMSACL10167DATA ( 
	UECHECKEDOUT      	NUMBER(22,0) NULL,
	UECHECKEDOUTTIME  	DATE NULL,
	UEDBID            	NUMBER(22,0) NOT NULL,
	UEMODTIME         	DATE NULL,
	UENUMEMPTYREQUIRED	NUMBER(22,0) NULL,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL,
	UEPUBSTAGE        	NUMBER(22,0) NULL,
	UEPUBTIME         	DATE NULL,
	UEGROUP           	NUMBER(22,0) NULL,
	UEPERMISSION      	NUMBER(22,0) NULL,
	UERESOURCEID      	NUMBER(22,0) NULL,
	UEUSER            	NUMBER(22,0) NULL 
	);

ALTER TABLE CMSACL10167DATA
	ADD ( CONSTRAINT UE107DCA2B538
	PRIMARY KEY (UEDBID,UEPORINSTANCEID )
	NOT DEFERRABLE INITIALLY IMMEDIATE );
grant insert on cmsacl10167data to portaldba_group;
grant delete on cmsacl10167data to portaldba_group;
grant update on cmsacl10167data to portaldba_group;
grant select on cmsacl10167data to portaldba_group;


CREATE TABLE CMSACL10175DATA ( 
	UECHECKEDOUT      	NUMBER(22,0) NULL,
	UECHECKEDOUTTIME  	DATE NULL,
	UEDBID            	NUMBER(22,0) NOT NULL,
	UEMODTIME         	DATE NULL,
	UENUMEMPTYREQUIRED	NUMBER(22,0) NULL,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL,
	UEPUBSTAGE        	NUMBER(22,0) NULL,
	UEPUBTIME         	DATE NULL,
	UEGROUP           	NUMBER(22,0) NULL,
	UEPERMISSION      	NUMBER(22,0) NULL,
	UERESOURCEID      	NUMBER(22,0) NULL,
	UEUSER            	NUMBER(22,0) NULL 
	);

ALTER TABLE CMSACL10175DATA
	ADD ( CONSTRAINT UE107DCA2B53D
	PRIMARY KEY (UEDBID,UEPORINSTANCEID )
	NOT DEFERRABLE INITIALLY IMMEDIATE );
grant select on cmsacl10175data to portaldba_group;
grant insert on cmsacl10175data to portaldba_group;
grant delete on cmsacl10175data to portaldba_group;
grant update on cmsacl10175data to portaldba_group;


CREATE TABLE CMSACL10182DATA ( 
	UECHECKEDOUT      	NUMBER(22,0) NULL,
	UECHECKEDOUTTIME  	DATE NULL,
	UEDBID            	NUMBER(22,0) NOT NULL,
	UEMODTIME         	DATE NULL,
	UENUMEMPTYREQUIRED	NUMBER(22,0) NULL,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL,
	UEPUBSTAGE        	NUMBER(22,0) NULL,
	UEPUBTIME         	DATE NULL,
	UEGROUP           	NUMBER(22,0) NULL,
	UEPERMISSION      	NUMBER(22,0) NULL,
	UERESOURCEID      	NUMBER(22,0) NULL,
	UEUSER            	NUMBER(22,0) NULL 
	);

ALTER TABLE CMSACL10182DATA
	ADD ( CONSTRAINT UE107DCA2B542
	PRIMARY KEY (UEDBID,UEPORINSTANCEID )
	NOT DEFERRABLE INITIALLY IMMEDIATE );
grant insert on cmsacl10182data to portaldba_group;
grant select on cmsacl10182data to portaldba_group;
grant delete on cmsacl10182data to portaldba_group;
grant update on cmsacl10182data to portaldba_group;



CREATE TABLE CMSACL10190DATA ( 
	UECHECKEDOUT      	NUMBER(22,0) NULL,
	UECHECKEDOUTTIME  	DATE NULL,
	UEDBID            	NUMBER(22,0) NOT NULL,
	UEMODTIME         	DATE NULL,
	UENUMEMPTYREQUIRED	NUMBER(22,0) NULL,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL,
	UEPUBSTAGE        	NUMBER(22,0) NULL,
	UEPUBTIME         	DATE NULL,
	UEGROUP           	NUMBER(22,0) NULL,
	UEPERMISSION      	NUMBER(22,0) NULL,
	UERESOURCEID      	NUMBER(22,0) NULL,
	UEUSER            	NUMBER(22,0) NULL 
	);

ALTER TABLE CMSACL10190DATA
	ADD ( CONSTRAINT UE107DCA2B547
	PRIMARY KEY (UEDBID,UEPORINSTANCEID )
	NOT DEFERRABLE INITIALLY IMMEDIATE );
grant update on cmsacl10190data to portaldba_group;
grant insert on cmsacl10190data to portaldba_group;
grant select on cmsacl10190data to portaldba_group;
grant delete on cmsacl10190data to portaldba_group;


CREATE TABLE CMSACL10197DATA ( 
	UECHECKEDOUT      	NUMBER(22,0) NULL,
	UECHECKEDOUTTIME  	DATE NULL,
	UEDBID            	NUMBER(22,0) NOT NULL,
	UEMODTIME         	DATE NULL,
	UENUMEMPTYREQUIRED	NUMBER(22,0) NULL,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL,
	UEPUBSTAGE        	NUMBER(22,0) NULL,
	UEPUBTIME         	DATE NULL,
	UEGROUP           	NUMBER(22,0) NULL,
	UEPERMISSION      	NUMBER(22,0) NULL,
	UERESOURCEID      	NUMBER(22,0) NULL,
	UEUSER            	NUMBER(22,0) NULL 
	);

ALTER TABLE CMSACL10197DATA
	ADD ( CONSTRAINT UE107DCA2B54C
	PRIMARY KEY (UEDBID,UEPORINSTANCEID )
	NOT DEFERRABLE INITIALLY IMMEDIATE );
grant insert on cmsacl10197data to portaldba_group;
grant delete on cmsacl10197data to portaldba_group;
grant update on cmsacl10197data to portaldba_group;
grant select on cmsacl10197data to portaldba_group;




CREATE TABLE CMSACL10205DATA ( 
	UECHECKEDOUT      	NUMBER(22,0) NULL,
	UECHECKEDOUTTIME  	DATE NULL,
	UEDBID            	NUMBER(22,0) NOT NULL,
	UEMODTIME         	DATE NULL,
	UENUMEMPTYREQUIRED	NUMBER(22,0) NULL,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL,
	UEPUBSTAGE        	NUMBER(22,0) NULL,
	UEPUBTIME         	DATE NULL,
	UEGROUP           	NUMBER(22,0) NULL,
	UEPERMISSION      	NUMBER(22,0) NULL,
	UERESOURCEID      	NUMBER(22,0) NULL,
	UEUSER            	NUMBER(22,0) NULL 
	);

ALTER TABLE CMSACL10205DATA
	ADD ( CONSTRAINT UE107DCA2B551
	PRIMARY KEY (UEDBID, UEPORINSTANCEID)
	NOT DEFERRABLE INITIALLY IMMEDIATE );
grant insert on CMSACL10205DATA to portaldba_group;
grant delete on CMSACL10205DATA to portaldba_group;
grant update on CMSACL10205DATA to portaldba_group;
grant select on CMSACL10205DATA to portaldba_group;




CREATE TABLE CMSACL10219DATA ( 
	UECHECKEDOUT      	NUMBER(22,0) NULL,
	UECHECKEDOUTTIME  	DATE NULL,
	UEDBID            	NUMBER(22,0) NOT NULL,
	UEMODTIME         	DATE NULL,
	UENUMEMPTYREQUIRED	NUMBER(22,0) NULL,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL,
	UEPUBSTAGE        	NUMBER(22,0) NULL,
	UEPUBTIME         	DATE NULL,
	UEGROUP           	NUMBER(22,0) NULL,
	UEPERMISSION      	NUMBER(22,0) NULL,
	UERESOURCEID      	NUMBER(22,0) NULL,
	UEUSER            	NUMBER(22,0) NULL 
	);

ALTER TABLE CMSACL10219DATA
	ADD ( CONSTRAINT UE107DCA2B556
	PRIMARY KEY (UEDBID,UEPORINSTANCEID )
	NOT DEFERRABLE INITIALLY IMMEDIATE );
grant select on cmsacl10219data to portaldba_group;
grant update on cmsacl10219data to portaldba_group;
grant insert on cmsacl10219data to portaldba_group;
grant delete on cmsacl10219data to portaldba_group;




CREATE TABLE CMSACL10226DATA ( 
	UECHECKEDOUT      	NUMBER(22,0) NULL,
	UECHECKEDOUTTIME  	DATE NULL,
	UEDBID            	NUMBER(22,0) NOT NULL,
	UEMODTIME         	DATE NULL,
	UENUMEMPTYREQUIRED	NUMBER(22,0) NULL,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL,
	UEPUBSTAGE        	NUMBER(22,0) NULL,
	UEPUBTIME         	DATE NULL,
	UEGROUP           	NUMBER(22,0) NULL,
	UEPERMISSION      	NUMBER(22,0) NULL,
	UERESOURCEID      	NUMBER(22,0) NULL,
	UEUSER            	NUMBER(22,0) NULL 
	);

ALTER TABLE CMSACL10226DATA
	ADD ( CONSTRAINT UE107DCA2B55B
	PRIMARY KEY (UEDBID,UEPORINSTANCEID )
	NOT DEFERRABLE INITIALLY IMMEDIATE );
grant select on cmsacl10226data to portaldba_group;
grant update on cmsacl10226data to portaldba_group;
grant insert on cmsacl10226data to portaldba_group;
grant delete on cmsacl10226data to portaldba_group;



CREATE TABLE CMSACL10233DATA ( 
	UECHECKEDOUT      	NUMBER(22,0) NULL,
	UECHECKEDOUTTIME  	DATE NULL,
	UEDBID            	NUMBER(22,0) NOT NULL,
	UEMODTIME         	DATE NULL,
	UENUMEMPTYREQUIRED	NUMBER(22,0) NULL,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL,
	UEPUBSTAGE        	NUMBER(22,0) NULL,
	UEPUBTIME         	DATE NULL,
	UEGROUP           	NUMBER(22,0) NULL,
	UEPERMISSION      	NUMBER(22,0) NULL,
	UERESOURCEID      	NUMBER(22,0) NULL,
	UEUSER            	NUMBER(22,0) NULL 
	);

ALTER TABLE CMSACL10233DATA
	ADD ( CONSTRAINT UE107DCA2B560
	PRIMARY KEY (UEDBID,UEPORINSTANCEID )
	NOT DEFERRABLE INITIALLY IMMEDIATE );
grant select on cmsacl10233data to portaldba_group;
grant update on cmsacl10233data to portaldba_group;
grant insert on cmsacl10233data to portaldba_group;
grant delete on cmsacl10233data to portaldba_group;



CREATE TABLE CMSADMINASSETRESOUDATA ( 
	UECHECKEDOUT      	NUMBER(22,0) NULL,
	UECHECKEDOUTTIME  	DATE NULL,
	UEDBID            	NUMBER(22,0) NOT NULL,
	UEMODTIME         	DATE NULL,
	UENUMEMPTYREQUIRED	NUMBER(22,0) NULL,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL,
	UEPUBSTAGE        	NUMBER(22,0) NULL,
	UEPUBTIME         	DATE NULL,
	UEASSETNAME       	VARCHAR2(510) NULL,
	UECCITEMFIELDNAME 	VARCHAR2(510) NULL,
	UECCITEMID        	NUMBER(22,0) NULL,
	UECCITEMTABLENAME 	VARCHAR2(510) NULL,
	UECONTAINERPATH   	VARCHAR2(510) NULL 
	);

ALTER TABLE CMSADMINASSETRESOUDATA
	ADD ( CONSTRAINT UE107DCA2B4F1
	PRIMARY KEY (UEDBID,UEPORINSTANCEID )
	NOT DEFERRABLE INITIALLY IMMEDIATE );
grant insert on cmsadminassetresoudata to portaldba_group;
grant delete on cmsadminassetresoudata to portaldba_group;
grant select on cmsadminassetresoudata to portaldba_group;
grant update on cmsadminassetresoudata to portaldba_group;


CREATE TABLE CMSADMINRESOURCEBADATA ( 
	UECHECKEDOUT      	NUMBER(22,0) NULL,
	UECHECKEDOUTTIME  	DATE NULL,
	UEDBID            	NUMBER(22,0) NOT NULL,
	UEMODTIME         	DATE NULL,
	UENUMEMPTYREQUIRED	NUMBER(22,0) NULL,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL,
	UEPUBSTAGE        	NUMBER(22,0) NULL,
	UEPUBTIME         	DATE NULL,
	UEACTIVATION      	DATE NULL,
	UECCITEMFIELDNAME 	VARCHAR2(510) NULL,
	UECCITEMID        	NUMBER(22,0) NULL,
	UECCITEMTABLENAME 	VARCHAR2(510) NULL,
	UEEXPIRATION      	DATE NULL,
	UEEXPSTATUS       	NUMBER(22,0) NULL,
	UELASTEXPNOTIFICAT	DATE NULL,
	UEOWNER           	VARCHAR2(1020) NULL,
	UEPARENTPATH      	VARCHAR2(1020) NULL,
	UERESOURCENAME    	VARCHAR2(1020) NULL,
	UERESOURCENAMEUP  	VARCHAR2(1020) NULL,
	UERESOURCETITLE   	VARCHAR2(1020) NULL,
	UERESOURCETITLEUP 	VARCHAR2(1020) NULL 
	);

ALTER TABLE CMSADMINRESOURCEBADATA
	ADD ( CONSTRAINT UE107DCA2B4F3
	UNIQUE (UECCITEMID,UEPORINSTANCEID)
	NOT DEFERRABLE INITIALLY IMMEDIATE );
ALTER TABLE CMSADMINRESOURCEBADATA
	ADD ( CONSTRAINT UE107DCA2B4F2
	PRIMARY KEY (UEDBID,UEPORINSTANCEID )
	NOT DEFERRABLE INITIALLY IMMEDIATE );
grant insert on cmsadminresourcebadata to portaldba_group;
grant delete on cmsadminresourcebadata to portaldba_group;
grant update on cmsadminresourcebadata to portaldba_group;
grant select on cmsadminresourcebadata to portaldba_group;



CREATE TABLE CMSPERSISTANTSTATEDATA ( 
	UECHECKEDOUT      	NUMBER(22,0) NULL,
	UECHECKEDOUTTIME  	DATE NULL,
	UEDBID            	NUMBER(22,0) NOT NULL,
	UEMODTIME         	DATE NULL,
	UENUMEMPTYREQUIRED	NUMBER(22,0) NULL,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL,
	UEPUBSTAGE        	NUMBER(22,0) NULL,
	UEPUBTIME         	DATE NULL,
	UEBUILDID         	VARCHAR2(510) NULL,
	UEBUILDTIME       	DATE NULL,
	UEDBVERSION       	NUMBER(22,0) NULL,
	UEGENSYM          	NUMBER(22,0) NULL,
	UENUMFIELDS       	NUMBER(22,0) NULL 
	);

ALTER TABLE CMSPERSISTANTSTATEDATA
	ADD ( CONSTRAINT UE107DCA2B4E3
	PRIMARY KEY (UEDBID,UEPORINSTANCEID )
	NOT DEFERRABLE INITIALLY IMMEDIATE );
grant delete on cmspersistantstatedata to portaldba_group;
grant update on cmspersistantstatedata to portaldba_group;
grant select on cmspersistantstatedata to portaldba_group;
grant insert on cmspersistantstatedata to portaldba_group;


CREATE TABLE CMSPORTALPAGEDATA ( 
	UECHECKEDOUT      	NUMBER(22,0) NULL,
	UECHECKEDOUTTIME  	DATE NULL,
	UEDBID            	NUMBER(22,0) NOT NULL,
	UEMODTIME         	DATE NULL,
	UENUMEMPTYREQUIRED	NUMBER(22,0) NULL,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL,
	UEPUBSTAGE        	NUMBER(22,0) NULL,
	UEPUBTIME         	DATE NULL,
	UEAUTHOR          	VARCHAR2(1020) NULL,
	UEBYTE_COUNT      	NUMBER(22,0) NULL,
	UECREATED_BY      	VARCHAR2(1020) NULL,
	UECREATION_DATE   	DATE NULL,
	UEDATE_EXPIRES    	DATE NULL,
	UEDESCRIPTION     	VARCHAR2(1000) NULL,
	UEKEYWORDS        	VARCHAR2(1020) NULL,
	UELAST_MODIFIED_BY	VARCHAR2(1020) NULL,
	UEMAJOR_TYPE      	VARCHAR2(1020) NULL,
	UEMINOR_TYPE      	VARCHAR2(1020) NULL,
	UENAME            	VARCHAR2(1020) NULL,
	UEPARENTID        	NUMBER(22,0) NULL,
	UESUBJECT         	VARCHAR2(1020) NULL,
	UETITLE           	VARCHAR2(1020) NULL,
	UEVERCOMMENT      	VARCHAR2(1000) NULL,
	UEWFPROC_ID       	VARCHAR2(510) NULL,
	UEWORKFLOW_ID     	VARCHAR2(510) NULL 
	);

ALTER TABLE CMSPORTALPAGEDATA
	ADD ( CONSTRAINT UE107DCA2B562
	PRIMARY KEY (UEDBID,UEPORINSTANCEID )
	NOT DEFERRABLE INITIALLY IMMEDIATE );
grant select on CMSPORTALPAGEDATA to portaldba_group;
grant delete on CMSPORTALPAGEDATA to portaldba_group;
grant update on CMSPORTALPAGEDATA to portaldba_group;
grant insert on CMSPORTALPAGEDATA to portaldba_group;




CREATE TABLE CMSROLLBK10010DATA ( 
	UECHECKEDOUT      	NUMBER(22,0) NULL,
	UECHECKEDOUTTIME  	DATE NULL,
	UEDBID            	NUMBER(22,0) NOT NULL,
	UEMODTIME         	DATE NULL,
	UENUMEMPTYREQUIRED	NUMBER(22,0) NULL,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL,
	UEPUBSTAGE        	NUMBER(22,0) NULL,
	UEPUBTIME         	DATE NULL,
	UEASSETID         	NUMBER(22,0) NULL,
	UEAUTHOR          	VARCHAR2(1020) NULL,
	UEBYTE_COUNT      	NUMBER(22,0) NULL,
	UECREATED_BY      	VARCHAR2(1020) NULL,
	UECREATION_DATE   	DATE NULL,
	UEDATE_EXPIRES    	DATE NULL,
	UEDESCRIPTION     	VARCHAR2(1000) NULL,
	UEKEYWORDS        	VARCHAR2(1020) NULL,
	UELAST_MODIFIED_BY	VARCHAR2(1020) NULL,
	UEMAJOR_TYPE      	VARCHAR2(1020) NULL,
	UEMINOR_TYPE      	VARCHAR2(1020) NULL,
	UENAME            	VARCHAR2(1020) NULL,
	UEPARENTID        	NUMBER(22,0) NULL,
	UESUBJECT         	VARCHAR2(1020) NULL,
	UETITLE           	VARCHAR2(1020) NULL,
	UEVERCOMMENT      	VARCHAR2(1000) NULL,
	UEVERSION         	NUMBER(22,0) NULL,
	UEWFPROC_ID       	VARCHAR2(510) NULL,
	UEWORKFLOW_ID     	VARCHAR2(510) NULL 
	);

ALTER TABLE CMSROLLBK10010DATA
	ADD ( CONSTRAINT UE107DCA2B4FB
	PRIMARY KEY (UEDBID,UEPORINSTANCEID )
	NOT DEFERRABLE INITIALLY IMMEDIATE );
grant select on cmsrollbk10010data to portaldba_group;
grant delete on cmsrollbk10010data to portaldba_group;
grant update on cmsrollbk10010data to portaldba_group;
grant insert on cmsrollbk10010data to portaldba_group;



CREATE TABLE CMSROLLBK10046DATA ( 
	UECHECKEDOUT      	NUMBER(22,0) NULL,
	UECHECKEDOUTTIME  	DATE NULL,
	UEDBID            	NUMBER(22,0) NOT NULL,
	UEMODTIME         	DATE NULL,
	UENUMEMPTYREQUIRED	NUMBER(22,0) NULL,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL,
	UEPUBSTAGE        	NUMBER(22,0) NULL,
	UEPUBTIME         	DATE NULL,
	UEASSETID         	NUMBER(22,0) NULL,
	UEAUTHOR          	VARCHAR2(1020) NULL,
	UEBYTE_COUNT      	NUMBER(22,0) NULL,
	UECREATED_BY      	VARCHAR2(1020) NULL,
	UECREATION_DATE   	DATE NULL,
	UEDATE_EXPIRES    	DATE NULL,
	UEDESCRIPTION     	VARCHAR2(1000) NULL,
	UEKEYWORDS        	VARCHAR2(1020) NULL,
	UELAST_MODIFIED_BY	VARCHAR2(1020) NULL,
	UEMAJOR_TYPE      	VARCHAR2(1020) NULL,
	UEMINOR_TYPE      	VARCHAR2(1020) NULL,
	UENAME            	VARCHAR2(1020) NULL,
	UEPARENTID        	NUMBER(22,0) NULL,
	UESUBJECT         	VARCHAR2(1020) NULL,
	UETITLE           	VARCHAR2(1020) NULL,
	UEURLFIELD        	VARCHAR2(1000) NULL,
	UEVERCOMMENT      	VARCHAR2(1000) NULL,
	UEVERSION         	NUMBER(22,0) NULL,
	UEWFPROC_ID       	VARCHAR2(510) NULL,
	UEWORKFLOW_ID     	VARCHAR2(510) NULL 
	);

ALTER TABLE CMSROLLBK10046DATA
	ADD ( CONSTRAINT UE107DCA2B4FF
	PRIMARY KEY (UEDBID,UEPORINSTANCEID )
	NOT DEFERRABLE INITIALLY IMMEDIATE );
grant update on cmsrollbk10046data to portaldba_group;
grant select on cmsrollbk10046data to portaldba_group;
grant insert on cmsrollbk10046data to portaldba_group;
grant delete on cmsrollbk10046data to portaldba_group;


CREATE TABLE CMSROLLBK10074DATA ( 
	UECHECKEDOUT      	NUMBER(22,0) NULL,
	UECHECKEDOUTTIME  	DATE NULL,
	UEDBID            	NUMBER(22,0) NOT NULL,
	UEMODTIME         	DATE NULL,
	UENUMEMPTYREQUIRED	NUMBER(22,0) NULL,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL,
	UEPUBSTAGE        	NUMBER(22,0) NULL,
	UEPUBTIME         	DATE NULL,
	UEASSETID         	NUMBER(22,0) NULL,
	UEAUTHOR          	VARCHAR2(1020) NULL,
	UEBYTE_COUNT      	NUMBER(22,0) NULL,
	UECREATED_BY      	VARCHAR2(1020) NULL,
	UECREATION_DATE   	DATE NULL,
	UEDATE_EXPIRES    	DATE NULL,
	UEDESCRIPTION     	VARCHAR2(1000) NULL,
	UEENDDATE         	VARCHAR2(1020) NULL,
	UEKEYWORDS        	VARCHAR2(1020) NULL,
	UELAST_MODIFIED_BY	VARCHAR2(1020) NULL,
	UEMAJOR_TYPE      	VARCHAR2(1020) NULL,
	UEMINOR_TYPE      	VARCHAR2(1020) NULL,
	UENAME            	VARCHAR2(1020) NULL,
	UEPARENTID        	NUMBER(22,0) NULL,
	UEPRIORITY        	VARCHAR2(1020) NULL,
	UESTARTDATE       	VARCHAR2(1020) NULL,
	UESUBJECT         	VARCHAR2(1020) NULL,
	UETITLE           	VARCHAR2(1020) NULL,
	UETYPE            	VARCHAR2(1020) NULL,
	UEVERCOMMENT      	VARCHAR2(1000) NULL,
	UEVERSION         	NUMBER(22,0) NULL,
	UEWFPROC_ID       	VARCHAR2(510) NULL,
	UEWORKFLOW_ID     	VARCHAR2(510) NULL 
	);

ALTER TABLE CMSROLLBK10074DATA
	ADD ( CONSTRAINT UE107DCA2B50C
	PRIMARY KEY (UEDBID,UEPORINSTANCEID )
	NOT DEFERRABLE INITIALLY IMMEDIATE );
grant delete on cmsrollbk10074data to portaldba_group;
grant update on cmsrollbk10074data to portaldba_group;
grant insert on cmsrollbk10074data to portaldba_group;
grant select on cmsrollbk10074data to portaldba_group;



CREATE TABLE CMSROLLBK10085DATA ( 
	UECHECKEDOUT      	NUMBER(22,0) NULL,
	UECHECKEDOUTTIME  	DATE NULL,
	UEDBID            	NUMBER(22,0) NOT NULL,
	UEMODTIME         	DATE NULL,
	UENUMEMPTYREQUIRED	NUMBER(22,0) NULL,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL,
	UEPUBSTAGE        	NUMBER(22,0) NULL,
	UEPUBTIME         	DATE NULL,
	UEAIFF_AUTHOR     	VARCHAR2(1020) NULL,
	UEAIFF_DESCRIPTION	VARCHAR2(1000) NULL,
	UEAIFF_KEYWORDS   	VARCHAR2(1020) NULL,
	UEAIFF_TITLE      	VARCHAR2(1020) NULL,
	UEASSETID         	NUMBER(22,0) NULL,
	UEAUTHOR          	VARCHAR2(1020) NULL,
	UEBYTE_COUNT      	NUMBER(22,0) NULL,
	UECHANNEL_MODE    	VARCHAR2(1020) NULL,
	UECOMPRESSION_TYPE	VARCHAR2(1020) NULL,
	UECOPYRIGHTED     	VARCHAR2(1020) NULL,
	UECREATED_BY      	VARCHAR2(1020) NULL,
	UECREATION_DATE   	DATE NULL,
	UEDATE_EXPIRES    	DATE NULL,
	UEDESCRIPTION     	VARCHAR2(1000) NULL,
	UEKEYWORDS        	VARCHAR2(1020) NULL,
	UELAST_MODIFIED_BY	VARCHAR2(1020) NULL,
	UELENGTH          	NUMBER(38,10) NULL,
	UEMAJOR_TYPE      	VARCHAR2(1020) NULL,
	UEMINOR_TYPE      	VARCHAR2(1020) NULL,
	UENAME            	VARCHAR2(1020) NULL,
	UEPARENTID        	NUMBER(22,0) NULL,
	UESAMPLE_FRAMES   	NUMBER(22,0) NULL,
	UESAMPLE_RATE     	NUMBER(38,10) NULL,
	UESAMPLE_SIZE     	NUMBER(22,0) NULL,
	UESUBJECT         	VARCHAR2(1020) NULL,
	UETITLE           	VARCHAR2(1020) NULL,
	UEVERCOMMENT      	VARCHAR2(1000) NULL,
	UEVERSION         	NUMBER(22,0) NULL,
	UEWFPROC_ID       	VARCHAR2(510) NULL,
	UEWORKFLOW_ID     	VARCHAR2(510) NULL 
	);

ALTER TABLE CMSROLLBK10085DATA
	ADD ( CONSTRAINT UE107DCA2B511
	PRIMARY KEY (UEDBID,UEPORINSTANCEID )
	NOT DEFERRABLE INITIALLY IMMEDIATE );
grant insert on cmsrollbk10085data to portaldba_group;
grant delete on cmsrollbk10085data to portaldba_group;
grant update on cmsrollbk10085data to portaldba_group;
grant select on cmsrollbk10085data to portaldba_group;



CREATE TABLE CMSROLLBK10093DATA ( 
	UECHECKEDOUT      	NUMBER(22,0) NULL,
	UECHECKEDOUTTIME  	DATE NULL,
	UEDBID            	NUMBER(22,0) NOT NULL,
	UEMODTIME         	DATE NULL,
	UENUMEMPTYREQUIRED	NUMBER(22,0) NULL,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL,
	UEPUBSTAGE        	NUMBER(22,0) NULL,
	UEPUBTIME         	DATE NULL,
	UEASSETID         	NUMBER(22,0) NULL,
	UEAUTHOR          	VARCHAR2(1020) NULL,
	UEBYTE_COUNT      	NUMBER(22,0) NULL,
	UECOLOR_DEPTH     	NUMBER(22,0) NULL,
	UECOMPRESSION_TYPE	VARCHAR2(1020) NULL,
	UECREATED_BY      	VARCHAR2(1020) NULL,
	UECREATION_DATE   	DATE NULL,
	UEDATE_EXPIRES    	DATE NULL,
	UEDESCRIPTION     	VARCHAR2(1000) NULL,
	UEHEIGHT          	NUMBER(22,0) NULL,
	UEKEYWORDS        	VARCHAR2(1020) NULL,
	UELAST_MODIFIED_BY	VARCHAR2(1020) NULL,
	UEMAJOR_TYPE      	VARCHAR2(1020) NULL,
	UEMINOR_TYPE      	VARCHAR2(1020) NULL,
	UENAME            	VARCHAR2(1020) NULL,
	UEPARENTID        	NUMBER(22,0) NULL,
	UESUBJECT         	VARCHAR2(1020) NULL,
	UETITLE           	VARCHAR2(1020) NULL,
	UEVERCOMMENT      	VARCHAR2(1000) NULL,
	UEVERSION         	NUMBER(22,0) NULL,
	UEWFPROC_ID       	VARCHAR2(510) NULL,
	UEWIDTH           	NUMBER(22,0) NULL,
	UEWORKFLOW_ID     	VARCHAR2(510) NULL 
	);

ALTER TABLE CMSROLLBK10093DATA
	ADD ( CONSTRAINT UE107DCA2B516
	PRIMARY KEY (UEDBID,UEPORINSTANCEID )
	NOT DEFERRABLE INITIALLY IMMEDIATE );
grant insert on cmsrollbk10093data to portaldba_group;
grant select on cmsrollbk10093data to portaldba_group;
grant delete on cmsrollbk10093data to portaldba_group;
grant update on cmsrollbk10093data to portaldba_group;



CREATE TABLE CMSROLLBK10108DATA ( 
	UECHECKEDOUT      	NUMBER(22,0) NULL,
	UECHECKEDOUTTIME  	DATE NULL,
	UEDBID            	NUMBER(22,0) NOT NULL,
	UEMODTIME         	DATE NULL,
	UENUMEMPTYREQUIRED	NUMBER(22,0) NULL,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL,
	UEPUBSTAGE        	NUMBER(22,0) NULL,
	UEPUBTIME         	DATE NULL,
	UEASSETID         	NUMBER(22,0) NULL,
	UEAUDIO_CODEC     	VARCHAR2(1020) NULL,
	UEAUTHOR          	VARCHAR2(1020) NULL,
	UEAVI_AUTHOR      	VARCHAR2(1020) NULL,
	UEAVI_CREATE_DATE 	DATE NULL,
	UEAVI_DESCRIPTION 	VARCHAR2(1000) NULL,
	UEAVI_KEYWORDS    	VARCHAR2(1020) NULL,
	UEAVI_SUBJECT     	VARCHAR2(1020) NULL,
	UEAVI_TITLE       	VARCHAR2(1020) NULL,
	UEBITRATE         	NUMBER(38,10) NULL,
	UEBYTE_COUNT      	NUMBER(22,0) NULL,
	UECHANNEL_MODE    	VARCHAR2(1020) NULL,
	UECOLOR_DEPTH     	NUMBER(22,0) NULL,
	UECOMMISSIONED    	VARCHAR2(1020) NULL,
	UECOPYRIGHTED     	VARCHAR2(1020) NULL,
	UECREATED_BY      	VARCHAR2(1020) NULL,
	UECREATION_DATE   	DATE NULL,
	UECROPPED         	VARCHAR2(1020) NULL,
	UEDATE_EXPIRES    	DATE NULL,
	UEDESCRIPTION     	VARCHAR2(1000) NULL,
	UEDIMENSIONS      	NUMBER(22,0) NULL,
	UEDOTS_PER_INCH   	VARCHAR2(1020) NULL,
	UEENGINEER        	VARCHAR2(1020) NULL,
	UEFRAME_NUMBER    	NUMBER(22,0) NULL,
	UEFRAME_RATE      	NUMBER(22,0) NULL,
	UEGENRE           	VARCHAR2(1020) NULL,
	UEHEIGHT          	NUMBER(22,0) NULL,
	UEKEYWORDS        	VARCHAR2(1020) NULL,
	UELAST_MODIFIED_BY	VARCHAR2(1020) NULL,
	UELENGTH          	NUMBER(38,10) NULL,
	UELIGHTNESS       	VARCHAR2(1020) NULL,
	UEMAJOR_TYPE      	VARCHAR2(1020) NULL,
	UEMEDIUM          	VARCHAR2(1020) NULL,
	UEMINOR_TYPE      	VARCHAR2(1020) NULL,
	UENAME            	VARCHAR2(1020) NULL,
	UENAME_OF_SUBJECT 	VARCHAR2(1020) NULL,
	UEPALETTE         	VARCHAR2(1020) NULL,
	UEPARENTID        	NUMBER(22,0) NULL,
	UEPRODUCT         	VARCHAR2(1020) NULL,
	UESAMPLE_RATE     	NUMBER(38,10) NULL,
	UESAMPLE_SIZE     	NUMBER(22,0) NULL,
	UESHARPNESS       	VARCHAR2(1020) NULL,
	UESOFTWARE        	VARCHAR2(1020) NULL,
	UESOURCE          	VARCHAR2(1020) NULL,
	UESUBJECT         	VARCHAR2(1020) NULL,
	UETECHNICIAN      	VARCHAR2(1020) NULL,
	UETITLE           	VARCHAR2(1020) NULL,
	UEVERCOMMENT      	VARCHAR2(1000) NULL,
	UEVERSION         	NUMBER(22,0) NULL,
	UEVIDEO_CODEC     	VARCHAR2(1020) NULL,
	UEWFPROC_ID       	VARCHAR2(510) NULL,
	UEWIDTH           	NUMBER(22,0) NULL,
	UEWORKFLOW_ID     	VARCHAR2(510) NULL 
	);

ALTER TABLE CMSROLLBK10108DATA
	ADD ( CONSTRAINT UE107DCA2B51B
	PRIMARY KEY (UEDBID,UEPORINSTANCEID )
	NOT DEFERRABLE INITIALLY IMMEDIATE );
grant insert on cmsrollbk10108data to portaldba_group;
grant delete on cmsrollbk10108data to portaldba_group;
grant update on cmsrollbk10108data to portaldba_group;
grant select on cmsrollbk10108data to portaldba_group;



CREATE TABLE CMSROLLBK10115DATA ( 
	UECHECKEDOUT      	NUMBER(22,0) NULL,
	UECHECKEDOUTTIME  	DATE NULL,
	UEDBID            	NUMBER(22,0) NOT NULL,
	UEMODTIME         	DATE NULL,
	UENUMEMPTYREQUIRED	NUMBER(22,0) NULL,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL,
	UEPUBSTAGE        	NUMBER(22,0) NULL,
	UEPUBTIME         	DATE NULL,
	UEASSETID         	NUMBER(22,0) NULL,
	UEAUTHOR          	VARCHAR2(1020) NULL,
	UEBITRATE         	NUMBER(38,10) NULL,
	UEBYTE_COUNT      	NUMBER(22,0) NULL,
	UECHANNEL_MODE    	VARCHAR2(1020) NULL,
	UECOPYRIGHTED     	VARCHAR2(1020) NULL,
	UECREATED_BY      	VARCHAR2(1020) NULL,
	UECREATION_DATE   	DATE NULL,
	UEDATE_EXPIRES    	DATE NULL,
	UEDESCRIPTION     	VARCHAR2(1000) NULL,
	UEEMPHASIS        	VARCHAR2(1020) NULL,
	UEFRAMES          	NUMBER(22,0) NULL,
	UEGENRE           	VARCHAR2(1020) NULL,
	UEKEYWORDS        	VARCHAR2(1020) NULL,
	UELAST_MODIFIED_BY	VARCHAR2(1020) NULL,
	UELAYER           	VARCHAR2(1020) NULL,
	UELENGTH          	NUMBER(38,10) NULL,
	UEMAJOR_TYPE      	VARCHAR2(1020) NULL,
	UEMINOR_TYPE      	VARCHAR2(1020) NULL,
	UEMP3_AUTHOR      	VARCHAR2(1020) NULL,
	UEMP3_DESCRIPTION 	VARCHAR2(1000) NULL,
	UEMP3_SUBJECT     	VARCHAR2(1020) NULL,
	UEMP3_TITLE       	VARCHAR2(1020) NULL,
	UENAME            	VARCHAR2(1020) NULL,
	UEORIGINAL        	CHAR(1) NULL,
	UEPARENTID        	NUMBER(22,0) NULL,
	UEPRIVATE         	CHAR(1) NULL,
	UESAMPLE_RATE     	NUMBER(38,10) NULL,
	UESUBJECT         	VARCHAR2(1020) NULL,
	UETITLE           	VARCHAR2(1020) NULL,
	UEVERCOMMENT      	VARCHAR2(1000) NULL,
	UEVERSION         	NUMBER(22,0) NULL,
	UEVERSION_ID      	VARCHAR2(1020) NULL,
	UEWFPROC_ID       	VARCHAR2(510) NULL,
	UEWORKFLOW_ID     	VARCHAR2(510) NULL,
	UEYEAR            	VARCHAR2(1020) NULL 
	);

ALTER TABLE CMSROLLBK10115DATA
	ADD ( CONSTRAINT UE107DCA2B520
	PRIMARY KEY (UEDBID,UEPORINSTANCEID )
	NOT DEFERRABLE INITIALLY IMMEDIATE );
grant update on cmsrollbk10115data to portaldba_group;
grant select on cmsrollbk10115data to portaldba_group;
grant delete on cmsrollbk10115data to portaldba_group;
grant insert on cmsrollbk10115data to portaldba_group;



CREATE TABLE CMSROLLBK10122DATA ( 
	UECHECKEDOUT      	NUMBER(22,0) NULL,
	UECHECKEDOUTTIME  	DATE NULL,
	UEDBID            	NUMBER(22,0) NOT NULL,
	UEMODTIME         	DATE NULL,
	UENUMEMPTYREQUIRED	NUMBER(22,0) NULL,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL,
	UEPUBSTAGE        	NUMBER(22,0) NULL,
	UEPUBTIME         	DATE NULL,
	UEASPECT_RATIO    	VARCHAR2(1020) NULL,
	UEASSETID         	NUMBER(22,0) NULL,
	UEAUTHOR          	VARCHAR2(1020) NULL,
	UEBITRATE         	NUMBER(38,10) NULL,
	UEBYTE_COUNT      	NUMBER(22,0) NULL,
	UECHROMA_FORMAT   	VARCHAR2(1020) NULL,
	UECOLOR_PRIMARIES 	VARCHAR2(1020) NULL,
	UECREATED_BY      	VARCHAR2(1020) NULL,
	UECREATION_DATE   	DATE NULL,
	UEDATE_EXPIRES    	DATE NULL,
	UEDCT_PREDICTION  	NUMBER(22,0) NULL,
	UEDESCRIPTION     	VARCHAR2(1000) NULL,
	UEFRAME_RATE      	VARCHAR2(1020) NULL,
	UEHEIGHT          	NUMBER(22,0) NULL,
	UEINTRA_DC_PREC   	VARCHAR2(1020) NULL,
	UEINTRA_VLC_FMT   	NUMBER(22,0) NULL,
	UEKEYWORDS        	VARCHAR2(1020) NULL,
	UELAST_MODIFIED_BY	VARCHAR2(1020) NULL,
	UELENGTH          	NUMBER(38,10) NULL,
	UEMAJOR_TYPE      	VARCHAR2(1020) NULL,
	UEMATRIX_COEFFS   	VARCHAR2(1020) NULL,
	UEMINOR_TYPE      	VARCHAR2(1020) NULL,
	UEMPEG_VERSION    	VARCHAR2(1020) NULL,
	UENAME            	VARCHAR2(1020) NULL,
	UEPARENTID        	NUMBER(22,0) NULL,
	UEPROG_FRAME      	VARCHAR2(1020) NULL,
	UEPROG_SEQUENCE   	NUMBER(22,0) NULL,
	UESTREAM_TYPE     	VARCHAR2(1020) NULL,
	UESUBJECT         	VARCHAR2(1020) NULL,
	UETITLE           	VARCHAR2(1020) NULL,
	UETRANSFER_CHARS  	VARCHAR2(1020) NULL,
	UEVBF_BUFFER_SIZE 	NUMBER(22,0) NULL,
	UEVERCOMMENT      	VARCHAR2(1000) NULL,
	UEVERSION         	NUMBER(22,0) NULL,
	UEVIDEO_FORMAT    	VARCHAR2(1020) NULL,
	UEWFPROC_ID       	VARCHAR2(510) NULL,
	UEWIDTH           	NUMBER(22,0) NULL,
	UEWORKFLOW_ID     	VARCHAR2(510) NULL 
	);

ALTER TABLE CMSROLLBK10122DATA
	ADD ( CONSTRAINT UE107DCA2B525
	PRIMARY KEY (UEDBID,UEPORINSTANCEID )
	NOT DEFERRABLE INITIALLY IMMEDIATE );
grant insert on cmsrollbk10122data to portaldba_group;
grant delete on cmsrollbk10122data to portaldba_group;
grant update on cmsrollbk10122data to portaldba_group;
grant select on cmsrollbk10122data to portaldba_group;



CREATE TABLE CMSROLLBK10130DATA ( 
	UECHECKEDOUT      	NUMBER(22,0) NULL,
	UECHECKEDOUTTIME  	DATE NULL,
	UEDBID            	NUMBER(22,0) NOT NULL,
	UEMODTIME         	DATE NULL,
	UENUMEMPTYREQUIRED	NUMBER(22,0) NULL,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL,
	UEPUBSTAGE        	NUMBER(22,0) NULL,
	UEPUBTIME         	DATE NULL,
	UEAPP_NAME        	VARCHAR2(1020) NULL,
	UEASSETID         	NUMBER(22,0) NULL,
	UEAUTHOR          	VARCHAR2(1020) NULL,
	UEBYTE_COUNT      	NUMBER(22,0) NULL,
	UECATEGORY        	VARCHAR2(1020) NULL,
	UECHAR_COUNT      	NUMBER(22,0) NULL,
	UECOMPANY         	VARCHAR2(1020) NULL,
	UECREATED_BY      	VARCHAR2(1020) NULL,
	UECREATION_DATE   	DATE NULL,
	UEDATE_EXPIRES    	DATE NULL,
	UEDESCRIPTION     	VARCHAR2(1000) NULL,
	UEEDIT_TIME       	VARCHAR2(1020) NULL,
	UEHIDDEN_COUNT    	NUMBER(22,0) NULL,
	UEKEYWORDS        	VARCHAR2(1020) NULL,
	UELAST_EDITOR     	VARCHAR2(1020) NULL,
	UELAST_MODIFIED_BY	VARCHAR2(1020) NULL,
	UELAST_PRINT_TIME 	DATE NULL,
	UELAST_SAVED_TIME 	DATE NULL,
	UELINE_COUNT      	NUMBER(22,0) NULL,
	UEMAJOR_TYPE      	VARCHAR2(1020) NULL,
	UEMANAGER         	VARCHAR2(1020) NULL,
	UEMINOR_TYPE      	VARCHAR2(1020) NULL,
	UEMMCLIPS         	NUMBER(22,0) NULL,
	UEMS_AUTHOR       	VARCHAR2(1020) NULL,
	UEMS_COMMENTS     	VARCHAR2(1000) NULL,
	UEMS_CREATION_DATE	DATE NULL,
	UEMS_KEYWORDS     	VARCHAR2(1020) NULL,
	UEMS_SUBJECT      	VARCHAR2(1020) NULL,
	UEMS_TITLE        	VARCHAR2(1020) NULL,
	UENAME            	VARCHAR2(1020) NULL,
	UENOTE_COUNT      	NUMBER(22,0) NULL,
	UEPAGE_COUNT      	NUMBER(22,0) NULL,
	UEPARA_COUNT      	NUMBER(22,0) NULL,
	UEPARENTID        	NUMBER(22,0) NULL,
	UEPRES_FORMAT     	VARCHAR2(1020) NULL,
	UEREV_NUMBER      	VARCHAR2(1020) NULL,
	UESECURITY        	VARCHAR2(1020) NULL,
	UESLIDE_COUNT     	NUMBER(22,0) NULL,
	UESUBJECT         	VARCHAR2(1020) NULL,
	UETEMPLATE_NAME   	VARCHAR2(1020) NULL,
	UETITLE           	VARCHAR2(1020) NULL,
	UEVERCOMMENT      	VARCHAR2(1000) NULL,
	UEVERSION         	NUMBER(22,0) NULL,
	UEWFPROC_ID       	VARCHAR2(510) NULL,
	UEWORD_COUNT      	NUMBER(22,0) NULL,
	UEWORKFLOW_ID     	VARCHAR2(510) NULL 
	);

ALTER TABLE CMSROLLBK10130DATA
	ADD ( CONSTRAINT UE107DCA2B52A
	PRIMARY KEY (UEDBID,UEPORINSTANCEID )
	NOT DEFERRABLE INITIALLY IMMEDIATE );
grant select on cmsrollbk10130data to portaldba_group;
grant insert on cmsrollbk10130data to portaldba_group;
grant delete on cmsrollbk10130data to portaldba_group;
grant update on cmsrollbk10130data to portaldba_group;


CREATE TABLE CMSROLLBK10153DATA ( 
	UECHECKEDOUT      	NUMBER(22,0) NULL,
	UECHECKEDOUTTIME  	DATE NULL,
	UEDBID            	NUMBER(22,0) NOT NULL,
	UEMODTIME         	DATE NULL,
	UENUMEMPTYREQUIRED	NUMBER(22,0) NULL,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL,
	UEPUBSTAGE        	NUMBER(22,0) NULL,
	UEPUBTIME         	DATE NULL,
	UEASSETID         	NUMBER(22,0) NULL,
	UEAUTHOR          	VARCHAR2(1020) NULL,
	UEBYTE_COUNT      	NUMBER(22,0) NULL,
	UECREATED_BY      	VARCHAR2(1020) NULL,
	UECREATION_DATE   	DATE NULL,
	UECREATOR         	VARCHAR2(1020) NULL,
	UEDATE_EXPIRES    	DATE NULL,
	UEDESCRIPTION     	VARCHAR2(1000) NULL,
	UEKEYWORDS        	VARCHAR2(1020) NULL,
	UELAST_MODIFIED_BY	VARCHAR2(1020) NULL,
	UEMAJOR_TYPE      	VARCHAR2(1020) NULL,
	UEMINOR_TYPE      	VARCHAR2(1020) NULL,
	UENAME            	VARCHAR2(1020) NULL,
	UEPARENTID        	NUMBER(22,0) NULL,
	UEPDF_AUTHOR      	VARCHAR2(1020) NULL,
	UEPDF_CREATION_DAT	DATE NULL,
	UEPDF_KEYWORDS    	VARCHAR2(1020) NULL,
	UEPDF_MODIFICATION	DATE NULL,
	UEPDF_SUBJECT     	VARCHAR2(1020) NULL,
	UEPDF_TITLE       	VARCHAR2(1020) NULL,
	UEPRODUCER        	VARCHAR2(1020) NULL,
	UESUBJECT         	VARCHAR2(1020) NULL,
	UETITLE           	VARCHAR2(1020) NULL,
	UEVERCOMMENT      	VARCHAR2(1000) NULL,
	UEVERSION         	NUMBER(22,0) NULL,
	UEWFPROC_ID       	VARCHAR2(510) NULL,
	UEWORKFLOW_ID     	VARCHAR2(510) NULL 
	);

ALTER TABLE CMSROLLBK10153DATA
	ADD ( CONSTRAINT UE107DCA2B52F
	PRIMARY KEY (UEDBID,UEPORINSTANCEID )
	NOT DEFERRABLE INITIALLY IMMEDIATE );
grant insert on cmsrollbk10153data to portaldba_group;
grant delete on cmsrollbk10153data to portaldba_group;
grant update on cmsrollbk10153data to portaldba_group;
grant select on cmsrollbk10153data to portaldba_group;



CREATE TABLE CMSROLLBK10160DATA ( 
	UECHECKEDOUT      	NUMBER(22,0) NULL,
	UECHECKEDOUTTIME  	DATE NULL,
	UEDBID            	NUMBER(22,0) NOT NULL,
	UEMODTIME         	DATE NULL,
	UENUMEMPTYREQUIRED	NUMBER(22,0) NULL,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL,
	UEPUBSTAGE        	NUMBER(22,0) NULL,
	UEPUBTIME         	DATE NULL,
	UEASSETID         	NUMBER(22,0) NULL,
	UEAUTHOR          	VARCHAR2(1020) NULL,
	UEBYTE_COUNT      	NUMBER(22,0) NULL,
	UECOLOR_DEPTH     	NUMBER(22,0) NULL,
	UECOMPRESSION_TYPE	VARCHAR2(1020) NULL,
	UECREATED_BY      	VARCHAR2(1020) NULL,
	UECREATION_DATE   	DATE NULL,
	UEDATE_EXPIRES    	DATE NULL,
	UEDESCRIPTION     	VARCHAR2(1000) NULL,
	UEHEIGHT          	NUMBER(22,0) NULL,
	UEKEYWORDS        	VARCHAR2(1020) NULL,
	UELAST_MODIFIED_BY	VARCHAR2(1020) NULL,
	UEMAJOR_TYPE      	VARCHAR2(1020) NULL,
	UEMINOR_TYPE      	VARCHAR2(1020) NULL,
	UENAME            	VARCHAR2(1020) NULL,
	UEPARENTID        	NUMBER(22,0) NULL,
	UESUBJECT         	VARCHAR2(1020) NULL,
	UETITLE           	VARCHAR2(1020) NULL,
	UEVERCOMMENT      	VARCHAR2(1000) NULL,
	UEVERSION         	NUMBER(22,0) NULL,
	UEWFPROC_ID       	VARCHAR2(510) NULL,
	UEWIDTH           	NUMBER(22,0) NULL,
	UEWORKFLOW_ID     	VARCHAR2(510) NULL 
	);

ALTER TABLE CMSROLLBK10160DATA
	ADD ( CONSTRAINT UE107DCA2B534
	PRIMARY KEY (UEDBID,UEPORINSTANCEID )
	NOT DEFERRABLE INITIALLY IMMEDIATE );
grant delete on cmsrollbk10160data to portaldba_group;
grant update on cmsrollbk10160data to portaldba_group;
grant insert on cmsrollbk10160data to portaldba_group;
grant select on cmsrollbk10160data to portaldba_group;



CREATE TABLE CMSROLLBK10167DATA ( 
	UECHECKEDOUT      	NUMBER(22,0) NULL,
	UECHECKEDOUTTIME  	DATE NULL,
	UEDBID            	NUMBER(22,0) NOT NULL,
	UEMODTIME         	DATE NULL,
	UENUMEMPTYREQUIRED	NUMBER(22,0) NULL,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL,
	UEPUBSTAGE        	NUMBER(22,0) NULL,
	UEPUBTIME         	DATE NULL,
	UEASSETID         	NUMBER(22,0) NULL,
	UEAUTHOR          	VARCHAR2(1020) NULL,
	UEBOUNDING_BOX    	VARCHAR2(1020) NULL,
	UEBYTE_COUNT      	NUMBER(22,0) NULL,
	UECREATED_BY      	VARCHAR2(1020) NULL,
	UECREATION_DATE   	DATE NULL,
	UECREATOR         	VARCHAR2(1020) NULL,
	UEDATE_EXPIRES    	DATE NULL,
	UEDESCRIPTION     	VARCHAR2(1000) NULL,
	UEDOCUMENT_DATA   	VARCHAR2(1020) NULL,
	UEHEADER          	VARCHAR2(1020) NULL,
	UEKEYWORDS        	VARCHAR2(1020) NULL,
	UELANGUAGE_LEVEL  	VARCHAR2(1020) NULL,
	UELAST_MODIFIED_BY	VARCHAR2(1020) NULL,
	UEMAJOR_TYPE      	VARCHAR2(1020) NULL,
	UEMINOR_TYPE      	VARCHAR2(1020) NULL,
	UENAME            	VARCHAR2(1020) NULL,
	UEPAGES           	VARCHAR2(1020) NULL,
	UEPARENTID        	NUMBER(22,0) NULL,
	UEPS_CREATION_DATE	VARCHAR2(1020) NULL,
	UEPS_TITLE        	VARCHAR2(1020) NULL,
	UESUBJECT         	VARCHAR2(1020) NULL,
	UETITLE           	VARCHAR2(1020) NULL,
	UEVERCOMMENT      	VARCHAR2(1000) NULL,
	UEVERSION         	NUMBER(22,0) NULL,
	UEWFPROC_ID       	VARCHAR2(510) NULL,
	UEWORKFLOW_ID     	VARCHAR2(510) NULL 
	);

ALTER TABLE CMSROLLBK10167DATA
	ADD ( CONSTRAINT UE107DCA2B539
	PRIMARY KEY (UEDBID,UEPORINSTANCEID )
	NOT DEFERRABLE INITIALLY IMMEDIATE );
grant delete on CMSROLLBK10167DATA to portaldba_group;
grant update on CMSROLLBK10167DATA to portaldba_group;
grant insert on CMSROLLBK10167DATA to portaldba_group;
grant select on CMSROLLBK10167DATA to portaldba_group;


CREATE TABLE CMSROLLBK10175DATA ( 
	UECHECKEDOUT      	NUMBER(22,0) NULL,
	UECHECKEDOUTTIME  	DATE NULL,
	UEDBID            	NUMBER(22,0) NOT NULL,
	UEMODTIME         	DATE NULL,
	UENUMEMPTYREQUIRED	NUMBER(22,0) NULL,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL,
	UEPUBSTAGE        	NUMBER(22,0) NULL,
	UEPUBTIME         	DATE NULL,
	UEASSETID         	NUMBER(22,0) NULL,
	UEAUTHOR          	VARCHAR2(1020) NULL,
	UEBYTE_COUNT      	NUMBER(22,0) NULL,
	UECHAPTER         	VARCHAR2(1020) NULL,
	UECOPYRIGHTED     	VARCHAR2(1020) NULL,
	UECREATED_BY      	VARCHAR2(1020) NULL,
	UECREATION_DATE   	DATE NULL,
	UEDATE_EXPIRES    	DATE NULL,
	UEDESCRIPTION     	VARCHAR2(1000) NULL,
	UEDIRECTOR        	VARCHAR2(1020) NULL,
	UEDISCLAIMER      	VARCHAR2(1020) NULL,
	UEEDIT_DATE       	DATE NULL,
	UEFRAME_NUMBER    	NUMBER(22,0) NULL,
	UEFRAME_RATE      	NUMBER(22,0) NULL,
	UEFULL_NAME       	VARCHAR2(1000) NULL,
	UEHEIGHT          	NUMBER(22,0) NULL,
	UEHOST_COMPUTER   	VARCHAR2(1020) NULL,
	UEINFORMATION     	VARCHAR2(1000) NULL,
	UEKEYWORDS        	VARCHAR2(1020) NULL,
	UELAST_MODIFIED_BY	VARCHAR2(1020) NULL,
	UELENGTH          	NUMBER(38,10) NULL,
	UEMAJOR_TYPE      	VARCHAR2(1020) NULL,
	UEMAKE            	VARCHAR2(1020) NULL,
	UEMINOR_TYPE      	VARCHAR2(1020) NULL,
	UEMODEL           	VARCHAR2(1020) NULL,
	UENAME            	VARCHAR2(1020) NULL,
	UEORIGINAL_FORMAT 	VARCHAR2(1020) NULL,
	UEORIGINAL_SOURCE 	VARCHAR2(1020) NULL,
	UEPARENTID        	NUMBER(22,0) NULL,
	UEPERFORMERS      	VARCHAR2(1020) NULL,
	UEPLAYBACK_REQ    	VARCHAR2(1000) NULL,
	UEPRODUCER        	VARCHAR2(1020) NULL,
	UEPRODUCT         	VARCHAR2(1020) NULL,
	UEQT_AUTHOR       	VARCHAR2(1020) NULL,
	UEQT_CREATION_DATE	DATE NULL,
	UEQT_DESCRIPTION  	VARCHAR2(1000) NULL,
	UEQT_KEYWORDS     	VARCHAR2(1020) NULL,
	UEQT_TITLE        	VARCHAR2(1020) NULL,
	UESOFTWARE        	VARCHAR2(1020) NULL,
	UESUBJECT         	VARCHAR2(1020) NULL,
	UETITLE           	VARCHAR2(1020) NULL,
	UEVERCOMMENT      	VARCHAR2(1000) NULL,
	UEVERSION         	NUMBER(22,0) NULL,
	UEVOLUME          	NUMBER(22,0) NULL,
	UEWARNING         	VARCHAR2(1000) NULL,
	UEWFPROC_ID       	VARCHAR2(510) NULL,
	UEWIDTH           	NUMBER(22,0) NULL,
	UEWORKFLOW_ID     	VARCHAR2(510) NULL,
	UEWRITER          	VARCHAR2(1020) NULL 
	);

ALTER TABLE CMSROLLBK10175DATA
	ADD ( CONSTRAINT UE107DCA2B53E
	PRIMARY KEY (UEDBID,UEPORINSTANCEID )
	NOT DEFERRABLE INITIALLY IMMEDIATE );
grant update on CMSROLLBK10175DATA to portaldba_group;
grant insert on CMSROLLBK10175DATA to portaldba_group;
grant delete on CMSROLLBK10175DATA to portaldba_group;
grant select on CMSROLLBK10175DATA to portaldba_group;



CREATE TABLE CMSROLLBK10182DATA ( 
	UECHECKEDOUT      	NUMBER(22,0) NULL,
	UECHECKEDOUTTIME  	DATE NULL,
	UEDBID            	NUMBER(22,0) NOT NULL,
	UEMODTIME         	DATE NULL,
	UENUMEMPTYREQUIRED	NUMBER(22,0) NULL,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL,
	UEPUBSTAGE        	NUMBER(22,0) NULL,
	UEPUBTIME         	DATE NULL,
	UEASSETID         	NUMBER(22,0) NULL,
	UEAUTHOR          	VARCHAR2(1020) NULL,
	UEBYTE_COUNT      	NUMBER(22,0) NULL,
	UECOPYRIGHTED     	VARCHAR2(1020) NULL,
	UECREATED_BY      	VARCHAR2(1020) NULL,
	UECREATION_DATE   	DATE NULL,
	UEDATE_EXPIRES    	DATE NULL,
	UEDESCRIPTION     	VARCHAR2(1000) NULL,
	UEKEYWORDS        	VARCHAR2(1020) NULL,
	UELAST_MODIFIED_BY	VARCHAR2(1020) NULL,
	UEMAJOR_TYPE      	VARCHAR2(1020) NULL,
	UEMINOR_TYPE      	VARCHAR2(1020) NULL,
	UENAME            	VARCHAR2(1020) NULL,
	UEPARENTID        	NUMBER(22,0) NULL,
	UERA_AUTHOR       	VARCHAR2(1020) NULL,
	UERA_TITLE        	VARCHAR2(1020) NULL,
	UESUBJECT         	VARCHAR2(1020) NULL,
	UETITLE           	VARCHAR2(1020) NULL,
	UEVERCOMMENT      	VARCHAR2(1000) NULL,
	UEVERSION         	NUMBER(22,0) NULL,
	UEWFPROC_ID       	VARCHAR2(510) NULL,
	UEWORKFLOW_ID     	VARCHAR2(510) NULL 
	);


ALTER TABLE CMSROLLBK10182DATA
	ADD ( CONSTRAINT UE107DCA2B543
	PRIMARY KEY (UEDBID,UEPORINSTANCEID )
	NOT DEFERRABLE INITIALLY IMMEDIATE );
grant update on CMSROLLBK10182DATA to portaldba_group;
grant insert on CMSROLLBK10182DATA to portaldba_group;
grant delete on CMSROLLBK10182DATA to portaldba_group;
grant select on CMSROLLBK10182DATA to portaldba_group;




CREATE TABLE CMSROLLBK10190DATA ( 
	UECHECKEDOUT      	NUMBER(22,0) NULL,
	UECHECKEDOUTTIME  	DATE NULL,
	UEDBID            	NUMBER(22,0) NOT NULL,
	UEMODTIME         	DATE NULL,
	UENUMEMPTYREQUIRED	NUMBER(22,0) NULL,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL,
	UEPUBSTAGE        	NUMBER(22,0) NULL,
	UEPUBTIME         	DATE NULL,
	UEALLOW_RECORDING 	CHAR(1) NULL,
	UEASSETID         	NUMBER(22,0) NULL,
	UEAUDIO_FORMAT    	VARCHAR2(1020) NULL,
	UEAUTHOR          	VARCHAR2(1020) NULL,
	UEAVG_BITRATE     	NUMBER(22,0) NULL,
	UEAVG_PACKET_SIZE 	NUMBER(22,0) NULL,
	UEBYTE_COUNT      	NUMBER(22,0) NULL,
	UECOPYRIGHTED     	VARCHAR2(1020) NULL,
	UECREATED_BY      	VARCHAR2(1020) NULL,
	UECREATION_DATE   	DATE NULL,
	UEDATA_OFFSET     	NUMBER(22,0) NULL,
	UEDATE_EXPIRES    	DATE NULL,
	UEDESCRIPTION     	VARCHAR2(1000) NULL,
	UEFLAGS           	NUMBER(22,0) NULL,
	UEGENERATED_BY    	VARCHAR2(1020) NULL,
	UEHAS_AUDIO       	CHAR(1) NULL,
	UEHAS_EVENT       	CHAR(1) NULL,
	UEHAS_IMAGE_MAP   	CHAR(1) NULL,
	UEHAS_VIDEO       	CHAR(1) NULL,
	UEHEIGHT          	NUMBER(22,0) NULL,
	UEINDEX_OFFSET    	NUMBER(22,0) NULL,
	UEKEYWORDS        	VARCHAR2(1020) NULL,
	UELAST_MODIFIED_BY	VARCHAR2(1020) NULL,
	UELENGTH          	NUMBER(38,10) NULL,
	UEMAJOR_TYPE      	VARCHAR2(1020) NULL,
	UEMAX_BITRATE     	NUMBER(22,0) NULL,
	UEMAX_PACKET_SIZE 	NUMBER(22,0) NULL,
	UEMINOR_TYPE      	VARCHAR2(1020) NULL,
	UEMOBILE_PLAYBACK 	CHAR(1) NULL,
	UEMOD_DATE        	DATE NULL,
	UENAME            	VARCHAR2(1020) NULL,
	UENUM_OF_STREAMS  	NUMBER(22,0) NULL,
	UENUM_PACKETS     	NUMBER(22,0) NULL,
	UEOBJECT_VERSION  	VARCHAR2(1020) NULL,
	UEPARENTID        	NUMBER(22,0) NULL,
	UEPERFECT_PLAY    	CHAR(1) NULL,
	UEPREROLL         	NUMBER(22,0) NULL,
	UERM_AUTHOR       	VARCHAR2(1020) NULL,
	UERM_CREATION_DATE	DATE NULL,
	UERM_DESCRIPTION  	VARCHAR2(1000) NULL,
	UERM_SUBJECT      	VARCHAR2(1020) NULL,
	UERM_TITLE        	VARCHAR2(1020) NULL,
	UESUBJECT         	VARCHAR2(1020) NULL,
	UETARGET_AUDIENCES	VARCHAR2(1020) NULL,
	UETITLE           	VARCHAR2(1020) NULL,
	UEVERCOMMENT      	VARCHAR2(1000) NULL,
	UEVERSION         	NUMBER(22,0) NULL,
	UEVIDEO_QUALITY   	VARCHAR2(1020) NULL,
	UEWFPROC_ID       	VARCHAR2(510) NULL,
	UEWIDTH           	NUMBER(22,0) NULL,
	UEWORKFLOW_ID     	VARCHAR2(510) NULL 
	);

ALTER TABLE CMSROLLBK10190DATA
	ADD ( CONSTRAINT UE107DCA2B548
	PRIMARY KEY (UEDBID,UEPORINSTANCEID )
	NOT DEFERRABLE INITIALLY IMMEDIATE );
grant update on CMSROLLBK10190DATA to portaldba_group;
grant insert on CMSROLLBK10190DATA to portaldba_group;
grant delete on CMSROLLBK10190DATA to portaldba_group;
grant select on CMSROLLBK10190DATA to portaldba_group;




CREATE TABLE CMSROLLBK10197DATA ( 
	UECHECKEDOUT      	NUMBER(22,0) NULL,
	UECHECKEDOUTTIME  	DATE NULL,
	UEDBID            	NUMBER(22,0) NOT NULL,
	UEMODTIME         	DATE NULL,
	UENUMEMPTYREQUIRED	NUMBER(22,0) NULL,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL,
	UEPUBSTAGE        	NUMBER(22,0) NULL,
	UEPUBTIME         	DATE NULL,
	UEASSETID         	NUMBER(22,0) NULL,
	UEAUTHOR          	VARCHAR2(1020) NULL,
	UEBITRATE         	NUMBER(38,10) NULL,
	UEBLOCK_ALIGN     	NUMBER(22,0) NULL,
	UEBYTE_COUNT      	NUMBER(22,0) NULL,
	UECHANNEL_MODE    	VARCHAR2(1020) NULL,
	UECOPYRIGHTED     	VARCHAR2(1020) NULL,
	UECREATED_BY      	VARCHAR2(1020) NULL,
	UECREATION_DATE   	DATE NULL,
	UEDATE_EXPIRES    	DATE NULL,
	UEDESCRIPTION     	VARCHAR2(1000) NULL,
	UEFORMAT          	VARCHAR2(1020) NULL,
	UEKEYWORDS        	VARCHAR2(1020) NULL,
	UELAST_MODIFIED_BY	VARCHAR2(1020) NULL,
	UELENGTH          	NUMBER(38,10) NULL,
	UEMAJOR_TYPE      	VARCHAR2(1020) NULL,
	UEMINOR_TYPE      	VARCHAR2(1020) NULL,
	UENAME            	VARCHAR2(1020) NULL,
	UEPARENTID        	NUMBER(22,0) NULL,
	UESAMPLE_RATE     	NUMBER(38,10) NULL,
	UESAMPLE_SIZE     	NUMBER(22,0) NULL,
	UESUBJECT         	VARCHAR2(1020) NULL,
	UETITLE           	VARCHAR2(1020) NULL,
	UEVERCOMMENT      	VARCHAR2(1000) NULL,
	UEVERSION         	NUMBER(22,0) NULL,
	UEWAV_AUTHOR      	VARCHAR2(1020) NULL,
	UEWAV_DESCRIPTION 	VARCHAR2(1000) NULL,
	UEWAV_KEYWORDS    	VARCHAR2(1020) NULL,
	UEWAV_SUBJECT     	VARCHAR2(1020) NULL,
	UEWAV_TITLE       	VARCHAR2(1020) NULL,
	UEWFPROC_ID       	VARCHAR2(510) NULL,
	UEWORKFLOW_ID     	VARCHAR2(510) NULL 
	);

ALTER TABLE CMSROLLBK10197DATA
	ADD ( CONSTRAINT UE107DCA2B54D
	PRIMARY KEY (UEDBID,UEPORINSTANCEID )
	NOT DEFERRABLE INITIALLY IMMEDIATE );
grant update on cmsrollbk10197data to portaldba_group;
grant insert on cmsrollbk10197data to portaldba_group;
grant delete on cmsrollbk10197data to portaldba_group;
grant select on cmsrollbk10197data to portaldba_group;



CREATE TABLE CMSROLLBK10205DATA ( 
	UECHECKEDOUT      	NUMBER(22,0) NULL,
	UECHECKEDOUTTIME  	DATE NULL,
	UEDBID            	NUMBER(22,0) NOT NULL,
	UEMODTIME         	DATE NULL,
	UENUMEMPTYREQUIRED	NUMBER(22,0) NULL,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL,
	UEPUBSTAGE        	NUMBER(22,0) NULL,
	UEPUBTIME         	DATE NULL,
	UEASSETID         	NUMBER(22,0) NULL,
	UEAUTHOR          	VARCHAR2(1020) NULL,
	UEBITRATE         	NUMBER(38,10) NULL,
	UEBROADCAST       	CHAR(1) NULL,
	UEBYTE_COUNT      	NUMBER(22,0) NULL,
	UECOPYRIGHTED     	VARCHAR2(1020) NULL,
	UECREATED_BY      	VARCHAR2(1020) NULL,
	UECREATION_DATE   	DATE NULL,
	UECURRENT_BITRATE 	NUMBER(38,10) NULL,
	UEDATE_EXPIRES    	DATE NULL,
	UEDESCRIPTION     	VARCHAR2(1000) NULL,
	UEHAS_AUDIO       	CHAR(1) NULL,
	UEHAS_EVENT       	CHAR(1) NULL,
	UEHAS_IMAGE       	CHAR(1) NULL,
	UEHAS_VIDEO       	CHAR(1) NULL,
	UEIS_PROTECTED    	CHAR(1) NULL,
	UEIS_TRUSTED      	CHAR(1) NULL,
	UEKEYWORDS        	VARCHAR2(1020) NULL,
	UELAST_MODIFIED_BY	VARCHAR2(1020) NULL,
	UELENGTH          	NUMBER(38,10) NULL,
	UEMAJOR_TYPE      	VARCHAR2(1020) NULL,
	UEMINOR_TYPE      	VARCHAR2(1020) NULL,
	UENAME            	VARCHAR2(1020) NULL,
	UEOPTIMAL_BITRATE 	NUMBER(38,10) NULL,
	UEPARENTID        	NUMBER(22,0) NULL,
	UERATING          	VARCHAR2(1020) NULL,
	UESEEKABLE        	CHAR(1) NULL,
	UESIGNATURE_NAME  	VARCHAR2(1020) NULL,
	UESTRIDABLE       	CHAR(1) NULL,
	UESUBJECT         	VARCHAR2(1020) NULL,
	UETITLE           	VARCHAR2(1020) NULL,
	UEVERCOMMENT      	VARCHAR2(1000) NULL,
	UEVERSION         	NUMBER(22,0) NULL,
	UEWFPROC_ID       	VARCHAR2(510) NULL,
	UEWM_AUTHOR       	VARCHAR2(1020) NULL,
	UEWM_DESCRIPTION  	VARCHAR2(1000) NULL,
	UEWM_TITLE        	VARCHAR2(1020) NULL,
	UEWORKFLOW_ID     	VARCHAR2(510) NULL 
	);

ALTER TABLE CMSROLLBK10205DATA
	ADD ( CONSTRAINT UE107DCA2B552
	PRIMARY KEY (UEDBID,UEPORINSTANCEID )
	NOT DEFERRABLE INITIALLY IMMEDIATE );
grant delete on cmsrollbk10205data to portaldba_group;
grant select on cmsrollbk10205data to portaldba_group;
grant update on cmsrollbk10205data to portaldba_group;
grant insert on cmsrollbk10205data to portaldba_group;



CREATE TABLE CMSROLLBK10219DATA ( 
	UECHECKEDOUT      	NUMBER(22,0) NULL,
	UECHECKEDOUTTIME  	DATE NULL,
	UEDBID            	NUMBER(22,0) NOT NULL,
	UEMODTIME         	DATE NULL,
	UENUMEMPTYREQUIRED	NUMBER(22,0) NULL,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL,
	UEPUBSTAGE        	NUMBER(22,0) NULL,
	UEPUBTIME         	DATE NULL,
	UEASSETID         	NUMBER(22,0) NULL,
	UEAUTHOR          	VARCHAR2(1020) NULL,
	UEBASE            	VARCHAR2(1020) NULL,
	UEBGCOLOR         	VARCHAR2(1020) NULL,
	UEBYTE_COUNT      	NUMBER(22,0) NULL,
	UECREATED_BY      	VARCHAR2(1020) NULL,
	UECREATION_DATE   	DATE NULL,
	UEDATE_EXPIRES    	DATE NULL,
	UEDESCRIPTION     	VARCHAR2(1000) NULL,
	UEFRAME_NUMBER    	NUMBER(22,0) NULL,
	UEFRAME_RATE      	NUMBER(22,0) NULL,
	UEHEIGHT          	NUMBER(22,0) NULL,
	UEKEYWORDS        	VARCHAR2(1020) NULL,
	UELAST_MODIFIED_BY	VARCHAR2(1020) NULL,
	UELOOP            	CHAR(1) NULL,
	UEMAJOR_TYPE      	VARCHAR2(1020) NULL,
	UEMENU            	CHAR(1) NULL,
	UEMINOR_TYPE      	VARCHAR2(1020) NULL,
	UENAME            	VARCHAR2(1020) NULL,
	UEPARENTID        	NUMBER(22,0) NULL,
	UEQUALITY         	VARCHAR2(1020) NULL,
	UESALIGN          	VARCHAR2(1020) NULL,
	UESCALE           	VARCHAR2(1020) NULL,
	UESUBJECT         	VARCHAR2(1020) NULL,
	UESWF_VERSION     	NUMBER(22,0) NULL,
	UETITLE           	VARCHAR2(1020) NULL,
	UEVERCOMMENT      	VARCHAR2(1000) NULL,
	UEVERSION         	NUMBER(22,0) NULL,
	UEWFPROC_ID       	VARCHAR2(510) NULL,
	UEWIDTH           	NUMBER(22,0) NULL,
	UEWORKFLOW_ID     	VARCHAR2(510) NULL 
	);

ALTER TABLE CMSROLLBK10219DATA
	ADD ( CONSTRAINT UE107DCA2B557
	PRIMARY KEY (UEDBID,UEPORINSTANCEID )
	NOT DEFERRABLE INITIALLY IMMEDIATE );
grant insert on cmsrollbk10219data to portaldba_group;
grant update on cmsrollbk10219data to portaldba_group;
grant select on cmsrollbk10219data to portaldba_group;
grant delete on cmsrollbk10219data to portaldba_group;



CREATE TABLE CMSROLLBK10226DATA ( 
	UECHECKEDOUT      	NUMBER(22,0) NULL,
	UECHECKEDOUTTIME  	DATE NULL,
	UEDBID            	NUMBER(22,0) NOT NULL,
	UEMODTIME         	DATE NULL,
	UENUMEMPTYREQUIRED	NUMBER(22,0) NULL,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL,
	UEPUBSTAGE        	NUMBER(22,0) NULL,
	UEPUBTIME         	DATE NULL,
	UEASSETID         	NUMBER(22,0) NULL,
	UEAUTHOR          	VARCHAR2(1020) NULL,
	UEBYTE_COUNT      	NUMBER(22,0) NULL,
	UECREATED_BY      	VARCHAR2(1020) NULL,
	UECREATION_DATE   	DATE NULL,
	UEDATE_EXPIRES    	DATE NULL,
	UEDESCRIPTION     	VARCHAR2(1000) NULL,
	UEKEYWORDS        	VARCHAR2(1020) NULL,
	UELAST_MODIFIED_BY	VARCHAR2(1020) NULL,
	UEMAJOR_TYPE      	VARCHAR2(1020) NULL,
	UEMINOR_TYPE      	VARCHAR2(1020) NULL,
	UENAME            	VARCHAR2(1020) NULL,
	UEPARENTID        	NUMBER(22,0) NULL,
	UESUBJECT         	VARCHAR2(1020) NULL,
	UETITLE           	VARCHAR2(1020) NULL,
	UEVERCOMMENT      	VARCHAR2(1000) NULL,
	UEVERSION         	NUMBER(22,0) NULL,
	UEWFPROC_ID       	VARCHAR2(510) NULL,
	UEWORKFLOW_ID     	VARCHAR2(510) NULL 
	);

ALTER TABLE CMSROLLBK10226DATA
	ADD ( CONSTRAINT UE107DCA2B55C
	PRIMARY KEY (UEDBID,UEPORINSTANCEID )
	NOT DEFERRABLE INITIALLY IMMEDIATE );
grant insert on cmsrollbk10226data to portaldba_group;
grant update on cmsrollbk10226data to portaldba_group;
grant select on cmsrollbk10226data to portaldba_group;
grant delete on cmsrollbk10226data to portaldba_group;


CREATE TABLE CMSROLLBK10233DATA ( 
	UECHECKEDOUT      	NUMBER(22,0) NULL,
	UECHECKEDOUTTIME  	DATE NULL,
	UEDBID            	NUMBER(22,0) NOT NULL,
	UEMODTIME         	DATE NULL,
	UENUMEMPTYREQUIRED	NUMBER(22,0) NULL,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL,
	UEPUBSTAGE        	NUMBER(22,0) NULL,
	UEPUBTIME         	DATE NULL,
	UEASSETID         	NUMBER(22,0) NULL,
	UEAUTHOR          	VARCHAR2(1020) NULL,
	UEBYTE_COUNT      	NUMBER(22,0) NULL,
	UECREATED_BY      	VARCHAR2(1020) NULL,
	UECREATION_DATE   	DATE NULL,
	UEDATE_EXPIRES    	DATE NULL,
	UEDESCRIPTION     	VARCHAR2(1000) NULL,
	UEKEYWORDS        	VARCHAR2(1020) NULL,
	UELAST_MODIFIED_BY	VARCHAR2(1020) NULL,
	UEMAJOR_TYPE      	VARCHAR2(1020) NULL,
	UEMINOR_TYPE      	VARCHAR2(1020) NULL,
	UENAME            	VARCHAR2(1020) NULL,
	UEPARENTID        	NUMBER(22,0) NULL,
	UESUBJECT         	VARCHAR2(1020) NULL,
	UETITLE           	VARCHAR2(1020) NULL,
	UEVERCOMMENT      	VARCHAR2(1000) NULL,
	UEVERSION         	NUMBER(22,0) NULL,
	UEWFPROC_ID       	VARCHAR2(510) NULL,
	UEWORKFLOW_ID     	VARCHAR2(510) NULL 
	);

ALTER TABLE CMSROLLBK10233DATA
	ADD ( CONSTRAINT UE107DCA2B561
	PRIMARY KEY (UEDBID,UEPORINSTANCEID )
	NOT DEFERRABLE INITIALLY IMMEDIATE );
grant insert on cmsrollbk10233data to portaldba_group;
grant update on cmsrollbk10233data to portaldba_group;
grant select on cmsrollbk10233data to portaldba_group;
grant delete on cmsrollbk10233data to portaldba_group;




CREATE TABLE CMSVIEWFILESDATA ( 
	UECHECKEDOUT      	NUMBER(22,0) NULL,
	UECHECKEDOUTTIME  	DATE NULL,
	UEDBID            	NUMBER(22,0) NOT NULL,
	UEMODTIME         	DATE NULL,
	UENUMEMPTYREQUIRED	NUMBER(22,0) NULL,
	UEPORINSTANCEID   	VARCHAR2(255) NOT NULL,
	UEPUBSTAGE        	NUMBER(22,0) NULL,
	UEPUBTIME         	DATE NULL,
	UEAUTHOR          	VARCHAR2(1020) NULL,
	UEBYTE_COUNT      	NUMBER(22,0) NULL,
	UECREATED_BY      	VARCHAR2(1020) NULL,
	UECREATION_DATE   	DATE NULL,
	UEDATE_EXPIRES    	DATE NULL,
	UEDESCRIPTION     	VARCHAR2(1000) NULL,
	UEKEYWORDS        	VARCHAR2(1020) NULL,
	UELAST_MODIFIED_BY	VARCHAR2(1020) NULL,
	UEMAJOR_TYPE      	VARCHAR2(1020) NULL,
	UEMINOR_TYPE      	VARCHAR2(1020) NULL,
	UENAME            	VARCHAR2(1020) NULL,
	UEPARENTID        	NUMBER(22,0) NULL,
	UESUBJECT         	VARCHAR2(1020) NULL,
	UETITLE           	VARCHAR2(1020) NULL,
	UEVERCOMMENT      	VARCHAR2(1000) NULL,
	UEWFPROC_ID       	VARCHAR2(510) NULL,
	UEWORKFLOW_ID     	VARCHAR2(510) NULL 
	);

ALTER TABLE CMSVIEWFILESDATA
	ADD ( CONSTRAINT UE107DCA2B55D
	PRIMARY KEY (UEDBID,UEPORINSTANCEID )
	NOT DEFERRABLE INITIALLY IMMEDIATE );
grant insert on CMSVIEWFILESDATA to portaldba_group;
grant update on CMSVIEWFILESDATA to portaldba_group;
grant select on CMSVIEWFILESDATA to portaldba_group;
grant delete on CMSVIEWFILESDATA to portaldba_group;

/****************************************************************************************/
/*                                                                                      */
/* Register patch                                                                       */
/*                                                                                      */
/****************************************************************************************/
INSERT INTO mdb_patch ( patchnumber, installdate,  mdbmajorversion, mdbminorversion, description)
 VALUES ( 14939623, systimestamp, 1, 4, 'Star 14939623 Portalr12: Add a portal instance id column' );

COMMIT;

EXIT SUCCESS;
