SET ECHO ON;
WHENEVER OSERROR EXIT FAILURE;
WHENEVER SQLERROR EXIT SQL.SQLCODE;

SET AUTOCOMMIT OFF;


/****************************************************************************************/
/*                                                                                      */
/* Star 16333915 Autosys: replace procedure ujo_get_eoid */
/*                                                                                      */
/****************************************************************************************/
/* 16584925 MDB auto-build CRPatch */ 

CREATE OR REPLACE PACKAGE ujo_get_eoid_pkg AS
    FUNCTION ujo_get_eoid(o_eoid OUT VARCHAR2) RETURN INTEGER;
    FUNCTION ujo_bump_digit(i_odigit IN OUT VARCHAR2) RETURN BOOLEAN;
    FUNCTION ujo_bump_digit0(i_odigit IN OUT VARCHAR2) RETURN BOOLEAN;
END ujo_get_eoid_pkg;
/

CREATE OR REPLACE PACKAGE BODY ujo_get_eoid_pkg AS
    FUNCTION ujo_get_eoid(o_eoid OUT VARCHAR2) RETURN INTEGER IS
        last_eoid VARCHAR2(7);

        digit0 VARCHAR2(1);
        digit1 VARCHAR2(1);
        digit2 VARCHAR2(1);
        digit3 VARCHAR2(1);
        digit4 VARCHAR2(1);
        digit5 VARCHAR2(1);
        digit6 VARCHAR2(1);
    BEGIN

        SELECT counter INTO last_eoid FROM ujo_last_Eoid_counter FOR UPDATE;

        digit0 := SUBSTR(last_eoid, 1, 1);
        digit1 := SUBSTR(last_eoid, 2, 1);
        digit2 := SUBSTR(last_eoid, 3, 1);
        digit3 := SUBSTR(last_eoid, 4, 1);
        digit4 := SUBSTR(last_eoid, 5, 1);
        digit5 := SUBSTR(last_eoid, 6, 1);
        digit6 := SUBSTR(last_eoid, 7, 1);

   		/* 15040218 DUPLICATE STARTING EVENTS - Migrated ujo_last_Eoid_counter from 4.5 begins with "zz", change to "00" */		
		IF (digit0 = 'z') AND (digit1 = 'z') THEN
			digit0 := '0';
			digit1 := '0';
		END IF;

        IF (ujo_bump_digit(digit6) = TRUE) THEN
         IF (ujo_bump_digit(digit5) = TRUE) THEN
          IF (ujo_bump_digit(digit4) = TRUE) THEN
           IF (ujo_bump_digit(digit3) = TRUE) THEN
            IF (ujo_bump_digit(digit2) = TRUE) THEN
             IF (ujo_bump_digit(digit1) = TRUE) THEN
              IF (ujo_bump_digit0(digit0) = TRUE) THEN
                -- Rolling over
                digit0 := '0';
                digit1 := '0';
                digit2 := '0';
                digit3 := '0';
                digit4 := '1';
                digit5 := '0';
                digit6 := '0';
              END IF;
             END IF;
            END IF;
           END IF;
          END IF;
         END IF;
        END IF;

        o_eoid := digit0 || digit1 || digit2 || digit3 || digit4 || digit5 || digit6;

        UPDATE ujo_last_Eoid_counter SET counter = o_eoid;
		COMMIT;
	    RETURN 0;
    END ujo_get_eoid;

    FUNCTION ujo_bump_digit(i_odigit IN OUT VARCHAR2) RETURN BOOLEAN IS
        new_val NUMBER;
        orig_val NUMBER;
        did_roll BOOLEAN;
    BEGIN
        did_roll := FALSE;
        orig_val := ASCII(i_odigit);

        IF orig_val = 57 THEN -- go from '9' to 'a'
            new_val := 97;
        ELSIF orig_val = 122 THEN -- go from 'z' to '0'
            new_val := 48;
            did_roll := TRUE;
        ELSE
            new_val := orig_val + 1;
        END IF;

        i_odigit := CHR(new_val);
        RETURN did_roll;
    END ujo_bump_digit;

    FUNCTION ujo_bump_digit0(i_odigit IN OUT VARCHAR2) RETURN BOOLEAN IS
        new_val NUMBER;
        orig_val NUMBER;
        did_roll BOOLEAN;
    BEGIN
        did_roll := FALSE;
        orig_val := ASCII(i_odigit);

        IF orig_val = 57 THEN -- go from '9' to 'a'
            new_val := 97;
        ELSIF orig_val = 117 THEN -- go from 'u' to '0'
            new_val := 48;
            did_roll := TRUE;
        ELSE
            new_val := orig_val + 1;
        END IF;

        i_odigit := CHR(new_val);
        RETURN did_roll;
    END ujo_bump_digit0;

END ujo_get_eoid_pkg;
/

/****************************************************************************************/
/*                                                                                      */
/* Register patch                                                                       */
/*                                                                                      */
/****************************************************************************************/
INSERT INTO mdb_patch ( patchnumber, installdate,  mdbmajorversion, mdbminorversion, description)
 VALUES ( 16333915, systimestamp, 1, 4, 'Star 16333915 Autosys: replace procedure ujo_get_eoid' );

COMMIT;

EXIT SUCCESS;
