SET ECHO ON;
WHENEVER OSERROR EXIT FAILURE;
WHENEVER SQLERROR EXIT SQL.SQLCODE;

SET AUTOCOMMIT OFF;


/****************************************************************************************/
/*                                                                                      */
/* Star 16443075 UAPM r11.3.4 support							*/
/*                                                                                      */
/****************************************************************************************/

alter table ca_resource_family add is_software number default 0 null
;
update ca_resource_family set is_software = 0
;
update ca_resource_family set is_software = 1 where id = 601
;
ALTER TABLE ca_discovered_hardware
MODIFY (discovery_changes_switch DEFAULT 1)
;
UPDATE ca_discovered_hardware SET discovery_changes_switch = 1 WHERE discovery_changes_switch <> 1
;
CREATE OR REPLACE TRIGGER t_u_ca_agent
AFTER UPDATE OF last_run_date ON ca_agent
REFERENCING OLD AS OLD  NEW AS NEW
FOR EACH ROW

/* Only execute for records where last_run_date has changed. */

WHEN (new.last_run_date <> old.last_run_date)

DECLARE
    	vCount integer := 0;

BEGIN

    select count(*) into vCount
      from ca_application_registration 
     where product_code = 2002;  
    
    if vCount = 0 then
        return;
    end if;

    update ca_discovered_hardware 
       set discovery_changes_switch = 1 
     where dis_hw_uuid = :new.object_uuid 
       and discovery_changes_switch <> 1;
    
END;
/
CREATE OR REPLACE TRIGGER t_u_inv_generalinventory_item
AFTER UPDATE OF item_value_double, item_value_text, item_value_long ON inv_generalinventory_item 
REFERENCING OLD AS OLD  NEW AS NEW
FOR EACH ROW

/* Only execute for records containing appropriate data and where values have changed. */

WHEN ((new.item_parent_name_id = 2  AND new.item_name_id = 7   AND new.item_value_double <> old.item_value_double)  OR 
      (new.item_parent_name_id = 2  AND new.item_name_id = 9   AND new.item_value_long <> old.item_value_long)      OR
      (new.item_parent_name_id = 5  AND new.item_name_id = 17  AND new.item_value_text <> old.item_value_text)      OR 
      (new.item_parent_name_id = 6  AND new.item_name_id = 1   AND new.item_value_text <> old.item_value_text)      OR
      (new.item_parent_name_id = 6  AND new.item_name_id = 13  AND new.item_value_long <> old.item_value_long)      OR 
      (new.item_parent_name_id = 31 AND new.item_name_id = 132 AND new.item_value_double <> old.item_value_double)) 

DECLARE
    	vCount integer := 0;
    	
BEGIN

    select count(*) into vCount
      from ca_application_registration 
     where product_code = 2002;  
    
    if vCount = 0 then
        return;
    end if;

    update ca_discovered_hardware
       set discovery_changes_switch = 1 
     where dis_hw_uuid = :new.object_uuid 
       and discovery_changes_switch <> 1;
    
END;
/


/****************************************************************************************/
/*                                                                                      */
/* Register patch                                                                       */
/*                                                                                      */
/****************************************************************************************/
INSERT INTO mdb_patch ( patchnumber, installdate,  mdbmajorversion, mdbminorversion, description)
 VALUES ( 16443075, systimestamp, 1, 4, 'Star 16443075 UAPM r11.3.4 support' );

COMMIT;

EXIT SUCCESS;
