SET ECHO ON;
WHENEVER OSERROR EXIT FAILURE;
WHENEVER SQLERROR EXIT SQL.SQLCODE;

SET AUTOCOMMIT OFF;


/****************************************************************************************/
/*                                                                                      */
/* Star 16551097 UPM, DSM: Class and hierarchy content for Sun RTOS */
/*                                                                                      */
/****************************************************************************************/
/* 16584925 MDB auto-build CRPatch */ 

CREATE TABLE t_ca_class_def(class_id number not null, class_name nvarchar2(100), class_description nvarchar2(255));
CREATE TABLE t_ca_class_hierarchy(parent_class_id number not null, child_class_id number not null, hierarchy_id number not null, hierarchy_level number, hierarchy_path nvarchar2(100));

insert into t_ca_class_def (class_id,class_name,class_description) values (5114,'RTOS','');
insert into t_ca_class_def (class_id,class_name,class_description) values (5115,'Sun RTOS','');

insert into t_ca_class_hierarchy(hierarchy_id,child_class_id,parent_class_id,hierarchy_level,hierarchy_path) 
values (1,5114,0,1,'1.0.5114');
insert into t_ca_class_hierarchy(hierarchy_id,child_class_id,parent_class_id,hierarchy_level,hierarchy_path) 
values (1,5115,5114,2,'1.0.5114.5115');

insert into t_ca_class_hierarchy(hierarchy_id,child_class_id,parent_class_id,hierarchy_level,hierarchy_path) 
values (5,5114,0,1,'5.0.5114');
insert into t_ca_class_hierarchy(hierarchy_id,child_class_id,parent_class_id,hierarchy_level,hierarchy_path) 
values (5,5115,5114,2,'5.0.5114.5115');

INSERT INTO ca_class_def (class_id, class_name, class_description) 
SELECT t.class_id, t.class_name, t.class_description 
  FROM t_ca_class_def t 
 WHERE t.class_id NOT IN ( SELECT class_id FROM ca_class_def ) ;

INSERT INTO ca_class_hierarchy (parent_class_id, child_class_id, hierarchy_id, hierarchy_level, hierarchy_path) SELECT t.parent_class_id, t.child_class_id, t.hierarchy_id, t.hierarchy_level, t.hierarchy_path 
  FROM t_ca_class_hierarchy t 
 WHERE to_char(t.child_class_id)||':'||to_char(t.hierarchy_id) 
      NOT IN ( SELECT to_char(child_class_id)||':'||to_char(hierarchy_id) FROM ca_class_hierarchy ) ;

DROP TABLE t_ca_class_def;
DROP TABLE t_ca_class_hierarchy;


/****************************************************************************************/
/*                                                                                      */
/* Register patch                                                                       */
/*                                                                                      */
/****************************************************************************************/
INSERT INTO mdb_patch ( patchnumber, installdate,  mdbmajorversion, mdbminorversion, description)
 VALUES ( 16551097, systimestamp, 1, 4, 'Star 16551097 UPM, DSM: Class and hierarchy content for Sun RTOS' );

COMMIT;

EXIT SUCCESS;
